<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.1.10.14
Name: Procedure Indications
Description: This section contains the reason(s) for the procedure or surgery. This section may include the preprocedure diagnoses as well as symptoms contributing to the reason for the procedure.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.1.10.14-2021-10-28T135639">
   <title>Procedure Indications</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.14
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]
Item: (ProcedureIndications)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]"
         id="d42e53-false-d1799e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]) &gt;= 1">(ProcedureIndications): element hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]) &lt;= 1">(ProcedureIndications): element hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.14
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]
Item: (ProcedureIndications)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]"
         id="d42e69-false-d1847e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.1.10.14']) &gt;= 1">(ProcedureIndications): element hl7:templateId[@root = '1.2.840.10008.9.1.10.14'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.1.10.14']) &lt;= 1">(ProcedureIndications): element hl7:templateId[@root = '1.2.840.10008.9.1.10.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:id) &gt;= 1">(ProcedureIndications): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:code[(@code = '59768-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(ProcedureIndications): element hl7:code[(@code = '59768-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:code[(@code = '59768-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(ProcedureIndications): element hl7:code[(@code = '59768-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:title) &gt;= 1">(ProcedureIndications): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:title) &lt;= 1">(ProcedureIndications): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:text) &lt;= 1">(ProcedureIndications): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.14
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:templateId[@root = '1.2.840.10008.9.1.10.14']
Item: (ProcedureIndications)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:templateId[@root = '1.2.840.10008.9.1.10.14']"
         id="d42e71-false-d1912e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureIndications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="string(@root) = ('1.2.840.10008.9.1.10.14')">(ProcedureIndications): The value for root SHALL be '1.2.840.10008.9.1.10.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.14
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:id
Item: (ProcedureIndications)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:id"
         id="d42e76-false-d1928e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureIndications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.14
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:code[(@code = '59768-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (ProcedureIndications)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:code[(@code = '59768-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e78-false-d1939e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureIndications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="@nullFlavor or (@code='59768-2' and @codeSystem='2.16.840.1.113883.6.1')">(ProcedureIndications): The element value SHALL be one of 'code '59768-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.14
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:title
Item: (ProcedureIndications)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:title"
         id="d42e83-false-d1955e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(ProcedureIndications): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.14
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text
Item: (ProcedureIndications)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:text[hl7:table]) &gt;= 1">(Text): element hl7:text[hl7:table] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:text[hl7:table]) &lt;= 1">(Text): element hl7:text[hl7:table] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:table) &gt;= 1">(Text): element hl7:table is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:table) &lt;= 1">(Text): element hl7:table appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:content
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:content">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@href">(Text): attribute @href SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@href) or string-length(@href)&gt;0">(Text): Attribute @href SHALL be of data type 'st'  - '<value-of select="@href"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@referencedObject">(Text): attribute @referencedObject SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@referencedObject) or matches(string(@referencedObject), $xsIDpattern)">(Text): Attribute @referencedObject SHALL be of data type 'xs:IDREF'  - '<value-of select="@referencedObject"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@href">(Text): attribute @href SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@href) or string-length(@href)&gt;0">(Text): Attribute @href SHALL be of data type 'st'  - '<value-of select="@href"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:list
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:list">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:item) &gt;= 1">(Text): element hl7:item is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:item
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:item">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &gt;= 1">(Text): element hl7:Tr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &lt;= 1">(Text): element hl7:Tr appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &gt;= 1">(Text): element hl7:Tr is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@styleCode">(Text): attribute @styleCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@styleCode) or (string-length(@styleCode) &gt; 0 and not(matches(@styleCode,'\s')))">(Text): Attribute @styleCode SHALL be of data type 'cs'  - '<value-of select="@styleCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Th) &gt;= 1">(Text): element hl7:Th is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Th
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Th">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Td) &gt;= 1">(Text): element hl7:Td is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Td) &lt;= 1">(Text): element hl7:Td appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Td
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Td">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.14
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:entry[hl7:observation]
Item: (ProcedureIndications)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:entry[hl7:observation]"
         id="d42e92-false-d2320e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &gt;= 1">(ProcedureIndications): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.1.10.14-2021-10-28T135639.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &lt;= 1">(ProcedureIndications): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.1.10.14
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.1.10.14']]/hl7:entry[hl7:observation]/hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]
Item: (ProcedureIndications)
--></pattern>
