<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.14
Name: Procedure Technique
Description: The Procedure Technique entry allows the encoding of various parameters of the image acquisition. Other details may be found in other entries (e.g., procedural medication). 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.14-2021-06-22T094316">
   <title>Procedure Technique</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]"
         id="d42e991-false-d6083e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]) &gt;= 1">(ProcedureTechnique): element hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]) &lt;= 1">(ProcedureTechnique): element hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]"
         id="d42e1026-false-d6100e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="string(@moodCode) = ('EVN')">(ProcedureTechnique): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="string(@classCode) = ('PROC')">(ProcedureTechnique): The value for classCode SHALL be 'PROC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.14']) &gt;= 1">(ProcedureTechnique): element hl7:templateId[@root = '1.2.840.10008.9.14'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.14']) &lt;= 1">(ProcedureTechnique): element hl7:templateId[@root = '1.2.840.10008.9.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:id) &gt;= 1">(ProcedureTechnique): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:id) &lt;= 1">(ProcedureTechnique): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:code) &gt;= 1">(ProcedureTechnique): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:code) &lt;= 1">(ProcedureTechnique): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:text) &lt;= 1">(ProcedureTechnique): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ProcedureTechnique): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:methodCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(ProcedureTechnique): element hl7:methodCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]) &lt;= 1">(ProcedureTechnique): element hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:templateId[@root = '1.2.840.10008.9.14']
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:templateId[@root = '1.2.840.10008.9.14']"
         id="d42e1032-false-d6177e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="string(@root) = ('1.2.840.10008.9.14')">(ProcedureTechnique): The value for root SHALL be '1.2.840.10008.9.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:id
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:id"
         id="d42e1037-false-d6191e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:code
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:code"
         id="d42e1039-false-d6201e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:text
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:text"
         id="d42e1048-false-d6211e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:reference) &gt;= 1">(ProcedureTechnique): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:reference) &lt;= 1">(ProcedureTechnique): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:text/hl7:reference
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:text/hl7:reference"
         id="d42e1050-false-d6227e0">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:effectiveTime
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:effectiveTime"
         id="d42e1053-false-d6237e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:methodCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:methodCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e1055-false-d6250e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.19-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProcedureTechnique): The element value SHALL be one of '1.2.840.10008.6.1.19 AcquisitionModality (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:methodCode
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:methodCode"
         id="d42e1060-false-d6270e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode"
         id="d42e1068-false-d6280e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(ProcedureTechnique): element hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]"
         id="d42e1085-false-d6303e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:name) &gt;= 1">(ProcedureTechnique): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:name) &lt;= 1">(ProcedureTechnique): element hl7:name appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(ProcedureTechnique): element hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ProcedureTechnique): element hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name"
         id="d42e1087-false-d6330e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e1095-false-d6343e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem] | completeCodeSystem[@codeSystem=$theCodeSystem]])">(ProcedureTechnique): The element value SHALL be one of '1.2.840.10008.6.1.37 Laterality (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]"
         id="d42e1102-false-d6363e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="string(@typeCode) = ('LOC')">(ProcedureTechnique): The value for typeCode SHALL be 'LOC'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]) &gt;= 1">(ProcedureTechnique): element hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]) &lt;= 1">(ProcedureTechnique): element hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]"
         id="d42e1121-false-d6383e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="string(@classCode) = ('SDLOC')">(ProcedureTechnique): The value for classCode SHALL be 'SDLOC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:scopingEntity) &gt;= 1">(ProcedureTechnique): element hl7:scopingEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:scopingEntity) &lt;= 1">(ProcedureTechnique): element hl7:scopingEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity"
         id="d42e1125-false-d6403e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:desc) &gt;= 1">(ProcedureTechnique): element hl7:desc is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="count(hl7:desc) &lt;= 1">(ProcedureTechnique): element hl7:desc appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.14
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity/hl7:desc
Item: (ProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]/hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity/hl7:desc"
         id="d42e1127-false-d6419e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.14-2021-06-22T094316.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(ProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
