<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.840.10008.9.3
Name: Imaging Procedure Description
Description: The Imaging Procedure Description section records the technical details of the procedure and may include information about protocol, imaging device, contrast, radiation dose, medications administered (sedation, stress agents), etc.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.840.10008.9.3-2021-06-22T114800">
   <title>Imaging Procedure Description</title>
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]"
         id="d42e1775-false-d11365e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]) &gt;= 1">(ImagingProcedureDescription): element hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]) &lt;= 1">(ImagingProcedureDescription): element hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]"
         id="d42e1808-false-d11508e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.3']) &gt;= 1">(ImagingProcedureDescription): element hl7:templateId[@root = '1.2.840.10008.9.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.3']) &lt;= 1">(ImagingProcedureDescription): element hl7:templateId[@root = '1.2.840.10008.9.3'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:id) &gt;= 1">(ImagingProcedureDescription): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:id) &lt;= 1">(ImagingProcedureDescription): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(ImagingProcedureDescription): element hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(ImagingProcedureDescription): element hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:title) &gt;= 1">(ImagingProcedureDescription): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:title) &lt;= 1">(ImagingProcedureDescription): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:text) &lt;= 1">(ImagingProcedureDescription): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:entry[hl7:procedure]) &gt;= 1">(ImagingProcedureDescription): element hl7:entry[hl7:procedure] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:entry[hl7:procedure]) &lt;= 1">(ImagingProcedureDescription): element hl7:entry[hl7:procedure] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(ImagingProcedureDescription): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(ImagingProcedureDescription): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:component[hl7:section]) &gt;= 1">(ImagingProcedureDescription): element hl7:component[hl7:section] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(ImagingProcedureDescription): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(ImagingProcedureDescription): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:templateId[@root = '1.2.840.10008.9.3']
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:templateId[@root = '1.2.840.10008.9.3']"
         id="d42e1810-false-d11661e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="string(@root) = ('1.2.840.10008.9.3')">(ImagingProcedureDescription): The value for root SHALL be '1.2.840.10008.9.3'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:id
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:id"
         id="d42e1815-false-d11675e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e1817-false-d11686e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="@nullFlavor or (@code='55111-9' and @codeSystem='2.16.840.1.113883.6.1')">(ImagingProcedureDescription): The element value SHALL be one of 'code '55111-9' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:title
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:title"
         id="d42e1822-false-d11702e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(ImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text
Item: (ImagingProcedureDescription)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:text[hl7:table]) &gt;= 1">(Text): element hl7:text[hl7:table] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:text[hl7:table]) &lt;= 1">(Text): element hl7:text[hl7:table] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:table) &gt;= 1">(Text): element hl7:table is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:table) &lt;= 1">(Text): element hl7:table appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:content
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:content">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@href">(Text): attribute @href SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@href) or string-length(@href)&gt;0">(Text): Attribute @href SHALL be of data type 'st'  - '<value-of select="@href"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@referencedObject">(Text): attribute @referencedObject SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@referencedObject) or matches(string(@referencedObject), $xsIDpattern)">(Text): Attribute @referencedObject SHALL be of data type 'xs:IDREF'  - '<value-of select="@referencedObject"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@href">(Text): attribute @href SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@href) or string-length(@href)&gt;0">(Text): Attribute @href SHALL be of data type 'st'  - '<value-of select="@href"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:list
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:list">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:item) &gt;= 1">(Text): element hl7:item is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:item
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:item">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &gt;= 1">(Text): element hl7:Tr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &lt;= 1">(Text): element hl7:Tr appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &gt;= 1">(Text): element hl7:Tr is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@styleCode">(Text): attribute @styleCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@styleCode) or (string-length(@styleCode) &gt; 0 and not(matches(@styleCode,'\s')))">(Text): Attribute @styleCode SHALL be of data type 'cs'  - '<value-of select="@styleCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Th) &gt;= 1">(Text): element hl7:Th is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Th
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Th">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Td) &gt;= 1">(Text): element hl7:Td is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Td) &lt;= 1">(Text): element hl7:Td appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Td
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Td">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:entry[hl7:procedure]
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:entry[hl7:procedure]"
         id="d42e1831-false-d12057e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:procedure[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]) &gt;= 1">(ImagingProcedureDescription): element hl7:procedure[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:procedure[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]) &lt;= 1">(ImagingProcedureDescription): element hl7:procedure[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:entry[hl7:procedure]/hl7:procedure[hl7:procedure[hl7:templateId[@root = '1.2.840.10008.9.14']]]
Item: (ImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:entry[hl7:substanceAdministration]
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:entry[hl7:substanceAdministration]"
         id="d42e1836-false-d12096e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:substanceAdministration[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]) &gt;= 1">(ImagingProcedureDescription): element hl7:substanceAdministration[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:substanceAdministration[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]) &lt;= 1">(ImagingProcedureDescription): element hl7:substanceAdministration[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:entry[hl7:substanceAdministration]/hl7:substanceAdministration[hl7:substanceAdministration[hl7:templateId[@root = '1.2.840.10008.9.13']]]
Item: (ImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:component[hl7:section]
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:component[hl7:section]"
         id="d42e1841-false-d12150e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]) &gt;= 1">(ImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]) &lt;= 1">(ImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]
Item: (ImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:component[hl7:section]
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:component[hl7:section]"
         id="d42e1846-false-d12245e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.8']]]) &gt;= 1">(ImagingProcedureDescription): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.8']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.8']]]) &lt;= 1">(ImagingProcedureDescription): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.8']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.8']]]
Item: (ImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:component[hl7:section]
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:component[hl7:section]"
         id="d42e1851-false-d12338e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]) &gt;= 1">(ImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]) &lt;= 1">(ImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]
Item: (ImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:entry[hl7:observation]
Item: (ImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:entry[hl7:observation]"
         id="d42e1856-false-d12383e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]) &gt;= 1">(ImagingProcedureDescription): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.3-2021-06-22T114800.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]) &lt;= 1">(ImagingProcedureDescription): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.3
Context: *[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]]/hl7:section[hl7:templateId[@root = '1.2.840.10008.9.3']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]
Item: (ImagingProcedureDescription)
--></pattern>
