<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Name: Key Images
Description: The Key Images section contains narrative description of and references to DICOM Image Information Objects that illustrate the findings of the procedure reported.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127">
   <title>Key Images</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]
Item: (KeyImages)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]"
         id="d42e5887-false-d30490e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]) &gt;= 1">(KeyImages): element hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]) &lt;= 1">(KeyImages): element hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]
Item: (KeyImages)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]"
         id="d42e5938-false-d30519e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']) &gt;= 1">(KeyImages): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']) &lt;= 1">(KeyImages): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:id) &gt;= 1">(KeyImages): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:code[(@code = '55113-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(KeyImages): element hl7:code[(@code = '55113-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:code[(@code = '55113-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(KeyImages): element hl7:code[(@code = '55113-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:title) &gt;= 1">(KeyImages): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:title) &lt;= 1">(KeyImages): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:text) &lt;= 1">(KeyImages): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']
Item: (KeyImages)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']"
         id="d42e5974-false-d30579e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(KeyImages): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.4.1.2.14')">(KeyImages): The value for root SHALL be '1.3.6.1.4.1.19376.1.4.1.2.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:id
Item: (KeyImages)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:id"
         id="d42e5979-false-d30593e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(KeyImages): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:code[(@code = '55113-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (KeyImages)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:code[(@code = '55113-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e5981-false-d30604e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(KeyImages): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="@nullFlavor or (@code='55113-5' and @codeSystem='2.16.840.1.113883.6.1')">(KeyImages): The element value SHALL be one of 'code '55113-5' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:title
Item: (KeyImages)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:title"
         id="d42e5986-false-d30620e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(KeyImages): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text
Item: (KeyImages)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:text[hl7:table]) &gt;= 1">(Text): element hl7:text[hl7:table] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:text[hl7:table]) &lt;= 1">(Text): element hl7:text[hl7:table] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:table) &gt;= 1">(Text): element hl7:table is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:table) &lt;= 1">(Text): element hl7:table appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:content
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:content">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@href">(Text): attribute @href SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@href) or string-length(@href)&gt;0">(Text): Attribute @href SHALL be of data type 'st'  - '<value-of select="@href"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@referencedObject">(Text): attribute @referencedObject SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@referencedObject) or matches(string(@referencedObject), $xsIDpattern)">(Text): Attribute @referencedObject SHALL be of data type 'xs:IDREF'  - '<value-of select="@referencedObject"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:renderMultiMedia/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:linkHtml">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@href">(Text): attribute @href SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@href) or string-length(@href)&gt;0">(Text): Attribute @href SHALL be of data type 'st'  - '<value-of select="@href"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:paragraph/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:list
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:list">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:item) &gt;= 1">(Text): element hl7:item is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:item
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:list/hl7:item">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:caption) &lt;= 1">(Text): element hl7:caption appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &gt;= 1">(Text): element hl7:Tr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &lt;= 1">(Text): element hl7:Tr appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Tr) &gt;= 1">(Text): element hl7:Tr is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:caption
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:caption">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@styleCode">(Text): attribute @styleCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@styleCode) or (string-length(@styleCode) &gt; 0 and not(matches(@styleCode,'\s')))">(Text): Attribute @styleCode SHALL be of data type 'cs'  - '<value-of select="@styleCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Th) &gt;= 1">(Text): element hl7:Th is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Th
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Th">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="@ID">(Text): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(Text): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Td) &gt;= 1">(Text): element hl7:Td is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="count(hl7:Td) &lt;= 1">(Text): element hl7:Td appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.19
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Td
Item: (Text)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:text/hl7:text[hl7:table]/hl7:table/hl7:Tr/hl7:Td">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.19-2021-06-21T150303.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Text): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observation]
Item: (KeyImages)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observation]"
         id="d42e5994-false-d30972e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:observation) &gt;= 1">(KeyImages): element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:observation) &lt;= 1">(KeyImages): element hl7:observation appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observation]/hl7:observation
Item: (KeyImages)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]
Item: (KeyImages)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]"
         id="d42e5999-false-d30999e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]) &gt;= 1">(KeyImages): element hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.2.14-2021-06-22T115127.html"
              test="count(hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]) &lt;= 1">(KeyImages): element hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.2.14
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]
Item: (KeyImages)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]) &gt;= 1">(ObservationMediaEntry): element hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]) &lt;= 1">(ObservationMediaEntry): element hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@ID">(ObservationMediaEntry): attribute @ID SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="not(@ID) or matches(string(@ID), $xsIDpattern)">(ObservationMediaEntry): Attribute @ID SHALL be of data type 'xs:ID'  - '<value-of select="@ID"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@moodCode">(ObservationMediaEntry): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="not(@moodCode) or (string-length(@moodCode) &gt; 0 and not(matches(@moodCode,'\s')))">(ObservationMediaEntry): Attribute @moodCode SHALL be of data type 'cs'  - '<value-of select="@moodCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="@classCode">(ObservationMediaEntry): attribute @classCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="not(@classCode) or (string-length(@classCode) &gt; 0 and not(matches(@classCode,'\s')))">(ObservationMediaEntry): Attribute @classCode SHALL be of data type 'cs'  - '<value-of select="@classCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']) &gt;= 1">(ObservationMediaEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']) &lt;= 1">(ObservationMediaEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:id) &gt;= 1">(ObservationMediaEntry): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:id) &lt;= 1">(ObservationMediaEntry): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:value) &gt;= 1">(ObservationMediaEntry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:value) &lt;= 1">(ObservationMediaEntry): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.4.1.4.7')">(ObservationMediaEntry): The value for root SHALL be '1.3.6.1.4.1.19376.1.4.1.4.7'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:id
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@mediaType) = ('2.16.840.1.113883.11.14839')">(ObservationMediaEntry): The value for mediaType SHALL be '2.16.840.1.113883.11.14839'. Found: "<value-of select="@mediaType"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="string(@representation) = ('B64')">(ObservationMediaEntry): The value for representation SHALL be 'B64'. Found: "<value-of select="@representation"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="count(hl7:reference) &lt;= 1">(ObservationMediaEntry): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.4.1.4.7
Context: *[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value/hl7:reference
Item: (ObservationMediaEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]/hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]/hl7:entry[hl7:observationMedia]/hl7:observationMedia[hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]]/hl7:observationMedia[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.4.7']]/hl7:value/hl7:reference">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.4.1.4.7-2021-06-21T165149.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ObservationMediaEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
