<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Name: IHE Payer Entry
Description: The payer entry allows information about the patient's sources of payment to be recorded.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618">
   <title>IHE Payer Entry</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]
Item: (IHEPayerEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]"
         id="d42e6318-false-d31587e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="string(@classCode) = ('ACT')">(IHEPayerEntry): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="string(@moodCode) = ('EVN')">(IHEPayerEntry): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18']) &gt;= 1">(IHEPayerEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18']) &lt;= 1">(IHEPayerEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']) &gt;= 1">(IHEPayerEntry): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']) &lt;= 1">(IHEPayerEntry): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:id) &gt;= 1">(IHEPayerEntry): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:code[not(@nullFlavor)]) &gt;= 1">(IHEPayerEntry): element hl7:code[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(IHEPayerEntry): element hl7:code[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IHEPayerEntry): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IHEPayerEntry): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:performer[not(@nullFlavor)][hl7:assignedEntity]) &gt;= 1">(IHEPayerEntry): element hl7:performer[not(@nullFlavor)][hl7:assignedEntity] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:performer[not(@nullFlavor)][hl7:assignedEntity]) &lt;= 1">(IHEPayerEntry): element hl7:performer[not(@nullFlavor)][hl7:assignedEntity] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:participant[@typeCode='COV']) &gt;= 1">(IHEPayerEntry): element hl7:participant[@typeCode='COV'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:participant[@typeCode='COV']) &lt;= 1">(IHEPayerEntry): element hl7:participant[@typeCode='COV'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:participant[@typeCode='HLD']) &lt;= 1">(IHEPayerEntry): element hl7:participant[@typeCode='HLD'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18']
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18']"
         id="d42e6324-false-d31666e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.18')">(IHEPayerEntry): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']"
         id="d42e6329-false-d31681e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.26')">(IHEPayerEntry): The value for root SHALL be '2.16.840.1.113883.10.20.1.26'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:id
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:id"
         id="d42e6334-false-d31695e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:code[not(@nullFlavor)]
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:code[not(@nullFlavor)]"
         id="d42e6337-false-d31705e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:statusCode[@code = 'completed']
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:statusCode[@code = 'completed']"
         id="d42e6339-false-d31716e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="@nullFlavor or (@code='completed')">(IHEPayerEntry): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]"
         id="d42e6344-false-d31732e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="string(@typeCode) = ('PRF') or not(@typeCode)">(IHEPayerEntry): The value for typeCode SHALL be 'PRF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)]) &gt;= 1">(IHEPayerEntry): element hl7:assignedEntity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)]) &lt;= 1">(IHEPayerEntry): element hl7:assignedEntity[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]"
         id="d42e6348-false-d31752e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(IHEPayerEntry): The value for classCode SHALL be 'ASSIGNED'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:code[not(@nullFlavor)]) &gt;= 1">(IHEPayerEntry): element hl7:code[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(IHEPayerEntry): element hl7:code[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:addr[not(@nullFlavor)]) &gt;= 1">(IHEPayerEntry): element hl7:addr[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:telecom[not(@nullFlavor)]) &gt;= 1">(IHEPayerEntry): element hl7:telecom[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:assignedPerson) &lt;= 1">(IHEPayerEntry): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:representedOrganization) &lt;= 1">(IHEPayerEntry): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:id
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:id"
         id="d42e6352-false-d31800e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:code[not(@nullFlavor)]
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:code[not(@nullFlavor)]"
         id="d42e6354-false-d31810e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:addr[not(@nullFlavor)]
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:addr[not(@nullFlavor)]"
         id="d42e6356-false-d31820e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:telecom[not(@nullFlavor)]
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:telecom[not(@nullFlavor)]"
         id="d42e6358-false-d31830e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:assignedPerson
Item: (IHEPayerEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:performer[not(@nullFlavor)][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)]/hl7:representedOrganization
Item: (IHEPayerEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']"
         id="d42e6367-false-d31854e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="string(@typeCode) = ('COV')">(IHEPayerEntry): The value for typeCode SHALL be 'COV'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']) &gt;= 1">(IHEPayerEntry): element hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']) &lt;= 1">(IHEPayerEntry): element hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']/hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']/hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']"
         id="d42e6371-false-d31874e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="string(@classCode) = ('PAT')">(IHEPayerEntry): The value for classCode SHALL be 'PAT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:code) &gt;= 1">(IHEPayerEntry): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:code) &lt;= 1">(IHEPayerEntry): element hl7:code appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']/hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']/hl7:id
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']/hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']/hl7:id"
         id="d42e6375-false-d31905e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']/hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']/hl7:code
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']/hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']/hl7:code"
         id="d42e6377-false-d31915e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']/hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']/hl7:addr
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']/hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']/hl7:addr"
         id="d42e6382-false-d31925e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']/hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']/hl7:telecom
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='COV']/hl7:participantRole[not(@nullFlavor)][@classCode = 'PAT']/hl7:telecom"
         id="d42e6384-false-d31935e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='HLD']
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='HLD']"
         id="d42e6388-false-d31943e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="string(@typeCode) = ('HLD')">(IHEPayerEntry): The value for typeCode SHALL be 'HLD'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:participantRole[not(@nullFlavor)][@classCode]) &gt;= 1">(IHEPayerEntry): element hl7:participantRole[not(@nullFlavor)][@classCode] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:participantRole[not(@nullFlavor)][@classCode]) &lt;= 1">(IHEPayerEntry): element hl7:participantRole[not(@nullFlavor)][@classCode] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='HLD']/hl7:participantRole[not(@nullFlavor)][@classCode]
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='HLD']/hl7:participantRole[not(@nullFlavor)][@classCode]"
         id="d42e6392-false-d31963e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="@classCode">(IHEPayerEntry): attribute @classCode SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="not(@classCode) or (string-length(@classCode) &gt; 0 and not(matches(@classCode,'\s')))">(IHEPayerEntry): Attribute @classCode SHALL be of data type 'cs'  - '<value-of select="@classCode"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:id) &gt;= 1">(IHEPayerEntry): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:addr) &gt;= 1">(IHEPayerEntry): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:telecom) &gt;= 1">(IHEPayerEntry): element hl7:telecom is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='HLD']/hl7:participantRole[not(@nullFlavor)][@classCode]/hl7:id
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='HLD']/hl7:participantRole[not(@nullFlavor)][@classCode]/hl7:id"
         id="d42e6396-false-d31994e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='HLD']/hl7:participantRole[not(@nullFlavor)][@classCode]/hl7:addr
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='HLD']/hl7:participantRole[not(@nullFlavor)][@classCode]/hl7:addr"
         id="d42e6398-false-d32004e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='HLD']/hl7:participantRole[not(@nullFlavor)][@classCode]/hl7:telecom
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:participant[@typeCode='HLD']/hl7:participantRole[not(@nullFlavor)][@classCode]/hl7:telecom"
         id="d42e6400-false-d32014e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT']]
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT']]"
         id="d42e6404-false-d32024e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="string(@typeCode) = ('REFR')">(IHEPayerEntry): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:act[not(@nullFlavor)][@classCode = 'ACT']) &gt;= 1">(IHEPayerEntry): element hl7:act[not(@nullFlavor)][@classCode = 'ACT'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:act[not(@nullFlavor)][@classCode = 'ACT']) &lt;= 1">(IHEPayerEntry): element hl7:act[not(@nullFlavor)][@classCode = 'ACT'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT']]/hl7:act[not(@nullFlavor)][@classCode = 'ACT']
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT']]/hl7:act[not(@nullFlavor)][@classCode = 'ACT']"
         id="d42e6408-false-d32044e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="string(@classCode) = ('ACT')">(IHEPayerEntry): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:id) &gt;= 1">(IHEPayerEntry): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="count(hl7:text) &lt;= 1">(IHEPayerEntry): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT']]/hl7:act[not(@nullFlavor)][@classCode = 'ACT']/hl7:id
Item: (IHEPayerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT']]/hl7:act[not(@nullFlavor)][@classCode = 'ACT']/hl7:id"
         id="d42e6412-false-d32068e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.18-2016-10-14T090618.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IHEPayerEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.18
Context: *[hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]]/hl7:act[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.18'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.26']]/hl7:entryRelationship[@typeCode = 'REFR'][hl7:act[@classCode = 'ACT']]/hl7:act[not(@nullFlavor)][@classCode = 'ACT']/hl7:text
Item: (IHEPayerEntry)
-->
</pattern>
