<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Name: IHE Cancer Diagnosis Entry
Description: 
                 A Cancer Diagnosis entry collects details of the patient’s cancer diagnosis, including histology, behavior, primary site, laterality, diagnosis date, TNM Stage, and Best Method of Confirmation. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615">
   <title>IHE Cancer Diagnosis Entry</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]
Item: (IHECancerDiagnosisEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]"
         id="d42e6657-false-d32453e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="string(@moodCode) = ('EVN')">(IHECancerDiagnosisEntry): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="string(@classCode) = ('OBS')">(IHECancerDiagnosisEntry): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5']) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5']) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:code[(@code = '282291009' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:code[(@code = '282291009' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:code[(@code = '282291009' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:code[(@code = '282291009' and @codeSystem = '2.16.840.1.113883.6.96')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:targetSiteCode[not(@nullFlavor)]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:targetSiteCode[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5']
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5']"
         id="d42e6663-false-d32531e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.5')">(IHECancerDiagnosisEntry): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.5'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']"
         id="d42e6668-false-d32543e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.7.3.1.4.14.1')">(IHECancerDiagnosisEntry): The value for root SHALL be '1.3.6.1.4.1.19376.1.7.3.1.4.14.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:code[(@code = '282291009' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:code[(@code = '282291009' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e6673-false-d32555e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="@nullFlavor or (@code='282291009' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Diagnosis' and @codeSystemName='SNOMED CT')">(IHECancerDiagnosisEntry): The element value SHALL be one of 'code '282291009' codeSystem '2.16.840.1.113883.6.96' displayName='Diagnosis' codeSystemName='SNOMED CT''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:statusCode[@code = 'completed']
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:statusCode[@code = 'completed']"
         id="d42e6679-false-d32572e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="@nullFlavor or (@code='completed')">(IHECancerDiagnosisEntry): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:effectiveTime
Item: (IHECancerDiagnosisEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value"
         id="d42e6686-false-d32596e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value/hl7:qualifier[hl7:name[(@code = '31206-6' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value/hl7:qualifier[hl7:name[(@code = '31206-6' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e6688-false-d32617e0">
      <extends rule="CR"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CR')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CR". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:name[(@code = '31206-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:name[(@code = '31206-6' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:name[(@code = '31206-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:name[(@code = '31206-6' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value/hl7:qualifier[hl7:name[(@code = '31206-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:name[(@code = '31206-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value/hl7:qualifier[hl7:name[(@code = '31206-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:name[(@code = '31206-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e6690-false-d32646e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="@nullFlavor or (@code='31206-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Behavior ICD-O-3 Cancer' and @codeSystemName='LOINC')">(IHECancerDiagnosisEntry): The element value SHALL be one of 'code '31206-6' codeSystem '2.16.840.1.113883.6.1' displayName='Behavior ICD-O-3 Cancer' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value/hl7:qualifier[hl7:name[(@code = '31206-6' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value
Item: (IHECancerDiagnosisEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value/hl7:qualifier[hl7:name[(@code = '21861-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value/hl7:qualifier[hl7:name[(@code = '21861-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]"
         id="d42e6698-false-d32668e0">
      <extends rule="CR"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CR')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CR". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:name[(@code = '21861-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:name[(@code = '21861-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:name[(@code = '21861-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:name[(@code = '21861-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value/hl7:qualifier[hl7:name[(@code = '21861-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:name[(@code = '21861-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value/hl7:qualifier[hl7:name[(@code = '21861-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:name[(@code = '21861-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e6700-false-d32697e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="@nullFlavor or (@code='21861-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Dx confirmed by Cancer' and @codeSystemName='LOINC')">(IHECancerDiagnosisEntry): The element value SHALL be one of 'code '21861-0' codeSystem '2.16.840.1.113883.6.1' displayName='Dx confirmed by Cancer' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:value/hl7:qualifier[hl7:name[(@code = '21861-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:value
Item: (IHECancerDiagnosisEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:targetSiteCode[not(@nullFlavor)]
Item: (IHECancerDiagnosisEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:targetSiteCode[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:targetSiteCode[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]"
         id="d42e6711-false-d32731e0">
      <extends rule="CR"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CR')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CR". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:targetSiteCode[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:targetSiteCode[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e6713-false-d32760e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="@nullFlavor or (@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Anatomic part Laterality' and @codeSystemName='LOINC')">(IHECancerDiagnosisEntry): The element value SHALL be one of 'code '20228-3' codeSystem '2.16.840.1.113883.6.1' displayName='Anatomic part Laterality' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:targetSiteCode[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:value
Item: (IHECancerDiagnosisEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]"
         id="d42e6722-false-d32782e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="string(@typeCode) = ('SUBJ')">(IHECancerDiagnosisEntry): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="string(@inversionInd) = ('false')">(IHECancerDiagnosisEntry): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]"
         id="d42e6728-false-d32808e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:code[(@code = '75620-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:code[(@code = '75620-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:code[(@code = '75620-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:code[(@code = '75620-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]]) &lt;= 3">(IHECancerDiagnosisEntry): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]] appears too often [max 3x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']"
         id="d42e6730-false-d32861e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.7.3.1.4.14.2')">(IHECancerDiagnosisEntry): The value for root SHALL be '1.3.6.1.4.1.19376.1.7.3.1.4.14.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:code[(@code = '75620-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:code[(@code = '75620-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e6735-false-d32873e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="@nullFlavor or (@code='75620-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='TNM Clinical Stage Information' and @codeSystemName='LOINC')">(IHECancerDiagnosisEntry): The element value SHALL be one of 'code '75620-5' codeSystem '2.16.840.1.113883.6.1' displayName='TNM Clinical Stage Information' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:statusCode[@code = 'completed']
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:statusCode[@code = 'completed']"
         id="d42e6740-false-d32890e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="@nullFlavor or (@code='completed')">(IHECancerDiagnosisEntry): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]"
         id="d42e6745-false-d32906e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '21909-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '21909-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]"
         id="d42e6747-false-d32927e0">
      <extends rule="CR"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CR')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CR". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:name[(@code = '21909-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:name[(@code = '21909-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:name[(@code = '21909-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:name[(@code = '21909-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '21909-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:name[(@code = '21909-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '21909-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:name[(@code = '21909-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e6749-false-d32956e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="@nullFlavor or (@code='21909-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Descriptor.clinical Cancer' and @codeSystemName='LOINC')">(IHECancerDiagnosisEntry): The element value SHALL be one of 'code '21909-7' codeSystem '2.16.840.1.113883.6.1' displayName='Descriptor.clinical Cancer' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '21909-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:value
Item: (IHECancerDiagnosisEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '21917-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '21917-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]"
         id="d42e6757-false-d32978e0">
      <extends rule="CR"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CR')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CR". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:name[(@code = '21917-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:name[(@code = '21917-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:name[(@code = '21917-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:name[(@code = '21917-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '21917-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:name[(@code = '21917-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '21917-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:name[(@code = '21917-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e6759-false-d33007e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="@nullFlavor or (@code='21917-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Version TNM Classification' and @codeSystemName='LOINC')">(IHECancerDiagnosisEntry): The element value SHALL be one of 'code '21917-0' codeSystem '2.16.840.1.113883.6.1' displayName='Version TNM Classification' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:value[not(@nullFlavor)]/hl7:qualifier[hl7:name[(@code = '21917-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]]/hl7:value
Item: (IHECancerDiagnosisEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:participant
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:participant"
         id="d42e6768-false-d33028e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:participantRole[hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:participantRole[hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:participant/hl7:participantRole[hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:participant/hl7:participantRole[hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e6770-false-d33044e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:playingEntity[hl7:code]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:playingEntity[hl7:code] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:participant/hl7:participantRole[hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:participant/hl7:participantRole[hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e6772-false-d33068e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="@nullFlavor or (@code='21910-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Stager.clinical Cancer' and @codeSystemName='LOINC')">(IHECancerDiagnosisEntry): The element value SHALL be one of 'code '21910-5' codeSystem '2.16.840.1.113883.6.1' displayName='Stager.clinical Cancer' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:participant/hl7:participantRole[hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:playingEntity[hl7:code]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:participant/hl7:participantRole[hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:playingEntity[hl7:code]"
         id="d42e6777-false-d33081e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:code[not(@nullFlavor)]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:code[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:code[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:participant/hl7:participantRole[hl7:code[(@code = '21910-5' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:playingEntity[hl7:code]/hl7:code[not(@nullFlavor)]
Item: (IHECancerDiagnosisEntry)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]]"
         id="d42e6785-false-d33106e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="string(@typeCode) = ('COMP')">(IHECancerDiagnosisEntry): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(IHECancerDiagnosisEntry): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]"
         id="d42e6791-false-d33132e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.3.6.1.4.1.19376.1.5.3.1.11.7-2017-03-23T084440.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.3.6.1.4.1.19376.1.5.3.1.11.7-2017-03-23T084440.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.3.6.1.4.1.19376.1.5.3.1.11.7-2017-03-23T084440.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(IHECancerDiagnosisEntry): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.3.6.1.4.1.19376.1.5.3.1.11.7-2017-03-23T084440.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="count(hl7:value) &gt;= 1">(IHECancerDiagnosisEntry): element hl7:value is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']"
         id="d42e6793-false-d33167e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.13')">(IHECancerDiagnosisEntry): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.13'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.3.6.1.4.1.19376.1.5.3.1.11.7-2017-03-23T084440.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.3.6.1.4.1.19376.1.5.3.1.11.7-2017-03-23T084440.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e6798-false-d33181e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="@nullFlavor or exists(doc('include/voc-1.3.6.1.4.1.19376.1.5.3.1.11.7-2017-03-23T084440.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IHECancerDiagnosisEntry): The element value SHALL be one of '1.3.6.1.4.1.19376.1.5.3.1.11.7 CancerDiagnosis_codes (2017-03-23T08:44:40)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.7.3.1.4.14.1
Context: *[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]/hl7:value
Item: (IHECancerDiagnosisEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.5'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.7.3.1.4.14.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]]/hl7:observation[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']]/hl7:value"
         id="d42e6803-false-d33199e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.3.6.1.4.1.19376.1.7.3.1.4.14.1-2017-03-23T085615.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IHECancerDiagnosisEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
