<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.2.39
Name: Medical (General) History Section
Description: The Medical History Section describes all aspects of the medical history of the patient even if not pertinent to the current procedure, and may include chief complaint, past medical history, social history, family history, surgical or procedure history, medication history, and other history information. The history may be limited to information pertinent to the
            current procedure or may be more comprehensive. The history may be reported as a collection of random clinical statements or it may be reported categorically. Categorical report formats may be divided into multiple subsections including Past Medical History, Social History.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000">
   <title>Medical (General) History Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.39
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]
Item: (MedicalGeneralHistorySection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.39
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]
Item: (MedicalGeneralHistorySection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]"
         id="d42e12265-false-d232022e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']) &gt;= 1">(MedicalGeneralHistorySection): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']) &lt;= 1">(MedicalGeneralHistorySection): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="count(cda:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(MedicalGeneralHistorySection): element cda:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="count(cda:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(MedicalGeneralHistorySection): element cda:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="count(cda:title) &gt;= 1">(MedicalGeneralHistorySection): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="count(cda:title) &lt;= 1">(MedicalGeneralHistorySection): element cda:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="count(cda:text) &gt;= 1">(MedicalGeneralHistorySection): element cda:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="count(cda:text) &lt;= 1">(MedicalGeneralHistorySection): element cda:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.39
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']
Item: (MedicalGeneralHistorySection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']"
         id="d42e12267-false-d232065e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicalGeneralHistorySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.2.39')">CONF:81-10403: The value for root SHALL be '2.16.840.1.113883.10.20.22.2.39'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.39
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]/cda:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (MedicalGeneralHistorySection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]/cda:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e12283-false-d232080e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(MedicalGeneralHistorySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="@nullFlavor or (@code='11329-0' and @codeSystem='2.16.840.1.113883.6.1')">(MedicalGeneralHistorySection): The element value SHALL be one of 'code '11329-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.39
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]/cda:title
Item: (MedicalGeneralHistorySection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]/cda:title"
         id="d42e12293-false-d232096e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(MedicalGeneralHistorySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.2.39
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]/cda:text
Item: (MedicalGeneralHistorySection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.39']]/cda:text"
         id="d42e12301-false-d232106e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.2.39-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(MedicalGeneralHistorySection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
