<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.118
Name: Substance Administered Act
Description: This template represents the administration course in a series. The entryRelationship/sequenceNumber in the containing template shows the order of this particular administration in that medication series.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000">
   <title>Substance Administered Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.118
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]
Item: (SubstanceAdministeredAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.118
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]
Item: (SubstanceAdministeredAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]"
         id="d42e12407-false-d232278e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="string(@classCode) = ('ACT')">CONF:1098-31500: The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:1098-31501: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']) &gt;= 1">(SubstanceAdministeredAct): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']) &lt;= 1">(SubstanceAdministeredAct): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(SubstanceAdministeredAct): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="count(cda:code[(@code = '416118004' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(SubstanceAdministeredAct): element cda:code[(@code = '416118004' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="count(cda:code[(@code = '416118004' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(SubstanceAdministeredAct): element cda:code[(@code = '416118004' and @codeSystem = '2.16.840.1.113883.6.96')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(SubstanceAdministeredAct): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(SubstanceAdministeredAct): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(SubstanceAdministeredAct): element cda:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.118
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']
Item: (SubstanceAdministeredAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']"
         id="d42e12425-false-d232334e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SubstanceAdministeredAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.118')">CONF:1098-31503: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.118'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.118
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]/cda:id
Item: (SubstanceAdministeredAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]/cda:id"
         id="d42e12441-false-d232348e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SubstanceAdministeredAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.118
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]/cda:code[(@code = '416118004' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (SubstanceAdministeredAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]/cda:code[(@code = '416118004' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e12449-false-d232359e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SubstanceAdministeredAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="@nullFlavor or (@code='416118004' and @codeSystem='2.16.840.1.113883.6.96')">(SubstanceAdministeredAct): The element value SHALL be one of 'code '416118004' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.118
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]/cda:statusCode[@code = 'completed']
Item: (SubstanceAdministeredAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]/cda:statusCode[@code = 'completed']"
         id="d42e12460-false-d232376e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(SubstanceAdministeredAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.118-2015-08-13T000000.html"
              test="@nullFlavor or (@code='completed')">(SubstanceAdministeredAct): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.118
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]/cda:effectiveTime
Item: (SubstanceAdministeredAct)
-->
</pattern>
