<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.123
Name: Drug Monitoring Act
Description: This template represents the act of monitoring the patient's medication and includes a participation to record the person responsible for monitoring the medication. The prescriber of the medication is not necessarily the same person or persons monitoring the drug. The effectiveTime indicates the time when the activity is intended to take place. For example, a
            cardiologist may prescribe a patient Warfarin. The patient's primary care provider may monitor the patient's INR and adjust the dosing of the Warfarin based on these lab results. Here the person designated to monitor the drug is the primary care provider.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000">
   <title>Drug Monitoring Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.123
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]
Item: (DrugMonitoringAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.123
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]
Item: (DrugMonitoringAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]"
         id="d42e12613-false-d232431e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="string(@classCode) = ('ACT')">CONF:1098-30823: The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="string(@moodCode) = ('INT')">CONF:1098-28656: The value for moodCode SHALL be 'INT'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']) &gt;= 1">(DrugMonitoringAct): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']) &lt;= 1">(DrugMonitoringAct): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(DrugMonitoringAct): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:code[(@code = '395170001' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(DrugMonitoringAct): element cda:code[(@code = '395170001' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:code[(@code = '395170001' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(DrugMonitoringAct): element cda:code[(@code = '395170001' and @codeSystem = '2.16.840.1.113883.6.96')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:statusCode) &gt;= 1">(DrugMonitoringAct): element cda:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:statusCode) &lt;= 1">(DrugMonitoringAct): element cda:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &gt;= 1">(DrugMonitoringAct): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(DrugMonitoringAct): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]) &gt;= 1">(DrugMonitoringAct): element cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.123
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']
Item: (DrugMonitoringAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']"
         id="d42e12631-false-d232497e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(DrugMonitoringAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.123')">CONF:1098-28658: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.123'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.123
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:id
Item: (DrugMonitoringAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:id"
         id="d42e12647-false-d232511e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(DrugMonitoringAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.123
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:code[(@code = '395170001' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (DrugMonitoringAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:code[(@code = '395170001' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e12655-false-d232522e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(DrugMonitoringAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="@nullFlavor or (@code='395170001' and @codeSystem='2.16.840.1.113883.6.96')">(DrugMonitoringAct): The element value SHALL be one of 'code '395170001' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.123
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:statusCode
Item: (DrugMonitoringAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:statusCode"
         id="d42e12666-false-d232538e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(DrugMonitoringAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="@code">CONF:1098-32358: attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">CONF:1098-32358: The value for code SHALL be selected from value set '2.16.840.1.113883.1.11.15933' ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.123
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:effectiveTime
Item: (DrugMonitoringAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.123
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]
Item: (DrugMonitoringAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]"
         id="d42e12743-false-d232575e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="string(@typeCode) = ('RESP')">CONF:1098-28663: The value for typeCode SHALL be 'RESP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']]) &gt;= 1">(DrugMonitoringAct): element cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']]) &lt;= 1">(DrugMonitoringAct): element cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.123
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]/cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']]
Item: (DrugMonitoringAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]/cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']]"
         id="d42e12758-false-d232601e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="string(@classCode) = ('ASSIGNED')">CONF:1098-28664: The value for classCode SHALL be 'ASSIGNED'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(DrugMonitoringAct): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:playingEntity[not(@nullFlavor)][@classCode = 'PSN'][cda:name]) &gt;= 1">(DrugMonitoringAct): element cda:playingEntity[not(@nullFlavor)][@classCode = 'PSN'][cda:name] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="count(cda:playingEntity[not(@nullFlavor)][@classCode = 'PSN'][cda:name]) &lt;= 1">(DrugMonitoringAct): element cda:playingEntity[not(@nullFlavor)][@classCode = 'PSN'][cda:name] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.123
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]/cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']]/cda:id
Item: (DrugMonitoringAct)
-->

   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]/cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']]/cda:id"
         id="d42e12773-false-d232630e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(DrugMonitoringAct): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.123
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]/cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']]/cda:playingEntity[not(@nullFlavor)][@classCode = 'PSN'][cda:name]
Item: (DrugMonitoringAct)
-->
   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]/cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']]/cda:playingEntity[not(@nullFlavor)][@classCode = 'PSN'][cda:name]">
      <extends rule="d232653e0-false-d232657e0"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.123-2015-08-13T000000.html"
              test="string(@classCode) = ('PSN')">CONF:1098-28668: The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.5.1.1
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]/cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']]/cda:playingEntity[not(@nullFlavor)][@classCode = 'PSN'][cda:name]
Item: (USRealmPersonNamePNUSFIELDED)
-->
   <rule fpi="RULC-1" id="d232653e0-false-d232657e0" abstract="true">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.5.1.1-2015-08-13T000000.html"
              test="count(cda:name) &gt;= 1">(USRealmPersonNamePNUSFIELDED): element cda:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.5.1.1-2015-08-13T000000.html"
              test="count(cda:name) &lt;= 1">(USRealmPersonNamePNUSFIELDED): element cda:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.5.1.1
Context: *[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]/cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']]/cda:playingEntity[not(@nullFlavor)][@classCode = 'PSN'][cda:name]/cda:name
Item: (USRealmPersonNamePNUSFIELDED)
-->
   <rule fpi="RULC-1"
         context="*[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]/cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]/cda:participant[not(@nullFlavor)][@typeCode = 'RESP'][cda:participantRole[@classCode = 'ASSIGNED']]/cda:participantRole[not(@nullFlavor)][@classCode = 'ASSIGNED'][cda:playingEntity[@classCode = 'PSN']]/cda:playingEntity[not(@nullFlavor)][@classCode = 'PSN'][cda:name]/cda:name">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.5.1.1-2015-08-13T000000.html"
              test="@nullFlavor or (cda:given and cda:family) or (not(*) and string-length(normalize-space(string(.)))!=0)">(USRealmPersonNamePNUSFIELDED): The content of name *SHALL* be either a conformant Patient Name (PTN.US.FIELDED), or a string</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.5.1.1-2015-08-13T000000.html"
              test="@nullFlavor or (cda:given and cda:family) or (not(*))">(USRealmPersonNamePNUSFIELDED): The string *SHALL NOT* contain name parts</assert>
   </rule>
</pattern>
