<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.147
Name: Medication Free Text Sig
Description: The template is available to explicitly identify the free text Sig within each medication. An example free text sig: Thyroxin 150 ug, take one tab by mouth every morning.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000">
   <title>Medication Free Text Sig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.147
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]
Item: (MedicationFreeTextSig)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.147
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]
Item: (MedicationFreeTextSig)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]"
         id="d42e13368-false-d234556e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="string(@classCode) = ('SBADM')">CONF:1198-32770: The value for classCode SHALL be 'SBADM'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="@moodCode">CONF:1198-32771: attribute @moodCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.11.20.9.18-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">CONF:1198-32771: The value for moodCode SHALL be selected from value set '2.16.840.1.113883.11.20.9.18' MoodCodeEvnInt (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']) &gt;= 1">(MedicationFreeTextSig): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']) &lt;= 1">(MedicationFreeTextSig): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:code[(@code = '76662-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(MedicationFreeTextSig): element cda:code[(@code = '76662-6' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:code[(@code = '76662-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(MedicationFreeTextSig): element cda:code[(@code = '76662-6' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:text[not(@nullFlavor)][cda:reference]) &gt;= 1">(MedicationFreeTextSig): element cda:text[not(@nullFlavor)][cda:reference] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:text[not(@nullFlavor)][cda:reference]) &lt;= 1">(MedicationFreeTextSig): element cda:text[not(@nullFlavor)][cda:reference] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:consumable[not(@nullFlavor)][cda:manufacturedProduct]) &gt;= 1">(MedicationFreeTextSig): element cda:consumable[not(@nullFlavor)][cda:manufacturedProduct] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:consumable[not(@nullFlavor)][cda:manufacturedProduct]) &lt;= 1">(MedicationFreeTextSig): element cda:consumable[not(@nullFlavor)][cda:manufacturedProduct] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.147
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']
Item: (MedicationFreeTextSig)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']"
         id="d42e13388-false-d234618e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationFreeTextSig): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.147')">CONF:1198-32772: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.147'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.147
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:code[(@code = '76662-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (MedicationFreeTextSig)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:code[(@code = '76662-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e13404-false-d234633e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="@nullFlavor or (@code='76662-6' and @codeSystem='2.16.840.1.113883.6.1')">(MedicationFreeTextSig): The element value SHALL be one of 'code '76662-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.147
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:text[not(@nullFlavor)][cda:reference]
Item: (MedicationFreeTextSig)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:text[not(@nullFlavor)][cda:reference]"
         id="d42e13419-false-d234646e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:reference[not(@nullFlavor)]) &gt;= 1">(MedicationFreeTextSig): element cda:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:reference[not(@nullFlavor)]) &lt;= 1">(MedicationFreeTextSig): element cda:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.147
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:text[not(@nullFlavor)][cda:reference]/cda:reference[not(@nullFlavor)]
Item: (MedicationFreeTextSig)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:text[not(@nullFlavor)][cda:reference]/cda:reference[not(@nullFlavor)]"
         id="d42e13426-false-d234662e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="not(@value) or starts-with(@value, '#')">(MedicationFreeTextSig): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.147
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:consumable[not(@nullFlavor)][cda:manufacturedProduct]
Item: (MedicationFreeTextSig)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:consumable[not(@nullFlavor)][cda:manufacturedProduct]"
         id="d42e13449-false-d234670e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:manufacturedProduct[not(@nullFlavor)][cda:manufacturedLabeledDrug[@nullFlavor = 'NA']]) &gt;= 1">(MedicationFreeTextSig): element cda:manufacturedProduct[not(@nullFlavor)][cda:manufacturedLabeledDrug[@nullFlavor = 'NA']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:manufacturedProduct[not(@nullFlavor)][cda:manufacturedLabeledDrug[@nullFlavor = 'NA']]) &lt;= 1">(MedicationFreeTextSig): element cda:manufacturedProduct[not(@nullFlavor)][cda:manufacturedLabeledDrug[@nullFlavor = 'NA']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.147
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:consumable[not(@nullFlavor)][cda:manufacturedProduct]/cda:manufacturedProduct[not(@nullFlavor)][cda:manufacturedLabeledDrug[@nullFlavor = 'NA']]
Item: (MedicationFreeTextSig)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:consumable[not(@nullFlavor)][cda:manufacturedProduct]/cda:manufacturedProduct[not(@nullFlavor)][cda:manufacturedLabeledDrug[@nullFlavor = 'NA']]"
         id="d42e13456-false-d234686e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:manufacturedLabeledDrug[@nullFlavor = 'NA']) &gt;= 1">(MedicationFreeTextSig): element cda:manufacturedLabeledDrug[@nullFlavor = 'NA'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="count(cda:manufacturedLabeledDrug[@nullFlavor = 'NA']) &lt;= 1">(MedicationFreeTextSig): element cda:manufacturedLabeledDrug[@nullFlavor = 'NA'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.147
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:consumable[not(@nullFlavor)][cda:manufacturedProduct]/cda:manufacturedProduct[not(@nullFlavor)][cda:manufacturedLabeledDrug[@nullFlavor = 'NA']]/cda:manufacturedLabeledDrug[@nullFlavor = 'NA']
Item: (MedicationFreeTextSig)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]/cda:consumable[not(@nullFlavor)][cda:manufacturedProduct]/cda:manufacturedProduct[not(@nullFlavor)][cda:manufacturedLabeledDrug[@nullFlavor = 'NA']]/cda:manufacturedLabeledDrug[@nullFlavor = 'NA']"
         id="d42e13463-false-d234702e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.147-2015-08-13T000000.html"
              test="string(@nullFlavor) = ('NA')">CONF:1198-32779: The value for nullFlavor SHALL be 'NA'. Found: "<value-of select="@nullFlavor"/>"</assert>
   </rule>
</pattern>
