<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.16
Name: Medication Activity (V2)
Description: A Medication Activity describes substance administrations that have actually occurred (e.g., pills ingested or injections given) or are intended to occur (e.g., "take 2 tablets twice a day for the next 10 days"). Medication activities in "INT" mood are reflections of what a clinician intends a patient to be taking. For example, a clinician may intend that a patient
            to be administered Lisinopril 20 mg PO for blood pressure control. If what was actually administered was Lisinopril 10 mg., then the Medication activities in the "EVN" mood would reflect actual use. A moodCode of INT is allowed, but it is recommended that the Planned Medication Activity (V2) template be used for moodCodes other than EVN if the document type contains a section that
            includes Planned Medication Activity (V2) (for example a Care Plan document with Plan of Treatment, Intervention, or Goal sections). At a minimum, a Medication Activity shall include an effectiveTime indicating the duration 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000">
   <title>Medication Activity (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]
Item: (MedicationActivityV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]"
         id="d42e13497-false-d235172e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@classCode) = ('SBADM')">CONF:1098-7496: The value for classCode SHALL be 'SBADM'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="@moodCode">CONF:1098-7497: attribute @moodCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.11.20.9.18-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">CONF:1098-7497: The value for moodCode SHALL be selected from value set '2.16.840.1.113883.11.20.9.18' MoodCodeEvnInt (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16']) &gt;= 1">(MedicationActivityV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16']) &lt;= 1">(MedicationActivityV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']) &gt;= 1">(MedicationActivityV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']) &lt;= 1">(MedicationActivityV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:id) &gt;= 1">(MedicationActivityV2): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:code) &lt;= 1">(MedicationActivityV2): element cda:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:statusCode) &gt;= 1">(MedicationActivityV2): element cda:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:statusCode) &lt;= 1">(MedicationActivityV2): element cda:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:effectiveTime[not(@operator='A')][not(@nullFlavor)]) &gt;= 1">(MedicationActivityV2): element cda:effectiveTime[not(@operator='A')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:effectiveTime[not(@operator='A')][not(@nullFlavor)]) &lt;= 1">(MedicationActivityV2): element cda:effectiveTime[not(@operator='A')][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:effectiveTime[@operator='A']) &lt;= 1">(MedicationActivityV2): element cda:effectiveTime[@operator='A'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:repeatNumber) &lt;= 1">(MedicationActivityV2): element cda:repeatNumber appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(MedicationActivityV2): element cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:approachSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(MedicationActivityV2): element cda:approachSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <let name="elmcount" value="count(cda:doseQuantity | cda:rateQuantity)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="$elmcount &gt;= 1">(MedicationActivityV2): choice (cda:doseQuantity  or  cda:rateQuantity) does not contain enough elements [min 1x]</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:doseQuantity) &lt; 1">(MedicationActivityV2): element cda:doseQuantity is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:doseQuantity) &lt;= 1">(MedicationActivityV2): element cda:doseQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:rateQuantity) &lt;= 1">(MedicationActivityV2): element cda:rateQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:maxDoseQuantity) &lt;= 1">(MedicationActivityV2): element cda:maxDoseQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:administrationUnitCode) &lt;= 1">(MedicationActivityV2): element cda:administrationUnitCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:consumable[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]) &gt;= 1">(MedicationActivityV2): element cda:consumable[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:consumable[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]) &lt;= 1">(MedicationActivityV2): element cda:consumable[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:performer) &lt;= 1">(MedicationActivityV2): element cda:performer appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]) &lt;= 1">(MedicationActivityV2): element cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]) &lt;= 1">(MedicationActivityV2): element cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]) &lt;= 1">(MedicationActivityV2): element cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16']
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16']"
         id="d42e13517-false-d235493e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationActivityV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.16')">(MedicationActivityV2): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.16'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']"
         id="d42e13527-false-d235508e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationActivityV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.16')">CONF:1098-10504: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.16'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@extension) = ('2014-06-09')">CONF:1098-32498: The value for extension SHALL be '2014-06-09'. Found: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">CONF:1098-32498: Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:id
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:id"
         id="d42e13551-false-d235529e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationActivityV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:code
Item: (MedicationActivityV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:statusCode
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:statusCode"
         id="d42e13568-false-d235547e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(MedicationActivityV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="@code">CONF:1098-32360: attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">CONF:1098-32360: The value for code SHALL be selected from value set '2.16.840.1.113883.1.11.15933' ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:effectiveTime[not(@operator='A')][not(@nullFlavor)]
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:effectiveTime[not(@operator='A')][not(@nullFlavor)]"
         id="d42e13643-false-d235571e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="(cda:low or @value) and not(cda:low and @value)">(MedicationActivityV2): This effectiveTime *SHALL* contain either a low or a @value but not both.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:low) &lt;= 1">(MedicationActivityV2): element cda:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:high) &lt;= 1">(MedicationActivityV2): element cda:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:effectiveTime[not(@operator='A')][not(@nullFlavor)]/cda:low
Item: (MedicationActivityV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:effectiveTime[not(@operator='A')][not(@nullFlavor)]/cda:high
Item: (MedicationActivityV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:effectiveTime[@operator='A']
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:effectiveTime[@operator='A']"
         id="d42e13688-false-d235606e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@operator) = ('A')">(MedicationActivityV2): The value for operator SHALL be 'A'. Found: "<value-of select="@operator"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(preceding-sibling::cda:effectiveTime) = 1 and .[@operator='A'][@xsi:type='PIVL_TS' or @xsi:type='EIVL_TS']">(MedicationActivityV2): SHOULD contain zero or one [0..1] effectiveTime (CONF:1098-7513) such that it</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:repeatNumber
Item: (MedicationActivityV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e13712-false-d235628e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(MedicationActivityV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(MedicationActivityV2): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.8.7 Medication Route FDA (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:translation
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:translation"
         id="d42e13725-false-d235657e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(MedicationActivityV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:approachSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:approachSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e13739-false-d235674e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(MedicationActivityV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(MedicationActivityV2): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.8.9 Body Site (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:doseQuantity
Item: (MedicationActivityV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:rateQuantity
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:rateQuantity"
         id="d42e13777-false-d235711e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="@unit">CONF:1098-7525: attribute @unit SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:maxDoseQuantity
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:maxDoseQuantity"
         id="d42e13796-false-d235731e0">
      <extends rule="RTO_PQ_PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'RTO_PQ_PQ')">(MedicationActivityV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:RTO_PQ_PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:administrationUnitCode
Item: (MedicationActivityV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:administrationUnitCode"
         id="d42e13804-false-d235744e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(MedicationActivityV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:consumable[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]
Item: (MedicationActivityV2)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:performer
Item: (MedicationActivityV2)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]
Item: (MedicationActivityV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']) &gt;= 1">(AuthorParticipation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']) &lt;= 1">(AuthorParticipation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time) &gt;= 1">(AuthorParticipation): element cda:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time) &lt;= 1">(AuthorParticipation): element cda:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.119')">CONF:1098-32018: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.119'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:time
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(AuthorParticipation): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(AuthorParticipation): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedPerson) &lt;= 1">(AuthorParticipation): element cda:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:representedOrganization) &lt;= 1">(AuthorParticipation): element cda:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:id
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AuthorParticipation): The element value SHALL be one of '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:participant[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]
Item: (MedicationActivityV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:participant[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@typeCode) = ('CSM')">CONF:1098-7524: The value for typeCode SHALL be 'CSM'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]
Item: (MedicationActivityV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@typeCode) = ('RSON')">CONF:1098-7537: The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]
Item: (MedicationActivityV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@typeCode) = ('SUBJ')">CONF:1098-7540: The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@inversionInd) = ('true')">CONF:1098-7542: The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]
Item: (MedicationActivityV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@typeCode) = ('REFR')">CONF:1098-7547: The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]
Item: (MedicationActivityV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@typeCode) = ('REFR')">CONF:1098-7553: The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]
Item: (MedicationActivityV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@typeCode) = ('CAUS')">CONF:1098-7544: The value for typeCode SHALL be 'CAUS'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]
Item: (MedicationActivityV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.123']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@typeCode) = ('COMP')">CONF:1098-30821: The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]
Item: (MedicationActivityV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@typeCode) = ('COMP')">CONF:1098-31516: The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@inversionInd) = ('true')">CONF:1098-31517: The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="count(cda:sequenceNumber) &lt;= 1">(MedicationActivityV2): element cda:sequenceNumber appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:sequenceNumber
Item: (MedicationActivityV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]
Item: (MedicationActivityV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:entryRelationship[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.147']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@typeCode) = ('COMP')">CONF:1098-32908: The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.16
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:precondition[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]
Item: (MedicationActivityV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.16'][@extension = '2014-06-09']]/cda:precondition[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.16-2014-06-09T000000.html"
              test="string(@typeCode) = ('PRCN')">CONF:1098-31882: The value for typeCode SHALL be 'PRCN'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
