<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.17
Name: Medication Supply Order (V2)
Description: This template records the intent to supply a patient with medications.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000">
   <title>Medication Supply Order (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]
Item: (MedicationSupplyOrderV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]
Item: (MedicationSupplyOrderV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]"
         id="d42e14013-false-d236326e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="string(@classCode) = ('SPLY')">CONF:1098-7427: The value for classCode SHALL be 'SPLY'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="string(@moodCode) = ('INT')">CONF:1098-7428: The value for moodCode SHALL be 'INT'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17']) &gt;= 1">(MedicationSupplyOrderV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17']) &lt;= 1">(MedicationSupplyOrderV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']) &gt;= 1">(MedicationSupplyOrderV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']) &lt;= 1">(MedicationSupplyOrderV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:id) &gt;= 1">(MedicationSupplyOrderV2): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:statusCode) &gt;= 1">(MedicationSupplyOrderV2): element cda:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:statusCode) &lt;= 1">(MedicationSupplyOrderV2): element cda:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:effectiveTime[cda:high]) &lt;= 1">(MedicationSupplyOrderV2): element cda:effectiveTime[cda:high] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:repeatNumber) &lt;= 1">(MedicationSupplyOrderV2): element cda:repeatNumber appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:quantity) &lt;= 1">(MedicationSupplyOrderV2): element cda:quantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]) &lt;= 1">(MedicationSupplyOrderV2): element cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]) &lt;= 1">(MedicationSupplyOrderV2): element cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:author) &lt;= 1">(MedicationSupplyOrderV2): element cda:author appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]) &lt;= 1">(MedicationSupplyOrderV2): element cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17']
Item: (MedicationSupplyOrderV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17']"
         id="d42e14031-false-d236428e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationSupplyOrderV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.17')">(MedicationSupplyOrderV2): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.17'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']
Item: (MedicationSupplyOrderV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']"
         id="d42e14041-false-d236443e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationSupplyOrderV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.17')">CONF:1098-10507: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.17'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="string(@extension) = ('2014-06-09')">CONF:1098-32578: The value for extension SHALL be '2014-06-09'. Found: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">CONF:1098-32578: Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:id
Item: (MedicationSupplyOrderV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:id"
         id="d42e14065-false-d236464e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(MedicationSupplyOrderV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:statusCode
Item: (MedicationSupplyOrderV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:statusCode"
         id="d42e14074-false-d236474e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(MedicationSupplyOrderV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="@code">CONF:1098-32362: attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">CONF:1098-32362: The value for code SHALL be selected from value set '2.16.840.1.113883.1.11.15933' ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:effectiveTime[cda:high]
Item: (MedicationSupplyOrderV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:effectiveTime[cda:high]"
         id="d42e14240-false-d236500e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(MedicationSupplyOrderV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:high) &gt;= 1">(MedicationSupplyOrderV2): element cda:high is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="count(cda:high) &lt;= 1">(MedicationSupplyOrderV2): element cda:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:effectiveTime[cda:high]/cda:high
Item: (MedicationSupplyOrderV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:repeatNumber
Item: (MedicationSupplyOrderV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:quantity
Item: (MedicationSupplyOrderV2)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.23'][@extension = '2014-06-09']]]
Item: (MedicationSupplyOrderV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:product[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]
Item: (MedicationSupplyOrderV2)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:author
Item: (MedicationSupplyOrderV2)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.17
Context: *[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]
Item: (MedicationSupplyOrderV2)
-->
   <rule fpi="RULC-1"
         context="*[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]/cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="string(@typeCode) = ('SUBJ')">CONF:1098-7444: The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.17-2014-06-09T000000.html"
              test="string(@inversionInd) = ('true')">CONF:1098-7445: The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>
</pattern>
