<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.19
Name: Indication (V2)
Description: This template represents the rationale for an action such as an encounter, a medication administration, or a procedure. The id element can be used to reference a problem recorded elsewhere in the document, or can be used with a code and value to record the problem. Indications for treatment are not laboratory results; rather the problem associated with the laboratory
            result should be sited (e.g., hypokalemia instead of a laboratory result of Potassium 2.0 mEq/L). Use the Drug Monitoring Act [[]templateId 2.16.840.1.113883.10.20.22.4.123] to indicate if a particular drug needs special monitoring (e.g., anticoagulant therapy). Use Precondition for Substance Administration (V2) [[]templateId 2.16.840.1.113883.10.20.22.4.25.2] to represent that a
            medication is to be administered only when the associated criteria are met.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000">
   <title>Indication (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]
Item: (IndicationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]
Item: (IndicationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]"
         id="d42e14495-false-d237176e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@classCode) = ('OBS')">CONF:1098-7480: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:1098-7481: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19']) &gt;= 1">(IndicationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19']) &lt;= 1">(IndicationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']) &gt;= 1">(IndicationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']) &lt;= 1">(IndicationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:id) &gt;= 1">(IndicationV2): element cda:id is required [min 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(IndicationV2): element cda:code is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IndicationV2): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(IndicationV2): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(IndicationV2): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(IndicationV2): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IndicationV2): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19']
Item: (IndicationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19']"
         id="d42e14513-false-d237252e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.19')">(IndicationV2): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.19'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']
Item: (IndicationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']"
         id="d42e14523-false-d237267e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.19')">CONF:1098-10502: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.19'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@extension) = ('2014-06-09')">CONF:1098-32570: The value for extension SHALL be '2014-06-09'. Found: "<value-of select="@extension"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:id
Item: (IndicationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:id"
         id="d42e14547-false-d237285e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IndicationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e14556-false-d237298e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IndicationV2): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.7.2 Problem Type (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:statusCode[@code = 'completed']
Item: (IndicationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:statusCode[@code = 'completed']"
         id="d42e14566-false-d237319e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="@nullFlavor or (@code='completed')">(IndicationV2): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:effectiveTime
Item: (IndicationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:effectiveTime"
         id="d42e14576-false-d237335e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IndicationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e14584-false-d237348e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IndicationV2): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.7.4 Problem (DYNAMIC)'.</assert>
   </rule>
</pattern>
