<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.25
Name: Precondition for Substance Administration (V2)
Description: A criterion for administration can be used to record that the medication is to be administered only when the associated criteria are met.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000">
   <title>Precondition for Substance Administration (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.25
Context: *[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]
Item: (PreconditionforSubstanceAdministrationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.25
Context: *[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]/cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]
Item: (PreconditionforSubstanceAdministrationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]/cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]"
         id="d42e14883-false-d237855e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25']) &gt;= 1">(PreconditionforSubstanceAdministrationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25']) &lt;= 1">(PreconditionforSubstanceAdministrationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']) &gt;= 1">(PreconditionforSubstanceAdministrationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']) &lt;= 1">(PreconditionforSubstanceAdministrationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="count(cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]) &gt;= 1">(PreconditionforSubstanceAdministrationV2): element cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="count(cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]) &lt;= 1">(PreconditionforSubstanceAdministrationV2): element cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(PreconditionforSubstanceAdministrationV2): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(PreconditionforSubstanceAdministrationV2): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.25
Context: *[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]/cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25']
Item: (PreconditionforSubstanceAdministrationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]/cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25']"
         id="d42e14885-false-d237902e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(PreconditionforSubstanceAdministrationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.25')">(PreconditionforSubstanceAdministrationV2): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.25'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.25
Context: *[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]/cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']
Item: (PreconditionforSubstanceAdministrationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]/cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']"
         id="d42e14895-false-d237917e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(PreconditionforSubstanceAdministrationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.25')">CONF:1098-10517: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.25'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="string(@extension) = ('2014-06-09')">CONF:1098-32603: The value for extension SHALL be '2014-06-09'. Found: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">CONF:1098-32603: Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.25
Context: *[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]/cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]/cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]
Item: (PreconditionforSubstanceAdministrationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]/cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]/cda:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')]"
         id="d42e14919-false-d237939e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(PreconditionforSubstanceAdministrationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(PreconditionforSubstanceAdministrationV2): The element value SHALL be one of 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.25
Context: *[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]/cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (PreconditionforSubstanceAdministrationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]/cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e14929-false-d237958e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(PreconditionforSubstanceAdministrationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.25-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(PreconditionforSubstanceAdministrationV2): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.7.4 Problem (DYNAMIC)'.</assert>
   </rule>
</pattern>
