<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.32
Name: Service Delivery Location
Description: This clinical statement represents the location of a service event where an act, observation or procedure took place.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000">
   <title>Service Delivery Location</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]
Item: (ServiceDeliveryLocation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]
Item: (ServiceDeliveryLocation)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]"
         id="d42e15038-false-d238146e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="string(@classCode) = ('SDLOC')">CONF:81-7758: The value for classCode SHALL be 'SDLOC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']) &gt;= 1">(ServiceDeliveryLocation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']) &lt;= 1">(ServiceDeliveryLocation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(ServiceDeliveryLocation): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ServiceDeliveryLocation): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:playingEntity[@classCode = 'PLC']) &lt;= 1">(ServiceDeliveryLocation): element cda:playingEntity[@classCode = 'PLC'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']
Item: (ServiceDeliveryLocation)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']"
         id="d42e15048-false-d238193e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ServiceDeliveryLocation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.32')">CONF:81-10524: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.32'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ServiceDeliveryLocation)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e15064-false-d238210e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.20275-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ServiceDeliveryLocation): The element value SHALL be one of '2.16.840.1.113883.1.11.20275 HealthcareServiceLocation (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]/cda:addr
Item: (ServiceDeliveryLocation)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]/cda:addr"
         id="d42e15074-false-d238227e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(ServiceDeliveryLocation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]/cda:telecom
Item: (ServiceDeliveryLocation)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]/cda:telecom"
         id="d42e15082-false-d238237e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(ServiceDeliveryLocation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]/cda:playingEntity[@classCode = 'PLC']
Item: (ServiceDeliveryLocation)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]/cda:playingEntity[@classCode = 'PLC']"
         id="d42e15091-false-d238247e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="string(@classCode) = ('PLC')">CONF:81-7763: The value for classCode SHALL be 'PLC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.32-2015-08-13T000000.html"
              test="count(cda:name) &lt;= 1">(ServiceDeliveryLocation): element cda:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.32
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.32']]/cda:playingEntity[@classCode = 'PLC']/cda:name
Item: (ServiceDeliveryLocation)
-->
</pattern>
