<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.37
Name: Product Instance
Description: This clinical statement represents a particular device that was placed in a patient or used as part of a procedure or other act. This provides a record of the identifier and other details about the given product that was used. For example, it is important to have a record that indicates not just that a hip prostheses was placed in a patient but that it was a
            particular hip prostheses number with a unique identifier. The FDA Amendments Act specifies the creation of a Unique Device Identification (UDI) System that requires the label of devices to bear a unique identifier that will standardize device identification and identify the device through distribution and use. The FDA permits an issuing agency to designate that their Device Identifier
            (DI) + Production Identifier (PI) format qualifies as a UDI through a process of accreditation. Currently, there are three FDA-accredited issuing agencies that are allowed to call their format a UDI. These organizations are GS
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000">
   <title>Product Instance</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.37
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]
Item: (ProductInstance)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.37
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]
Item: (ProductInstance)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]"
         id="d42e15128-false-d238291e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="string(@classCode) = ('MANU')">CONF:81-7900: The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']) &gt;= 1">(ProductInstance): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']) &lt;= 1">(ProductInstance): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(ProductInstance): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="count(cda:playingDevice[not(@nullFlavor)]) &gt;= 1">(ProductInstance): element cda:playingDevice[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="count(cda:playingDevice[not(@nullFlavor)]) &lt;= 1">(ProductInstance): element cda:playingDevice[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="count(cda:scopingEntity[not(@nullFlavor)]) &gt;= 1">(ProductInstance): element cda:scopingEntity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="count(cda:scopingEntity[not(@nullFlavor)]) &lt;= 1">(ProductInstance): element cda:scopingEntity[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.37
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']
Item: (ProductInstance)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']"
         id="d42e15138-false-d238335e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProductInstance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.37')">CONF:81-10522: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.37'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.37
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]/cda:id
Item: (ProductInstance)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]/cda:id"
         id="d42e15154-false-d238349e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProductInstance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.37
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]/cda:playingDevice[not(@nullFlavor)]
Item: (ProductInstance)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]/cda:playingDevice[not(@nullFlavor)]"
         id="d42e15162-false-d238359e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="count(cda:code) &lt;= 1">(ProductInstance): element cda:code appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.37
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]/cda:playingDevice[not(@nullFlavor)]/cda:code
Item: (ProductInstance)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.37
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]/cda:scopingEntity[not(@nullFlavor)]
Item: (ProductInstance)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]/cda:scopingEntity[not(@nullFlavor)]"
         id="d42e15178-false-d238381e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(ProductInstance): element cda:id is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.37
Context: *[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]/cda:scopingEntity[not(@nullFlavor)]/cda:id
Item: (ProductInstance)
-->

   <rule fpi="RULC-1"
         context="*[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]]/cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.37']]/cda:scopingEntity[not(@nullFlavor)]/cda:id"
         id="d42e15185-false-d238395e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.37-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProductInstance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
