<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.52
Name: Immunization Activity (V3)
Description: An Immunization Activity describes immunization substance administrations that have actually occurred or are intended to occur. Immunization Activities in "INT" mood are reflections of immunizations a clinician intends a patient to receive. Immunization Activities in "EVN" mood reflect immunizations actually received. An Immunization Activity is very similar to a
            Medication Activity with some key differentiators. The drug code system is constrained to CVX codes. Administration timing is less complex. Patient refusal reasons should be captured. All vaccines administered should be fully documented in the patient's permanent medical record. Healthcare providers who administer vaccines covered by the National Childhood Vaccine Injury Act are
            required to ensure that the permanent medical record of the recipient indicates: 1) Date of administration 2) Vaccine manufacturer 3) Vaccine lot number 4) Name and title of the person who administered the vaccine and the addres
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000">
   <title>Immunization Activity (V3)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]
Item: (ImmunizationActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]
Item: (ImmunizationActivityV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]"
         id="d42e15482-false-d239442e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@classCode) = ('SBADM')">CONF:1198-8826: The value for classCode SHALL be 'SBADM'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="@moodCode">CONF:1198-8827: attribute @moodCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.11.20.9.18-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">CONF:1198-8827: The value for moodCode SHALL be selected from value set '2.16.840.1.113883.11.20.9.18' MoodCodeEvnInt (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="@negationInd">CONF:1198-8985: attribute @negationInd SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">CONF:1198-8985: Attribute @negationInd SHALL be of data type 'bl'  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52']) &gt;= 1">(ImmunizationActivityV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52']) &lt;= 1">(ImmunizationActivityV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']) &gt;= 1">(ImmunizationActivityV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']) &lt;= 1">(ImmunizationActivityV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:id) &gt;= 1">(ImmunizationActivityV3): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:code) &lt;= 1">(ImmunizationActivityV3): element cda:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:statusCode) &gt;= 1">(ImmunizationActivityV3): element cda:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:statusCode) &lt;= 1">(ImmunizationActivityV3): element cda:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:effectiveTime) &gt;= 1">(ImmunizationActivityV3): element cda:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(ImmunizationActivityV3): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:repeatNumber) &lt;= 1">(ImmunizationActivityV3): element cda:repeatNumber appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ImmunizationActivityV3): element cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:approachSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ImmunizationActivityV3): element cda:approachSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:doseQuantity) &lt;= 1">(ImmunizationActivityV3): element cda:doseQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:administrationUnitCode) &lt;= 1">(ImmunizationActivityV3): element cda:administrationUnitCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:consumable[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]) &gt;= 1">(ImmunizationActivityV3): element cda:consumable[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:consumable[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]) &lt;= 1">(ImmunizationActivityV3): element cda:consumable[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:performer) &lt;= 1">(ImmunizationActivityV3): element cda:performer appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]) &lt;= 1">(ImmunizationActivityV3): element cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]) &lt;= 1">(ImmunizationActivityV3): element cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]) &lt;= 1">(ImmunizationActivityV3): element cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]) &lt;= 1">(ImmunizationActivityV3): element cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]) &lt;= 1">(ImmunizationActivityV3): element cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52']
Item: (ImmunizationActivityV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52']"
         id="d42e15510-false-d239736e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImmunizationActivityV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.52')">(ImmunizationActivityV3): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.52'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']
Item: (ImmunizationActivityV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']"
         id="d42e15520-false-d239751e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImmunizationActivityV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.52')">CONF:1198-10498: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.52'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@extension) = ('2015-08-01')">CONF:1198-32528: The value for extension SHALL be '2015-08-01'. Found: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">CONF:1198-32528: Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:id
Item: (ImmunizationActivityV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:id"
         id="d42e15545-false-d239772e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImmunizationActivityV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:code
Item: (ImmunizationActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:statusCode
Item: (ImmunizationActivityV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:statusCode"
         id="d42e15561-false-d239790e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(ImmunizationActivityV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="@code">CONF:1198-32359: attribute @code SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="not(@code) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">CONF:1198-32359: The value for code SHALL be selected from value set '2.16.840.1.113883.1.11.15933' ActStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:effectiveTime
Item: (ImmunizationActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:repeatNumber
Item: (ImmunizationActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ImmunizationActivityV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e15649-false-d239835e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ImmunizationActivityV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ImmunizationActivityV3): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.8.7 Medication Route FDA (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:translation
Item: (ImmunizationActivityV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:routeCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:translation"
         id="d42e15664-false-d239864e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ImmunizationActivityV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:approachSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ImmunizationActivityV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:approachSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e15742-false-d239881e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ImmunizationActivityV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.8.9-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ImmunizationActivityV3): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.8.9 Body Site (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:doseQuantity
Item: (ImmunizationActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:administrationUnitCode
Item: (ImmunizationActivityV3)
-->

   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:administrationUnitCode"
         id="d42e15770-false-d239921e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(ImmunizationActivityV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:consumable[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]
Item: (ImmunizationActivityV3)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:performer
Item: (ImmunizationActivityV3)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]
Item: (ImmunizationActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']) &gt;= 1">(AuthorParticipation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']) &lt;= 1">(AuthorParticipation): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time) &gt;= 1">(AuthorParticipation): element cda:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time) &lt;= 1">(AuthorParticipation): element cda:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(AuthorParticipation): element cda:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.119')">CONF:1098-32018: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.119'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:time
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:id) &gt;= 1">(AuthorParticipation): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(AuthorParticipation): element cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedPerson) &lt;= 1">(AuthorParticipation): element cda:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:representedOrganization) &lt;= 1">(AuthorParticipation): element cda:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:id
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AuthorParticipation): The element value SHALL be one of '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr
Item: (AuthorParticipation)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:author[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.119']]/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(AuthorParticipation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:participant[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]
Item: (ImmunizationActivityV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:participant[cda:participantRole[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.24']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@typeCode) = ('CSM')">CONF:1198-8851: The value for typeCode SHALL be 'CSM'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]
Item: (ImmunizationActivityV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.19'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@typeCode) = ('RSON')">CONF:1198-8854: The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]
Item: (ImmunizationActivityV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.20'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@typeCode) = ('SUBJ')">CONF:1198-8857: The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@inversionInd) = ('true')">CONF:1198-8858: The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]
Item: (ImmunizationActivityV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.17'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@typeCode) = ('REFR')">CONF:1198-8861: The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]
Item: (ImmunizationActivityV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:supply[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.18'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@typeCode) = ('REFR')">CONF:1198-8864: The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]
Item: (ImmunizationActivityV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.9'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@typeCode) = ('CAUS')">CONF:1198-8867: The value for typeCode SHALL be 'CAUS'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]
Item: (ImmunizationActivityV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.53']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@typeCode) = ('RSON')">CONF:1198-8989: The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]
Item: (ImmunizationActivityV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@typeCode) = ('COMP')">CONF:1198-31511: The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@inversionInd) = ('true')">CONF:1198-31512: The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="count(cda:sequenceNumber) &lt;= 1">(ImmunizationActivityV3): element cda:sequenceNumber appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:entryRelationship[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.118']]]/cda:sequenceNumber
Item: (ImmunizationActivityV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.52
Context: *[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:precondition[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]
Item: (ImmunizationActivityV3)
-->
   <rule fpi="RULC-1"
         context="*[cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]]/cda:substanceAdministration[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.52'][@extension = '2015-08-01']]/cda:precondition[cda:criterion[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.25'][@extension = '2014-06-09']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.52-2015-08-01T000000.html"
              test="string(@typeCode) = ('PRCN')">CONF:1198-8870: The value for typeCode SHALL be 'PRCN'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
