<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.54
Name: Immunization Medication Information (V2)
Description: The Immunization Medication Information represents product information about the immunization substance. The vaccine manufacturer and vaccine lot number are typically recorded in the medical record and should be included if known.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000">
   <title>Immunization Medication Information (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.54
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]
Item: (ImmunizationMedicationInformationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.54
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]
Item: (ImmunizationMedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]"
         id="d42e16039-false-d240594e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="string(@classCode) = ('MANU')">CONF:1098-9002: The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54']) &gt;= 1">(ImmunizationMedicationInformationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54']) &lt;= 1">(ImmunizationMedicationInformationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']) &gt;= 1">(ImmunizationMedicationInformationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']) &lt;= 1">(ImmunizationMedicationInformationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="count(cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]) &gt;= 1">(ImmunizationMedicationInformationV2): element cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="count(cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]) &lt;= 1">(ImmunizationMedicationInformationV2): element cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="count(cda:manufacturerOrganization) &lt;= 1">(ImmunizationMedicationInformationV2): element cda:manufacturerOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.54
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54']
Item: (ImmunizationMedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54']"
         id="d42e16049-false-d240646e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImmunizationMedicationInformationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.54')">(ImmunizationMedicationInformationV2): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.54'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.54
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']
Item: (ImmunizationMedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']"
         id="d42e16059-false-d240661e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImmunizationMedicationInformationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.54')">CONF:1098-10499: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.54'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="string(@extension) = ('2014-06-09')">CONF:1098-32602: The value for extension SHALL be '2014-06-09'. Found: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">CONF:1098-32602: Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.54
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:id
Item: (ImmunizationMedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:id"
         id="d42e16083-false-d240682e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ImmunizationMedicationInformationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.54
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]
Item: (ImmunizationMedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]"
         id="d42e16091-false-d240695e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="count(cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]) &gt;= 1">(ImmunizationMedicationInformationV2): element cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="count(cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]) &lt;= 1">(ImmunizationMedicationInformationV2): element cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="count(cda:lotNumberText) &lt;= 1">(ImmunizationMedicationInformationV2): element cda:lotNumberText appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.54
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]
Item: (ImmunizationMedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]"
         id="d42e16098-false-d240723e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(ImmunizationMedicationInformationV2): The element value SHALL be one of '2.16.840.1.113762.1.4.1010.6 CVX Vaccines Administered - Vaccine Set (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.54
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]/cda:translation[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113762.1.4.1010.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ImmunizationMedicationInformationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]/cda:translation[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113762.1.4.1010.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e16107-false-d240753e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.54-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113762.1.4.1010.8-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ImmunizationMedicationInformationV2): The element value SHALL be one of '2.16.840.1.113762.1.4.1010.8 Vaccine Clinical Drug (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.54
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]/cda:translation
Item: (ImmunizationMedicationInformationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.54
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:manufacturedMaterial[cda:code[@codeSystem = doc('include/voc-2.16.840.1.113762.1.4.1010.6-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]]/cda:lotNumberText
Item: (ImmunizationMedicationInformationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.54
Context: *[cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]]/cda:manufacturedProduct[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.54'][@extension = '2014-06-09']]/cda:manufacturerOrganization
Item: (ImmunizationMedicationInformationV2)
-->
</pattern>
