<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.8
Name: Severity Observation (V2)
Description: 
                 This clinical statement represents the gravity of the reaction. The Severity Observation characterizes the Reaction Observation. A person may manifest many symptoms in a reaction to a single substance, and each reaction to the substance can be represented. However, each reaction observation can have only one severity observation associated with it. For example, someone may have a
                rash reaction observation as well as an itching reaction observation, but each can have only one level of severity. 
                 Note the severity observation is no longer recommended for use with the Allergy and Intolerance Observation. The Criticality Observation is preferred for characterizing the Allergy and Intolerance. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000">
   <title>Severity Observation (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.8
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]
Item: (SeverityObservationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.8
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]
Item: (SeverityObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]"
         id="d42e16474-false-d241226e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="string(@classCode) = ('OBS')">CONF:1098-7345: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:1098-7346: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8']) &gt;= 1">(SeverityObservationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8']) &lt;= 1">(SeverityObservationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']) &gt;= 1">(SeverityObservationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']) &lt;= 1">(SeverityObservationV2): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="count(cda:code[(@code = 'SEV' and @codeSystem = '2.16.840.1.113883.5.4')]) &gt;= 1">(SeverityObservationV2): element cda:code[(@code = 'SEV' and @codeSystem = '2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="count(cda:code[(@code = 'SEV' and @codeSystem = '2.16.840.1.113883.5.4')]) &lt;= 1">(SeverityObservationV2): element cda:code[(@code = 'SEV' and @codeSystem = '2.16.840.1.113883.5.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &gt;= 1">(SeverityObservationV2): element cda:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="count(cda:statusCode[@code = 'completed']) &lt;= 1">(SeverityObservationV2): element cda:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.6.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(SeverityObservationV2): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.6.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="count(cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.6.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(SeverityObservationV2): element cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.6.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.8
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8']
Item: (SeverityObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8']"
         id="d42e16492-false-d241290e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SeverityObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.8')">(SeverityObservationV2): The value for root SHALL be '2.16.840.1.113883.10.20.22.4.8'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.8
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']
Item: (SeverityObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']"
         id="d42e16502-false-d241305e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SeverityObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.4.8')">CONF:1098-10525: The value for root SHALL be '2.16.840.1.113883.10.20.22.4.8'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="string(@extension) = ('2014-06-09')">CONF:1098-32577: The value for extension SHALL be '2014-06-09'. Found: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">CONF:1098-32577: Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.8
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]/cda:code[(@code = 'SEV' and @codeSystem = '2.16.840.1.113883.5.4')]
Item: (SeverityObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]/cda:code[(@code = 'SEV' and @codeSystem = '2.16.840.1.113883.5.4')]"
         id="d42e16526-false-d241327e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SeverityObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="@nullFlavor or (@code='SEV' and @codeSystem='2.16.840.1.113883.5.4')">(SeverityObservationV2): The element value SHALL be one of 'code 'SEV' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.8
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]/cda:statusCode[@code = 'completed']
Item: (SeverityObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]/cda:statusCode[@code = 'completed']"
         id="d42e16537-false-d241344e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(SeverityObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="@nullFlavor or (@code='completed')">(SeverityObservationV2): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.8
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.6.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (SeverityObservationV2)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.4.8'][@extension = '2014-06-09']]/cda:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.3221.6.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e16547-false-d241363e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SeverityObservationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.22.4.8-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.6.8-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(SeverityObservationV2): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.6.8 Reaction Severity (DYNAMIC)'.</assert>
   </rule>
</pattern>
