<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.1.1
Name: DICOM Object Catalog Section - DCM 121181
Description: DICOM Object Catalog lists all referenced objects and their parent Series and Studies, plus other DICOM attributes required for retrieving the objects. DICOM Object Catalog sections are not intended for viewing and contain empty section text.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.1.1-2015-08-13T000000">
   <title>DICOM Object Catalog Section - DCM 121181</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]
Item: (DICOMObjectCatalogSection-DCM121181)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]
Item: (DICOMObjectCatalogSection-DCM121181)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]"
         id="d42e16939-false-d242277e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.1.1-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']) &gt;= 1">(DICOMObjectCatalogSection-DCM121181): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.1.1-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']) &lt;= 1">(DICOMObjectCatalogSection-DCM121181): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.1.1-2015-08-13T000000.html"
              test="count(cda:code[(@code = '121181' and @codeSystem = '1.2.840.10008.2.16.4')]) &gt;= 1">(DICOMObjectCatalogSection-DCM121181): element cda:code[(@code = '121181' and @codeSystem = '1.2.840.10008.2.16.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.1.1-2015-08-13T000000.html"
              test="count(cda:code[(@code = '121181' and @codeSystem = '1.2.840.10008.2.16.4')]) &lt;= 1">(DICOMObjectCatalogSection-DCM121181): element cda:code[(@code = '121181' and @codeSystem = '1.2.840.10008.2.16.4')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.1.1-2015-08-13T000000.html"
              test="count(cda:entry[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]) &gt;= 1">(DICOMObjectCatalogSection-DCM121181): element cda:entry[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']
Item: (DICOMObjectCatalogSection-DCM121181)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']"
         id="d42e16944-false-d242316e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.1.1-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(DICOMObjectCatalogSection-DCM121181): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.1.1-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.1.1')">CONF:81-10454: The value for root SHALL be '2.16.840.1.113883.10.20.6.1.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]/cda:code[(@code = '121181' and @codeSystem = '1.2.840.10008.2.16.4')]
Item: (DICOMObjectCatalogSection-DCM121181)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]/cda:code[(@code = '121181' and @codeSystem = '1.2.840.10008.2.16.4')]"
         id="d42e16960-false-d242331e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.1.1-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(DICOMObjectCatalogSection-DCM121181): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.1.1-2015-08-13T000000.html"
              test="@nullFlavor or (@code='121181' and @codeSystem='1.2.840.10008.2.16.4')">(DICOMObjectCatalogSection-DCM121181): The element value SHALL be one of 'code '121181' codeSystem '1.2.840.10008.2.16.4''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]/cda:entry[cda:act[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.6']]]
Item: (DICOMObjectCatalogSection-DCM121181)
--></pattern>
