<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.13
Name: Code Observations
Description: DICOM Template 2000 specifies that Imaging Report Elements of Value Type Code are contained in sections. The Imaging Report Elements are inferred from Basic Diagnostic Imaging Report Observations that consist of image references and measurements (linear, area, volume, and numeric). Coded DICOM Imaging Report Elements in this context are mapped to CDA-coded
            observations that are section components and are related to the SOP Instance Observations (templateId 2.16.840.1.113883.10.20.6.2.8) or Quantity Measurement Observations (templateId 2.16.840.1.113883.10.20.6.2.14) by the SPRT (Support) act relationship.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000">
   <title>Code Observations</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.13
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]
Item: (CodeObservations)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.13
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]
Item: (CodeObservations)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]"
         id="d42e17199-false-d243607e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="string(@classCode) = ('OBS')">CONF:81-9304: The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="string(@moodCode) = ('EVN')">CONF:81-9305: The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']) &gt;= 1">(CodeObservations): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']) &lt;= 1">(CodeObservations): element cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="count(cda:code) &gt;= 1">(CodeObservations): element cda:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="count(cda:code) &lt;= 1">(CodeObservations): element cda:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="count(cda:effectiveTime) &lt;= 1">(CodeObservations): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="count(cda:value) &gt;= 1">(CodeObservations): element cda:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="count(cda:value) &lt;= 1">(CodeObservations): element cda:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.13
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']
Item: (CodeObservations)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]/cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']"
         id="d42e17220-false-d243680e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CodeObservations): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.6.2.13')">CONF:81-15524: The value for root SHALL be '2.16.840.1.113883.10.20.6.2.13'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.13
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]/cda:code
Item: (CodeObservations)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]/cda:code"
         id="d42e17236-false-d243694e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(CodeObservations): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.13
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]/cda:effectiveTime
Item: (CodeObservations)
-->

   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]/cda:effectiveTime"
         id="d42e17245-false-d243704e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(CodeObservations): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.13
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]/cda:value
Item: (CodeObservations)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.13
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]/cda:entryRelationship[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1'][cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']]]
Item: (CodeObservations)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]/cda:entryRelationship[cda:observation[cda:code/@codeSystem='1.2.840.10008.2.6.1'][cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.8']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="string(@typeCode) = ('SPRT')">CONF:81-9312: The value for typeCode SHALL be 'SPRT'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.13
Context: *[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]
Item: (CodeObservations)
-->
   <rule fpi="RULC-1"
         context="*[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]/cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]/cda:entryRelationship[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.20.6.2.13-2015-08-13T000000.html"
              test="string(@typeCode) = ('SPRT')">CONF:81-9315: The value for typeCode SHALL be 'SPRT'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
