<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.1
Name: IPS Allergy or Intolerance
Description: This template reflects a discrete observation about a patient's allergy or intolerance.
       Because it is a discrete observation, it will have a statusCode of "completed". 
                 The effectiveTime, also referred to as the "biologically relevant time" is the time at which the observation holds for the patient. 
                 For a provider seeing a patient in the clinic today, observing a history of penicillin allergy that developed five years ago, the effectiveTime is five years ago. 
                 The effectiveTime of the Allergy - Intolerance Observation gives an indication of whether or not the underlying allergy/intolerance is resolved. If known to be resolved, then an effectiveTime/high would be present.  
                 If the date of resolution is not known, then effectiveTime/high will be present with a nullFlavor of "UNK".  It is recommended that the agent responsible for an allergy or adverse reaction would be used for describing the allergy, however the
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.1-2016-11-10T000000">
   <title>IPS Allergy or Intolerance</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]
Item: (IPSEntryAllergyOrIntolerance)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]"
         id="d42e20518-false-d262681e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@classCode) = ('OBS')">(IPSEntryAllergyOrIntolerance): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSEntryAllergyOrIntolerance): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']) &gt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:text) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:effectiveTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:effectiveTime[not(@nullFlavor)] appears too often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:value[1] | hl7:value[2])"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="$elmcount &lt;= 1">(IPSEntryAllergyOrIntolerance): choice (hl7:value[1]  or  hl7:value[2]) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:value[1]) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:value[1] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:value[2]) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:value[2] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.18']]]) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.18']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.10']]]) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.10']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.21'] and hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.21'] and hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']"
         id="d42e20524-false-d262801e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.1')">(IPSEntryAllergyOrIntolerance): The value for root SHALL be '2.16.840.1.113883.10.22.4.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:id
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:id"
         id="d42e20529-false-d262815e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e20531-false-d262828e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.2-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSEntryAllergyOrIntolerance): The element value SHALL be one of '2.16.840.1.113883.11.22.2 Allergy or Intolerance Type (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:text
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:text"
         id="d42e20540-false-d262848e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e20548-false-d262867e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="@value">(IPSEntryAllergyOrIntolerance): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:statusCode[@code = 'completed']
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:statusCode[@code = 'completed']"
         id="d42e20558-false-d262882e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@code) = ('completed')">(IPSEntryAllergyOrIntolerance): The value for code SHALL be 'completed'. Found: "<value-of select="@code"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d42e20569-false-d262896e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:low) &gt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:low) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:high) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low"
         id="d42e20576-false-d262921e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d42e20582-false-d262931e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:value[1]
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:value[1]"
         id="d42e20612-false-d262939e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:value[2]
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:value[2]"
         id="d42e20617-false-d262951e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.9-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSEntryAllergyOrIntolerance): The element value SHALL be one of '2.16.840.1.113883.11.22.9 Absent or Unknown Allergies (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]"
         id="d42e20628-false-d262971e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@typeCode) = ('CSM')">(IPSEntryAllergyOrIntolerance): The value for typeCode SHALL be 'CSM'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:participantRole) &gt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:participantRole) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:participantRole appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole"
         id="d42e20646-false-d262997e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@classCode) = ('MANU')">(IPSEntryAllergyOrIntolerance): The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:playingEntity) &gt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:playingEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:playingEntity) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:playingEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingEntity
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingEntity"
         id="d42e20650-false-d263023e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@classCode) = ('MMAT')">(IPSEntryAllergyOrIntolerance): The value for classCode SHALL be 'MMAT'. Found: "<value-of select="@classCode"/>"</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:code) &lt; 1">(IPSEntryAllergyOrIntolerance): element hl7:code is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSEntryAllergyOrIntolerance): element hl7:code appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (IPSEntryAllergyOrIntolerance)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingEntity/hl7:code"
         id="d42e20654-false-d263049e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSEntryAllergyOrIntolerance): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]
Item: (IPSEntryAllergyOrIntolerance)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.6']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@typeCode) = ('MFST')">(IPSEntryAllergyOrIntolerance): The value for typeCode SHALL be 'MFST'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@inversionInd) = ('true')">(IPSEntryAllergyOrIntolerance): The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.18']]]
Item: (IPSEntryAllergyOrIntolerance)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.18']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@typeCode) = ('SUBJ')">(IPSEntryAllergyOrIntolerance): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@inversionInd) = ('true')">(IPSEntryAllergyOrIntolerance): The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.10']]]
Item: (IPSEntryAllergyOrIntolerance)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.10']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@typeCode) = ('SUBJ')">(IPSEntryAllergyOrIntolerance): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@inversionInd) = ('true')">(IPSEntryAllergyOrIntolerance): The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.21'] and hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]
Item: (IPSEntryAllergyOrIntolerance)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.21'] and hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@typeCode) = ('REFR')">(IPSEntryAllergyOrIntolerance): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.1-2016-11-10T000000.html"
              test="string(@inversionInd) = ('false')">(IPSEntryAllergyOrIntolerance): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>
</pattern>
