<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.11
Name: IPS Pathology Result Observation
Description: This template constrains the results of an  anatomic pathology observation. The result observation includes a statusCode to allow recording the status of an observation. “Pending” results (e.g., a test has been run but results have not been reported yet) should be repnresented as “active” ActStatus.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.11-2017-03-21T000000">
   <title>IPS Pathology Result Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]
Item: (IPSPathologyResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]"
         id="d42e20960-false-d264039e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="string(@classCode) = ('OBS')">(IPSPathologyResultObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSPathologyResultObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']) &gt;= 1">(IPSPathologyResultObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']) &lt;= 1">(IPSPathologyResultObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:code[not(@nullFlavor)]) &gt;= 1">(IPSPathologyResultObservation): element hl7:code[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(IPSPathologyResultObservation): element hl7:code[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(IPSPathologyResultObservation): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(IPSPathologyResultObservation): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(IPSPathologyResultObservation): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSPathologyResultObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='CE.IPS'] | hl7:value[@xsi:type='PQ'] | hl7:value[@xsi:type='IVL_PQ'] | hl7:value[@xsi:type='ST'] | hl7:value[@xsi:type='TS'] | hl7:value[@xsi:type='RTO_QTY_QTY'])"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="$elmcount &gt;= 1">(IPSPathologyResultObservation): choice (hl7:value[@xsi:type='CE.IPS']  or  hl7:value[@xsi:type='PQ']  or  hl7:value[@xsi:type='IVL_PQ']  or  hl7:value[@xsi:type='ST']  or  hl7:value[@xsi:type='TS']  or  hl7:value[@xsi:type='RTO_QTY_QTY']) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="$elmcount &lt;= 1">(IPSPathologyResultObservation): choice (hl7:value[@xsi:type='CE.IPS']  or  hl7:value[@xsi:type='PQ']  or  hl7:value[@xsi:type='IVL_PQ']  or  hl7:value[@xsi:type='ST']  or  hl7:value[@xsi:type='TS']  or  hl7:value[@xsi:type='RTO_QTY_QTY']) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='CE.IPS']) &lt;= 1">(IPSPathologyResultObservation): element hl7:value[@xsi:type='CE.IPS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='PQ']) &lt;= 1">(IPSPathologyResultObservation): element hl7:value[@xsi:type='PQ'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='IVL_PQ']) &lt;= 1">(IPSPathologyResultObservation): element hl7:value[@xsi:type='IVL_PQ'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='ST']) &lt;= 1">(IPSPathologyResultObservation): element hl7:value[@xsi:type='ST'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='TS']) &lt;= 1">(IPSPathologyResultObservation): element hl7:value[@xsi:type='TS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='RTO_QTY_QTY']) &lt;= 1">(IPSPathologyResultObservation): element hl7:value[@xsi:type='RTO_QTY_QTY'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSPathologyResultObservation): element hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']"
         id="d42e20966-false-d264161e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.11')">(IPSPathologyResultObservation): The value for root SHALL be '2.16.840.1.113883.10.22.4.11'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:id
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:id"
         id="d42e20971-false-d264175e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:code[not(@nullFlavor)]
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:code[not(@nullFlavor)]"
         id="d42e20973-false-d264188e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d42e20979-false-d264205e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(IPSPathologyResultObservation): The element value SHALL be one of '2.16.840.1.113883.1.11.19890 x_ActStatusActiveComplete (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:effectiveTime
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:effectiveTime"
         id="d42e20984-false-d264225e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='CE.IPS']
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='CE.IPS']"
         id="d42e20988-false-d264233e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.47-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSPathologyResultObservation): The element value SHALL be one of '2.16.840.1.113883.11.22.47 IPS Results Coded Values Pathology (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='PQ']
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='PQ']"
         id="d42e21003-false-d264251e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSPathologyResultObservation): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSPathologyResultObservation): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='IVL_PQ']
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='IVL_PQ']"
         id="d42e21014-false-d264264e0">
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_PQ')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSPathologyResultObservation): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSPathologyResultObservation): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSPathologyResultObservation): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='ST']
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='ST']"
         id="d42e21027-false-d264279e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='TS']
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='TS']"
         id="d42e21036-false-d264287e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="not(*)">(IPSPathologyResultObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='RTO_QTY_QTY']
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:value[@xsi:type='RTO_QTY_QTY']"
         id="d42e21045-false-d264298e0">
      <extends rule="RTO_QTY_QTY"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'RTO_QTY_QTY')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:RTO_QTY_QTY". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e21059-false-d264311e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSPathologyResultObservation): The element value SHALL be one of '2.16.840.1.113883.1.11.78 ObservationInterpretation (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (IPSPathologyResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &gt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &lt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &gt;= 1">(IPSBodyAuthor): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &lt;= 1">(IPSBodyAuthor): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.14')">(IPSBodyAuthor): The value for root SHALL be '2.16.840.1.113883.10.22.4.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time">
      <extends rule="TS.IPS.TZ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="not(*)">(IPSBodyAuthor): <value-of select="local-name()"/> with datatype TS.IPS.TZ, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSBodyAuthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSBodyAuthor): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="$elmcount &lt;= 1">(IPSBodyAuthor): choice (hl7:assignedPerson  or  hl7:assignedAuthoringDevice) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(IPSBodyAuthor): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthoringDevice appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(IPSBodyAuthor): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:code
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(IPSBodyAuthor): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSBodyAuthor): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:name) &gt;= 1">(IPSBodyAuthor): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:family) &gt;= 1">(IPSBodyAuthor): element hl7:family is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:given) &gt;= 1">(IPSBodyAuthor): element hl7:given is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:family
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:given
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(IPSCDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSCDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSCDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(IPSCDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(IPSCDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:name
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:referenceRange[hl7:observationRange]
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:referenceRange[hl7:observationRange]"
         id="d42e21066-false-d264706e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:observationRange[not(@nullFlavor)]) &gt;= 1">(IPSPathologyResultObservation): element hl7:observationRange[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:observationRange[not(@nullFlavor)]) &lt;= 1">(IPSPathologyResultObservation): element hl7:observationRange[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]"
         id="d42e21068-false-d264722e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:code) = 0">(IPSPathologyResultObservation): element hl7:code MAY NOT be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(IPSPathologyResultObservation): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(IPSPathologyResultObservation): element hl7:value[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="count(hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor]) &lt;= 1">(IPSPathologyResultObservation): element hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:code
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:code"
         id="d42e21070-false-d264751e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:value[not(@nullFlavor)]
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:value[not(@nullFlavor)]"
         id="d42e21072-false-d264761e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor]
Item: (IPSPathologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor]"
         id="d42e21074-false-d264770e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSPathologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.83')">(IPSPathologyResultObservation): The element value SHALL be one of 'code 'N' codeSystem '2.16.840.1.113883.5.83''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]
Item: (IPSPathologyResultObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.11']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.11-2017-03-21T000000.html"
              test="string(@typeCode) = ('COMP')">(IPSPathologyResultObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
