<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.12
Name: IPS Radiology Result Observation
Description: This template represents an observation produced as one of the results of a radiology or other imaging study performed on a patient.  In most cases, in the context of a patient summary this observation is final and validated, which is recorded with the value "completed" in the statusCode element. Should  the observation be not final, the statusCode would indicate "active", instead.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.12-2017-03-21T000000">
   <title>IPS Radiology Result Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]
Item: (IPSRadiologyResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]"
         id="d42e21170-false-d264861e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="string(@classCode) = ('OBS')">(IPSRadiologyResultObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSRadiologyResultObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']) &gt;= 1">(IPSRadiologyResultObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']) &lt;= 1">(IPSRadiologyResultObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12'] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt; 1">(IPSRadiologyResultObservation): element hl7:code is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:code[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(IPSRadiologyResultObservation): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(IPSRadiologyResultObservation): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSRadiologyResultObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='CE.IPS'] | hl7:value[@xsi:type='PQ'] | hl7:value[@xsi:type='IVL_PQ'] | hl7:value[@xsi:type='ST'] | hl7:value[@xsi:type='TS'] | hl7:value[@xsi:type='RTO_QTY_QTY'])"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="$elmcount &gt;= 1">(IPSRadiologyResultObservation): choice (hl7:value[@xsi:type='CE.IPS']  or  hl7:value[@xsi:type='PQ']  or  hl7:value[@xsi:type='IVL_PQ']  or  hl7:value[@xsi:type='ST']  or  hl7:value[@xsi:type='TS']  or  hl7:value[@xsi:type='RTO_QTY_QTY']) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="$elmcount &lt;= 1">(IPSRadiologyResultObservation): choice (hl7:value[@xsi:type='CE.IPS']  or  hl7:value[@xsi:type='PQ']  or  hl7:value[@xsi:type='IVL_PQ']  or  hl7:value[@xsi:type='ST']  or  hl7:value[@xsi:type='TS']  or  hl7:value[@xsi:type='RTO_QTY_QTY']) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='CE.IPS']) &lt;= 1">(IPSRadiologyResultObservation): element hl7:value[@xsi:type='CE.IPS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='PQ']) &lt;= 1">(IPSRadiologyResultObservation): element hl7:value[@xsi:type='PQ'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='IVL_PQ']) &lt;= 1">(IPSRadiologyResultObservation): element hl7:value[@xsi:type='IVL_PQ'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='ST']) &lt;= 1">(IPSRadiologyResultObservation): element hl7:value[@xsi:type='ST'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='TS']) &lt;= 1">(IPSRadiologyResultObservation): element hl7:value[@xsi:type='TS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[@xsi:type='RTO_QTY_QTY']) &lt;= 1">(IPSRadiologyResultObservation): element hl7:value[@xsi:type='RTO_QTY_QTY'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:targetSiteCode) &lt;= 1">(IPSRadiologyResultObservation): element hl7:targetSiteCode appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']"
         id="d42e21176-false-d264992e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.12')">(IPSRadiologyResultObservation): The value for root SHALL be '2.16.840.1.113883.10.22.4.12'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:id
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:id"
         id="d42e21181-false-d265006e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:code[not(@nullFlavor)]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:code[not(@nullFlavor)]"
         id="d42e21183-false-d265019e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d42e21189-false-d265036e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(IPSRadiologyResultObservation): The element value SHALL be one of '2.16.840.1.113883.1.11.19890 x_ActStatusActiveComplete (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:effectiveTime
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:effectiveTime"
         id="d42e21194-false-d265056e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='CE.IPS']
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='CE.IPS']"
         id="d42e21198-false-d265064e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='PQ']
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='PQ']"
         id="d42e21211-false-d265072e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSRadiologyResultObservation): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(IPSRadiologyResultObservation): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='IVL_PQ']
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='IVL_PQ']"
         id="d42e21222-false-d265085e0">
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_PQ')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSRadiologyResultObservation): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSRadiologyResultObservation): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(IPSRadiologyResultObservation): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='ST']
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='ST']"
         id="d42e21235-false-d265100e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='TS']
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='TS']"
         id="d42e21244-false-d265108e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="not(*)">(IPSRadiologyResultObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='RTO_QTY_QTY']
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:value[@xsi:type='RTO_QTY_QTY']"
         id="d42e21253-false-d265119e0">
      <extends rule="RTO_QTY_QTY"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'RTO_QTY_QTY')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:RTO_QTY_QTY". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:interpretationCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e21267-false-d265132e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.78-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSRadiologyResultObservation): The element value SHALL be one of '2.16.840.1.113883.1.11.78 ObservationInterpretation (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode"
         id="d42e21272-false-d265155e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:qualifier[hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:qualifier[hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]]"
         id="d42e21279-false-d265184e0">
      <extends rule="CR"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CR')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CR". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt; 1">(IPSRadiologyResultObservation): element hl7:name is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.57-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt; 1">(IPSRadiologyResultObservation): element hl7:value is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.57-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.57-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e21287-false-d265216e0">
      <extends rule="CV"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CV". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="@nullFlavor or (@code='272741003' and @codeSystem='2.16.840.1.113883.6.96')">(IPSRadiologyResultObservation): The element value SHALL be one of 'code '272741003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.57-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '272741003' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.57-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e21292-false-d265235e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.57-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSRadiologyResultObservation): The element value SHALL be one of '2.16.840.1.113883.11.22.57 Laterality (qualifier) (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]]"
         id="d42e21298-false-d265256e0">
      <extends rule="CR"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CR')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CR". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt; 1">(IPSRadiologyResultObservation): element hl7:name is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt; 1">(IPSRadiologyResultObservation): element hl7:value is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:value[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e21303-false-d265288e0">
      <extends rule="CV"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CV". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="@nullFlavor or (@code='106233006' and @codeSystem='2.16.840.1.113883.6.96')">(IPSRadiologyResultObservation): The element value SHALL be one of 'code '106233006' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value[not(@nullFlavor)]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:targetSiteCode/hl7:qualifier[hl7:name[(@code = '106233006' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value[not(@nullFlavor)]"
         id="d42e21308-false-d265307e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (IPSRadiologyResultObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &gt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &lt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &gt;= 1">(IPSBodyAuthor): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &lt;= 1">(IPSBodyAuthor): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.14')">(IPSBodyAuthor): The value for root SHALL be '2.16.840.1.113883.10.22.4.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time">
      <extends rule="TS.IPS.TZ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="not(*)">(IPSBodyAuthor): <value-of select="local-name()"/> with datatype TS.IPS.TZ, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSBodyAuthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSBodyAuthor): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="$elmcount &lt;= 1">(IPSBodyAuthor): choice (hl7:assignedPerson  or  hl7:assignedAuthoringDevice) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(IPSBodyAuthor): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthoringDevice appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(IPSBodyAuthor): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:code
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(IPSBodyAuthor): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSBodyAuthor): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:name) &gt;= 1">(IPSBodyAuthor): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:family) &gt;= 1">(IPSBodyAuthor): element hl7:family is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:given) &gt;= 1">(IPSBodyAuthor): element hl7:given is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:family
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:given
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(IPSCDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSCDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSCDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(IPSCDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(IPSCDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:name
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:referenceRange[hl7:observationRange]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:referenceRange[hl7:observationRange]"
         id="d42e21318-false-d265696e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:observationRange[not(@nullFlavor)]) &gt;= 1">(IPSRadiologyResultObservation): element hl7:observationRange[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:observationRange[not(@nullFlavor)]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:observationRange[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]"
         id="d42e21320-false-d265712e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:code) = 0">(IPSRadiologyResultObservation): element hl7:code MAY NOT be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(IPSRadiologyResultObservation): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:value[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="count(hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor]) &lt;= 1">(IPSRadiologyResultObservation): element hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:code
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:code"
         id="d42e21322-false-d265741e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:value[not(@nullFlavor)]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:value[not(@nullFlavor)]"
         id="d42e21324-false-d265751e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor]
Item: (IPSRadiologyResultObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:referenceRange[hl7:observationRange]/hl7:observationRange[not(@nullFlavor)]/hl7:interpretationCode[(@code = 'N' and @codeSystem = '2.16.840.1.113883.5.83') or @nullFlavor]"
         id="d42e21326-false-d265760e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSRadiologyResultObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.83')">(IPSRadiologyResultObservation): The element value SHALL be one of 'code 'N' codeSystem '2.16.840.1.113883.5.83''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.12
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]
Item: (IPSRadiologyResultObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.12']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.12-2017-03-21T000000.html"
              test="string(@typeCode) = ('COMP')">(IPSRadiologyResultObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
