<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.19
Name: IPS Certainty Observation
Description: This observation represents the verification status to support the clinical status of the condition.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.19-2017-03-29T000000">
   <title>IPS Certainty Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]
Item: (IPSCertaintyObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]
Item: (IPSCertaintyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]"
         id="d42e21997-false-d267702e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="string(@classCode) = ('OBS')">(IPSCertaintyObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSCertaintyObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']) &gt;= 1">(IPSCertaintyObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']) &lt;= 1">(IPSCertaintyObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="count(hl7:code[(@code = '66455-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(IPSCertaintyObservation): element hl7:code[(@code = '66455-7' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="count(hl7:code[(@code = '66455-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(IPSCertaintyObservation): element hl7:code[(@code = '66455-7' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IPSCertaintyObservation): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IPSCertaintyObservation): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(IPSCertaintyObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(IPSCertaintyObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']
Item: (IPSCertaintyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']"
         id="d42e22003-false-d267757e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSCertaintyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.19')">(IPSCertaintyObservation): The value for root SHALL be '2.16.840.1.113883.10.22.4.19'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]/hl7:code[(@code = '66455-7' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (IPSCertaintyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]/hl7:code[(@code = '66455-7' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e22008-false-d267772e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSCertaintyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="@nullFlavor or (@code='66455-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Condition status' and @codeSystemName='LOINC')">(IPSCertaintyObservation): The element value SHALL be one of 'code '66455-7' codeSystem '2.16.840.1.113883.6.1' displayName='Condition status' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]/hl7:statusCode[@code = 'completed']
Item: (IPSCertaintyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]/hl7:statusCode[@code = 'completed']"
         id="d42e22013-false-d267789e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSCertaintyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="@nullFlavor or (@code='completed')">(IPSCertaintyObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.19
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (IPSCertaintyObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e22019-false-d267808e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSCertaintyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.19-2017-03-29T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.8-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSCertaintyObservation): The element value SHALL be one of '2.16.840.1.113883.11.22.8 IPS Condition Verification Status (DYNAMIC)'.</assert>
   </rule>
</pattern>
