<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.20
Name: IPS Problem Status Observation
Description: This subordinated observation used by the problem observation records information about the current status of a condition, for example, whether it is active, in remission, resolved, et cetera. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.20-2017-03-29T000000">
   <title>IPS Problem Status Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.20
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]
Item: (IPSProblemStatusObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.20
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]
Item: (IPSProblemStatusObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]"
         id="d42e22195-false-d268031e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(IPSProblemStatusObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(IPSProblemStatusObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']) &gt;= 1">(IPSProblemStatusObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']) &lt;= 1">(IPSProblemStatusObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="count(hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(IPSProblemStatusObservation): element hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="count(hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(IPSProblemStatusObservation): element hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="count(hl7:text) &lt;= 1">(IPSProblemStatusObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IPSProblemStatusObservation): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IPSProblemStatusObservation): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.24-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(IPSProblemStatusObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.24-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.24-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSProblemStatusObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.24-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.20
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']
Item: (IPSProblemStatusObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']"
         id="d42e22201-false-d268092e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSProblemStatusObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.20')">(IPSProblemStatusObservation): The value for root SHALL be '2.16.840.1.113883.10.22.4.20'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.20
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (IPSProblemStatusObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e22206-false-d268107e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSProblemStatusObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="@nullFlavor or (@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')">(IPSProblemStatusObservation): The element value SHALL be one of 'code '33999-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.20
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:text
Item: (IPSProblemStatusObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:text"
         id="d42e22217-false-d268123e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(IPSProblemStatusObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(IPSProblemStatusObservation): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(IPSProblemStatusObservation): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.20
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (IPSProblemStatusObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e22225-false-d268142e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSProblemStatusObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="@value">(IPSProblemStatusObservation): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.20
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:statusCode[@code = 'completed']
Item: (IPSProblemStatusObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:statusCode[@code = 'completed']"
         id="d42e22236-false-d268157e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSProblemStatusObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="@nullFlavor or (@code='completed')">(IPSProblemStatusObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.20
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.24-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSProblemStatusObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.24-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e22247-false-d268176e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSProblemStatusObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.20-2017-03-29T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.24-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSProblemStatusObservation): The element value SHALL be one of '2.16.840.1.113883.11.22.24 IPS Condition Status Code (DYNAMIC)'.</assert>
   </rule>
</pattern>
