<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.22
Name: IPS Comment Activity
Description: Comments are free text data that cannot otherwise be recorded using data elements already defined by this specification. They are not to be used to record information that can be recorded elsewhere. For example, a free text description of the severity of an allergic reaction would not be recorded in a comment.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.22-2017-04-05T000000">
   <title>IPS Comment Activity</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]
Item: (IPSCommentActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]
Item: (IPSCommentActivity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]"
         id="d42e22404-false-d268427e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="string(@classCode) = ('ACT')">(IPSCommentActivity): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSCommentActivity): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']) &gt;= 1">(IPSCommentActivity): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']) &lt;= 1">(IPSCommentActivity): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(IPSCommentActivity): element hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(IPSCommentActivity): element hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:text[not(@nullFlavor)][hl7:reference]) &gt;= 1">(IPSCommentActivity): element hl7:text[not(@nullFlavor)][hl7:reference] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:text[not(@nullFlavor)][hl7:reference]) &lt;= 1">(IPSCommentActivity): element hl7:text[not(@nullFlavor)][hl7:reference] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:author[hl7:assignedAuthor]) &lt;= 1">(IPSCommentActivity): element hl7:author[hl7:assignedAuthor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']
Item: (IPSCommentActivity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']"
         id="d42e22413-false-d268476e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSCommentActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.22')">(IPSCommentActivity): The value for root SHALL be '2.16.840.1.113883.10.22.4.22'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (IPSCommentActivity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e22418-false-d268491e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSCommentActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(IPSCommentActivity): The element value SHALL be one of 'code '48767-8' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:text[not(@nullFlavor)][hl7:reference]
Item: (IPSCommentActivity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:text[not(@nullFlavor)][hl7:reference]"
         id="d42e22424-false-d268507e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(IPSCommentActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(IPSCommentActivity): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(IPSCommentActivity): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:text[not(@nullFlavor)][hl7:reference]/hl7:reference[not(@nullFlavor)]
Item: (IPSCommentActivity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:text[not(@nullFlavor)][hl7:reference]/hl7:reference[not(@nullFlavor)]"
         id="d42e22426-false-d268526e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="@value">(IPSCommentActivity): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="not(@value) or starts-with(@value, '#')">(IPSCommentActivity): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]
Item: (IPSCommentActivity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]"
         id="d42e22435-false-d268537e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:time) &gt;= 1">(IPSCommentActivity): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:time) &lt;= 1">(IPSCommentActivity): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(IPSCommentActivity): element hl7:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(IPSCommentActivity): element hl7:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (IPSCommentActivity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:time"
         id="d42e22437-false-d268561e0">
      <extends rule="TS.IPS.TZ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSCommentActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="not(*)">(IPSCommentActivity): <value-of select="local-name()"/> with datatype TS.IPS.TZ, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[not(@nullFlavor)]
Item: (IPSCommentActivity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[not(@nullFlavor)]"
         id="d42e22439-false-d268574e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSCommentActivity): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:id) &lt;= 1">(IPSCommentActivity): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:addr[not(@nullFlavor)]) &gt;= 1">(IPSCommentActivity): element hl7:addr[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="$elmcount &gt;= 1">(IPSCommentActivity): choice (hl7:assignedPerson  or  hl7:assignedAuthoringDevice) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="$elmcount &lt;= 1">(IPSCommentActivity): choice (hl7:assignedPerson  or  hl7:assignedAuthoringDevice) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(IPSCommentActivity): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(IPSCommentActivity): element hl7:assignedAuthoringDevice appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id
Item: (IPSCommentActivity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id"
         id="d42e22446-false-d268620e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSCommentActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:addr[not(@nullFlavor)]
Item: (IPSCommentActivity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:addr[not(@nullFlavor)]"
         id="d42e22448-false-d268630e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSCommentActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson
Item: (IPSCommentActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name
Item: (IPSCommentActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSCommentActivity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice"
         id="d42e22457-false-d268659e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.22-2017-04-05T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(IPSCommentActivity): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.22
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (IPSCommentActivity)
-->
</pattern>
