<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.26
Name: IPS Medical Device
Description: The medical devices entry content module describes the kind of device that is, or has been used by the patient 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.26-2017-04-11T000000">
   <title>IPS Medical Device</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]
Item: (IPSMedicalDevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]"
         id="d42e22693-false-d270113e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="string(@classCode) = ('SPLY')">(IPSMedicalDevice): The value for classCode SHALL be 'SPLY'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSMedicalDevice): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']) &gt;= 1">(IPSMedicalDevice): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']) &lt;= 1">(IPSMedicalDevice): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(IPSMedicalDevice): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:effectiveTime[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')]) &gt;= 1">(IPSMedicalDevice): element hl7:effectiveTime[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:effectiveTime[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')]) &lt;= 1">(IPSMedicalDevice): element hl7:effectiveTime[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]) &gt;= 1">(IPSMedicalDevice): element hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']"
         id="d42e22705-false-d270163e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSMedicalDevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.26')">(IPSMedicalDevice): The value for root SHALL be '2.16.840.1.113883.10.22.4.26'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:id
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:id"
         id="d42e22710-false-d270177e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSMedicalDevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:text
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:text"
         id="d42e22717-false-d270187e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(IPSMedicalDevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(IPSMedicalDevice): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(IPSMedicalDevice): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e22719-false-d270206e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSMedicalDevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="@value">(IPSMedicalDevice): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:effectiveTime[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')]
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:effectiveTime[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')]"
         id="d42e22729-false-d270220e0">
      <extends rule="IVL_TS"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3')">(IPSMedicalDevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:low) &gt;= 1">(IPSMedicalDevice): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:low) &lt;= 1">(IPSMedicalDevice): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:high) &lt;= 1">(IPSMedicalDevice): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:effectiveTime[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')]/hl7:low
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:effectiveTime[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')]/hl7:low"
         id="d42e22739-false-d270247e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSMedicalDevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="not(*)">(IPSMedicalDevice): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:effectiveTime[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')]/hl7:high
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:effectiveTime[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')]/hl7:high"
         id="d42e22745-false-d270260e0">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSMedicalDevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="not(*)">(IPSMedicalDevice): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]"
         id="d42e22752-false-d270273e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="string(@typeCode) = ('DEV')">(IPSMedicalDevice): The value for typeCode SHALL be 'DEV'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:participantRole) &gt;= 1">(IPSMedicalDevice): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:participantRole) &lt;= 1">(IPSMedicalDevice): element hl7:participantRole appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole"
         id="d42e22816-false-d270303e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="string(@classCode) = ('MANU')">(IPSMedicalDevice): The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:playingDevice) &gt;= 1">(IPSMedicalDevice): element hl7:playingDevice is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:playingDevice) &lt;= 1">(IPSMedicalDevice): element hl7:playingDevice appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:id
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:id"
         id="d42e22820-false-d270332e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSMedicalDevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice"
         id="d42e22844-false-d270347e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="string(@classCode) = ('DEV')">(IPSMedicalDevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="string(@determinerCode) = ('INSTANCE')">(IPSMedicalDevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:code) &lt; 1">(IPSMedicalDevice): element hl7:code is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSMedicalDevice): element hl7:code appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.26
Context: *[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice/hl7:code
Item: (IPSMedicalDevice)
-->

   <rule fpi="RULC-1"
         context="*[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.26']]/hl7:participant[@typeCode = 'DEV'][hl7:participantRole[@classCode = 'MANU']]/hl7:participantRole/hl7:playingDevice/hl7:code"
         id="d42e22853-false-d270381e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.26-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSMedicalDevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
