<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.30
Name: IPS Specimen Collection
Description: Specimen Collection is used when a set of laboratory or pathology observations  produced on one or more specimens need to be associated with the minimal characteristics of the specimen(s): specimen source site and type of specimen. In addition this template enables to convey when the specimen was collected. In a patient summary there is no need to provide more data than these 4:  
                 
                     collection method,  
                     
                     source site,  
                     
                     type of specimen and  
                     
                     time of collection. 
                     
                 An occurrence of this template describes one specimen collected, used by the set of observations present in the same Result Organizer.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.30-2017-04-14T000000">
   <title>IPS Specimen Collection</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]
Item: (IPSSpecimenCollection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]
Item: (IPSSpecimenCollection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]"
         id="d42e24062-false-d270883e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="string(@classCode) = ('PROC')">(IPSSpecimenCollection): The value for classCode SHALL be 'PROC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSSpecimenCollection): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']) &gt;= 1">(IPSSpecimenCollection): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']) &lt;= 1">(IPSSpecimenCollection): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:code[(@code = ' 33882-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(IPSSpecimenCollection): element hl7:code[(@code = ' 33882-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSSpecimenCollection): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:targetSiteCode) &lt;= 1">(IPSSpecimenCollection): element hl7:targetSiteCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:participant[@typeCode = 'PRD'][hl7:participantRole]) &lt;= 1">(IPSSpecimenCollection): element hl7:participant[@typeCode = 'PRD'][hl7:participantRole] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']
Item: (IPSSpecimenCollection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']"
         id="d42e24068-false-d270934e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSSpecimenCollection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.30')">(IPSSpecimenCollection): The value for root SHALL be '2.16.840.1.113883.10.22.4.30'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:code[(@code = ' 33882-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (IPSSpecimenCollection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:code[(@code = ' 33882-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e24073-false-d270949e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSSpecimenCollection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="@nullFlavor or (@code=' 33882-2' and @codeSystem='2.16.840.1.113883.6.1')">(IPSSpecimenCollection): The element value SHALL be one of 'code ' 33882-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:effectiveTime
Item: (IPSSpecimenCollection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:effectiveTime"
         id="d42e24081-false-d270965e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSSpecimenCollection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:targetSiteCode
Item: (IPSSpecimenCollection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]
Item: (IPSSpecimenCollection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]"
         id="d42e24090-false-d270983e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="string(@typeCode) = ('PRD')">(IPSSpecimenCollection): The value for typeCode SHALL be 'PRD'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]) &gt;= 1">(IPSSpecimenCollection): element hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]) &lt;= 1">(IPSSpecimenCollection): element hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]
Item: (IPSSpecimenCollection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]"
         id="d42e24097-false-d271009e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="string(@classCode) = ('SPEC') or not(@classCode)">(IPSSpecimenCollection): The value for classCode SHALL be 'SPEC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:id) &lt;= 1">(IPSSpecimenCollection): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]) &gt;= 1">(IPSSpecimenCollection): element hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]) &lt;= 1">(IPSSpecimenCollection): element hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:id
Item: (IPSSpecimenCollection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:id"
         id="d42e24101-false-d271038e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSSpecimenCollection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]
Item: (IPSSpecimenCollection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]"
         id="d42e24103-false-d271051e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSSpecimenCollection): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(IPSSpecimenCollection): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt; 1">(IPSSpecimenCollection): element hl7:code is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(IPSSpecimenCollection): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.30
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (IPSSpecimenCollection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.30']]/hl7:participant[@typeCode = 'PRD'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e24109-false-d271081e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSSpecimenCollection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.30-2017-04-14T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.56-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSSpecimenCollection): The element value SHALL be one of '2.16.840.1.113883.11.22.56 IPS Specimen Type (DYNAMIC)'.</assert>
   </rule>
</pattern>
