<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.34
Name: IPS Social History Tobacco Use
Description: This template is a specialization of the Social History Observation that may be used to represent smoking or tobacco habits.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.34-2017-06-20T000000">
   <title>IPS Social History Tobacco Use</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.34
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]
Item: (IPSSocialHistoryObsTobaccoUse)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.34
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]
Item: (IPSSocialHistoryObsTobaccoUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]"
         id="d42e24227-false-d271120e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="string(@classCode) = ('OBS')">(IPSSocialHistoryObsTobaccoUse): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="string(@moodCode) = ('EVN')">(IPSSocialHistoryObsTobaccoUse): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']) &gt;= 1">(IPSSocialHistoryObsTobaccoUse): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']) &lt;= 1">(IPSSocialHistoryObsTobaccoUse): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="count(hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(IPSSocialHistoryObsTobaccoUse): element hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="count(hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(IPSSocialHistoryObsTobaccoUse): element hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IPSSocialHistoryObsTobaccoUse): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IPSSocialHistoryObsTobaccoUse): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(IPSSocialHistoryObsTobaccoUse): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSSocialHistoryObsTobaccoUse): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(IPSSocialHistoryObsTobaccoUse): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSSocialHistoryObsTobaccoUse): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.34
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']
Item: (IPSSocialHistoryObsTobaccoUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']"
         id="d42e24233-false-d271187e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSSocialHistoryObsTobaccoUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.34')">(IPSSocialHistoryObsTobaccoUse): The value for root SHALL be '2.16.840.1.113883.10.22.4.34'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.34
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:id
Item: (IPSSocialHistoryObsTobaccoUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:id"
         id="d42e24238-false-d271201e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSSocialHistoryObsTobaccoUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.34
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (IPSSocialHistoryObsTobaccoUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e24240-false-d271212e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSSocialHistoryObsTobaccoUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="@nullFlavor or (@code='72166-2' and @codeSystem='2.16.840.1.113883.6.1')">(IPSSocialHistoryObsTobaccoUse): The element value SHALL be one of 'code '72166-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.34
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:code[(@code = '72166-2' and @codeSystem = '2.16.840.1.113883.6.1')]/hl7:translation
Item: (IPSSocialHistoryObsTobaccoUse)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.34
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:statusCode[@code = 'completed']
Item: (IPSSocialHistoryObsTobaccoUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:statusCode[@code = 'completed']"
         id="d42e24248-false-d271240e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSSocialHistoryObsTobaccoUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="@nullFlavor or (@code='completed')">(IPSSocialHistoryObsTobaccoUse): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.34
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:effectiveTime
Item: (IPSSocialHistoryObsTobaccoUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:effectiveTime"
         id="d42e24253-false-d271256e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSSocialHistoryObsTobaccoUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.34
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSSocialHistoryObsTobaccoUse)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.34']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e24255-false-d271269e0">
      <extends rule="CD.IPS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.59-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSSocialHistoryObsTobaccoUse): The element value SHALL be one of '2.16.840.1.113883.11.22.59 IPS Current Smoking Status (DYNAMIC)'.</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.34-2017-06-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(IPSSocialHistoryObsTobaccoUse): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
