<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.42
Name: IPS Survey Panel
Description: A survey panel collects related survey observations.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.42-2020-05-08T190226">
   <title>IPS Survey Panel</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.42
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]
Item: (IPSSurveyPanel)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.42
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]
Item: (IPSSurveyPanel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]"
         id="d42e25413-false-d276402e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="string(@classCode) = ('CLUSTER')">(IPSSurveyPanel): The value for classCode SHALL be 'CLUSTER'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(IPSSurveyPanel): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']) &gt;= 1">(IPSSurveyPanel): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']) &lt;= 1">(IPSSurveyPanel): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="count(hl7:code) &gt;= 1">(IPSSurveyPanel): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="count(hl7:code) &lt;= 1">(IPSSurveyPanel): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IPSSurveyPanel): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IPSSurveyPanel): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSSurveyPanel): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]) &gt;= 1">(IPSSurveyPanel): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.42
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']
Item: (IPSSurveyPanel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']"
         id="d42e25419-false-d276463e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSSurveyPanel): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.42')">(IPSSurveyPanel): The value for root SHALL be '2.16.840.1.113883.10.22.4.42'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.42
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]/hl7:id
Item: (IPSSurveyPanel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]/hl7:id"
         id="d42e25424-false-d276477e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSSurveyPanel): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.42
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]/hl7:code
Item: (IPSSurveyPanel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]/hl7:code"
         id="d42e25426-false-d276487e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSSurveyPanel): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.42
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]/hl7:statusCode[@code = 'completed']
Item: (IPSSurveyPanel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]/hl7:statusCode[@code = 'completed']"
         id="d42e25429-false-d276498e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSSurveyPanel): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="@nullFlavor or (@code='completed')">(IPSSurveyPanel): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.42
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]/hl7:effectiveTime
Item: (IPSSurveyPanel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]/hl7:effectiveTime"
         id="d42e25434-false-d276514e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.42-2020-05-08T190226.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSSurveyPanel): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.42
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.42']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.43']]]
Item: (IPSSurveyPanel)
--></pattern>
