<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.48
Name: IPS Social History Observation
Description: This template represents a patient's occupations, lifestyle, and environmental health risk factors. Demographic data (e.g., marital status, race, ethnicity, religious affiliation) are captured in the header. Though tobacco use and exposure may be represented with a Social History Observation, it is recommended to use the Current Smoking Status template or the
                Tobacco Use template instead, to represent smoking or tobacco habits.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.48-2020-05-10T151616">
   <title>IPS Social History Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.48
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]
Item: (IPSSocialHistoryObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.48
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]
Item: (IPSSocialHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]"
         id="d42e25701-false-d277921e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="string(@classCode) = ('OBS')">(IPSSocialHistoryObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="string(@moodCode) = ('EVN')">(IPSSocialHistoryObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']) &gt;= 1">(IPSSocialHistoryObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']) &lt;= 1">(IPSSocialHistoryObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48'] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSX"
              role="information"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.60-2008-12-18T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(IPSSocialHistoryObservation): element hl7:code is coded with binding strength 'example' and is not checked.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.60-2008-12-18T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(IPSSocialHistoryObservation): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.60-2008-12-18T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="count(hl7:text) &lt;= 1">(IPSSocialHistoryObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(IPSSocialHistoryObservation): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(IPSSocialHistoryObservation): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="count(hl7:effectiveTime) &lt;= 1">(IPSSocialHistoryObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="count(hl7:value) &lt;= 1">(IPSSocialHistoryObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.48
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']
Item: (IPSSocialHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']"
         id="d42e25707-false-d277989e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSSocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.48')">(IPSSocialHistoryObservation): The value for root SHALL be '2.16.840.1.113883.10.22.4.48'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.48
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:id
Item: (IPSSocialHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:id"
         id="d42e25712-false-d278003e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSSocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.48
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.60-2008-12-18T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (IPSSocialHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.88.12.80.60-2008-12-18T000000.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e25714-false-d278016e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSSocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.60-2008-12-18T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IPSSocialHistoryObservation): The element value SHALL be one of '2.16.840.1.113883.3.88.12.80.60 Social History Type (2008-12-18T00:00:00)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.48
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:text
Item: (IPSSocialHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:text"
         id="d42e25720-false-d278034e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(IPSSocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(IPSSocialHistoryObservation): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(IPSSocialHistoryObservation): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.48
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (IPSSocialHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e25739-false-d278053e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSSocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="@value">(IPSSocialHistoryObservation): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.48
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:statusCode[@code = 'completed']
Item: (IPSSocialHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:statusCode[@code = 'completed']"
         id="d42e25749-false-d278068e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSSocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="@nullFlavor or (@code='completed')">(IPSSocialHistoryObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.48
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:effectiveTime
Item: (IPSSocialHistoryObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:effectiveTime"
         id="d42e25754-false-d278084e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.48-2020-05-10T151616.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSSocialHistoryObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.48
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.48']]/hl7:value
Item: (IPSSocialHistoryObservation)
-->
</pattern>
