<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.22.4.7
Name: IPS Problem Concern Entry
Description: 
                 This template reflects an ongoing concern on behalf of the provider that placed the concern on a patient’s problem list.  The purpose of the concern act is that of supporting the tracking of a problem or a condition. 
                     There are different kinds of status that could be related to a condition: 
                 
                 
                     
                         The status of the concern (active, inactive,..)  
                         
                         The status of the condition (e.g. active, inactive, resolved,..)  
                         
                         The confirmation status [clinical workflow status, certainty] (e.g. confirmed, likely, unlikely,…)  
                         
                     
                 
                 Not all of them can be represented in a CDA using the statusCode elements of the concern (ACT) and observation (condition).   
                 So long as the underlying conditions a
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.22.4.7-2021-08-04T084927">
   <title>IPS Problem Concern Entry</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]
Item: (IPSProblemConcernEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]
Item: (IPSProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]"
         id="d42e26263-false-d278758e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="string(@classCode) = ('ACT')">(IPSProblemConcernEntry): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="string(@moodCode) = ('EVN')">(IPSProblemConcernEntry): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']) &gt;= 1">(IPSProblemConcernEntry): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']) &lt;= 1">(IPSProblemConcernEntry): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &gt;= 1">(IPSProblemConcernEntry): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]) &lt;= 1">(IPSProblemConcernEntry): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &gt;= 1">(IPSProblemConcernEntry): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(IPSProblemConcernEntry): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(IPSProblemConcernEntry): element hl7:effectiveTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(IPSProblemConcernEntry): element hl7:effectiveTime[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.8']]]) &gt;= 1">(IPSProblemConcernEntry): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.8']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']
Item: (IPSProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']"
         id="d42e26269-false-d278830e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.7')">(IPSProblemConcernEntry): The value for root SHALL be '2.16.840.1.113883.10.22.4.7'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:id
Item: (IPSProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:id"
         id="d42e26274-false-d278844e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]
Item: (IPSProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6')]"
         id="d42e26276-false-d278855e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(IPSProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="string(@code) = ('CONC')">(IPSProblemConcernEntry): The value for code SHALL be 'CONC'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.5.6')">(IPSProblemConcernEntry): The value for codeSystem SHALL be '2.16.840.1.113883.5.6'. Found: "<value-of select="@codeSystem"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (IPSProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e26284-false-d278876e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(IPSProblemConcernEntry): The element value SHALL be one of '2.16.840.1.113883.1.11.19890 x_ActStatusActiveComplete (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (IPSProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d42e26302-false-d278896e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(IPSProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:low) &gt;= 1">(IPSProblemConcernEntry): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:low) &lt;= 1">(IPSProblemConcernEntry): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="count(hl7:high) &lt;= 1">(IPSProblemConcernEntry): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low
Item: (IPSProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low"
         id="d42e26304-false-d278921e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(IPSProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (IPSProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d42e26310-false-d278931e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(IPSProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.8']]]
Item: (IPSProblemConcernEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.7']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.8']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="string(@typeCode) = ('SUBJ')">(IPSProblemConcernEntry): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.7-2021-08-04T084927.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(IPSProblemConcernEntry): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>
</pattern>
