<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.14
Name: XeH Information Recipient
Description: ClinicalDocument/informationRecipient MAY be present. When present, it SHALL be in accordance with the HL7 CDA R2 standard and further constrained by this specification to require the presence of name (on the informationRecipient and/or receivedOrganization), addr and telecom. Additionally, it SHALL have the following:  
                     <templateId root="1.3.6.1.4.1.19376.1.3.3.1.4"/> - The templateId element identifies this participant as an intended recipient. The templateId SHALL have root="1.3.6.1.4.1.19376.1.3.3.1.4". 
                  The informationRecipient/intendedRecipient element can be multiple. It introduces an intended recipient of the laboratory report, other than the Ordering Provider (described as a referrer participant). These elements carry the list of the originally intended recipients of the laboratory report, i.e. those who were known at the time the report was created and published for
                sharing. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.14-2021-09-10T145936">
   <title>XeH Information Recipient</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]
Item: (XeHInformationRecipient)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]"
         id="d42e28970-false-d332995e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14']) &gt;= 1">(XeHInformationRecipient): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14']) &lt;= 1">(XeHInformationRecipient): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']) &gt;= 1">(XeHInformationRecipient): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']) &lt;= 1">(XeHInformationRecipient): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:intendedRecipient) &gt;= 1">(XeHInformationRecipient): element hl7:intendedRecipient is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:intendedRecipient) &lt;= 1">(XeHInformationRecipient): element hl7:intendedRecipient appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14']
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14']"
         id="d42e28972-false-d333046e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.14')">(XeHInformationRecipient): The value for root SHALL be '2.16.840.1.113883.2.51.10.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']"
         id="d42e28977-false-d333061e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.61.67.10.15')">(XeHInformationRecipient): The value for root SHALL be '2.16.840.1.113883.3.1937.99.61.67.10.15'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:templateId"
         id="d42e28982-false-d333075e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient"
         id="d42e28984-false-d333099e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:addr) &gt;= 1">(XeHInformationRecipient): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:telecom) &gt;= 1">(XeHInformationRecipient): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:informationRecipient) &lt;= 1">(XeHInformationRecipient): element hl7:informationRecipient appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="count(hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']) &lt;= 1">(XeHInformationRecipient): element hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:id
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:id"
         id="d42e28986-false-d333147e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:addr
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:addr"
         id="d42e28988-false-d333157e0">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:telecom
Item: (XeHInformationRecipient)
-->

   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:telecom"
         id="d42e28990-false-d333167e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.14-2021-09-10T145936.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHInformationRecipient): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:informationRecipient
Item: (XeHInformationRecipient)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.73
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:informationRecipient
Item: (XeHCDAPerson)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:informationRecipient">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.73-2022-05-29T101516.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(XeHCDAPerson): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.73-2022-05-29T101516.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(XeHCDAPerson): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.73-2022-05-29T101516.html"
              test="count(hl7:name) &gt;= 1">(XeHCDAPerson): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.73
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:informationRecipient/hl7:name
Item: (XeHCDAPerson)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:informationRecipient/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.73-2022-05-29T101516.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(XeHCDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.14
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']
Item: (XeHInformationRecipient)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="string(@classCode) = ('ORG')">(IPSCDAOrganization): The value for classCode SHALL be 'ORG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="string(@determinerCode) = ('INSTANCE')">(IPSCDAOrganization): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSCDAOrganization): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:name) &gt;= 1">(IPSCDAOrganization): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:name) &lt;= 1">(IPSCDAOrganization): element hl7:name appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:telecom) &gt;= 1">(IPSCDAOrganization): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:addr) &gt;= 1">(IPSCDAOrganization): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:addr) &lt;= 1">(IPSCDAOrganization): element hl7:addr appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:id
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(IPSCDAOrganization): Attribute @nullFlavor SHALL be of data type 'cs'  - '<value-of select="@nullFlavor"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:name
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:name">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(IPSCDAOrganization): Attribute @nullFlavor SHALL be of data type 'cs'  - '<value-of select="@nullFlavor"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:telecom
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="@use">(IPSCDAOrganization): attribute @use SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@use) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.201-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(IPSCDAOrganization): The value for use SHALL be selected from value set '2.16.840.1.113883.1.11.201' TelecommunicationAddressUse (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor) &gt; 0 and not(matches(@nullFlavor,'\s')))">(IPSCDAOrganization): Attribute @nullFlavor SHALL be of data type 'cs'  - '<value-of select="@nullFlavor"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.1
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr
Item: (IPSCDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="not(@use) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.10637-2005-05-01T000000.xml')/*/valueSet/conceptList/concept/@code))])">(IPSCDAOrganization): The value for use SHALL be selected from value set '2.16.840.1.113883.1.11.10637' PostalAddressUse (2005-05-01T00:00:00).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="string(@nullFlavor) = ('NI') or not(@nullFlavor)">(IPSCDAOrganization): The value for nullFlavor SHALL be 'NI'. Found: "<value-of select="@nullFlavor"/>"</assert>
      <extends rule="AD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSCDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:city) &lt;= 1">(IPSCDAOrganization): element hl7:city appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:postalCode) &lt;= 1">(IPSCDAOrganization): element hl7:postalCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:state) &lt;= 1">(IPSCDAOrganization): element hl7:state appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="count(hl7:country) &lt;= 1">(IPSCDAOrganization): element hl7:country appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="@nullFlavor or hl7:*">(IPSCDAOrganization): If addr is not nullflavored at least one sub element has to be provided</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.1-2017-04-11T000000.html"
              test="hl7:streetAddressLine and (hl7:city or hl7:postalCode)">(IPSCDAOrganization): If the address line is included either the city or the zip code has to be provided</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:streetAddressLine
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:streetAddressLine">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:city
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:city">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:postalCode
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:postalCode">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:state
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:state">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:country
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]]/hl7:informationRecipient[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.14'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.15']]/hl7:intendedRecipient/hl7:receivedOrganization[@classCode = 'ORG'][@determinerCode = 'INSTANCE']/hl7:addr/hl7:country">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
