<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.24
Name: XeH Problem Concern Entry
Description: 
                 This template reflects an ongoing concern on behalf of the provider that placed the concern on a patient’s problem list.  The purpose of the concern act is that of supporting the tracking of a problem or a condition. 
                     There are different kinds of status that could be related to a condition: 
                 
                 
                     
                         The status of the concern (active, inactive,..)  
                         
                         The status of the condition (e.g. active, inactive, resolved,..)  
                         
                         The confirmation status [clinical workflow status, certainty] (e.g. confirmed, likely, unlikely,…)  
                         
                     
                 
                 Not all of them can be represented in a CDA using the statusCode elements of the concern (ACT) and observation (condition).   
                 So long as the underlying conditions a
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.24-2021-09-24T093856">
   <title>XeH Problem Concern Entry</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.24
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]
Item: (XeHProblemConcernEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.24
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]
Item: (XeHProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]"
         id="d42e30079-false-d347918e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="string(@classCode) = ('ACT')">(XeHProblemConcernEntry): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="string(@moodCode) = ('EVN')">(XeHProblemConcernEntry): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']) &gt;= 1">(XeHProblemConcernEntry): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']) &lt;= 1">(XeHProblemConcernEntry): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6') or @nullFlavor]) &gt;= 1">(XeHProblemConcernEntry): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6') or @nullFlavor]) &lt;= 1">(XeHProblemConcernEntry): element hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &gt;= 1">(XeHProblemConcernEntry): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(XeHProblemConcernEntry): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:effectiveTime) &gt;= 1">(XeHProblemConcernEntry): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:effectiveTime) &lt;= 1">(XeHProblemConcernEntry): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]) &gt;= 1">(XeHProblemConcernEntry): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.24
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']
Item: (XeHProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']"
         id="d42e30085-false-d348017e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.24')">(XeHProblemConcernEntry): The value for root SHALL be '2.16.840.1.113883.2.51.10.24'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.24
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:id
Item: (XeHProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:id"
         id="d42e30090-false-d348031e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.24
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6') or @nullFlavor]
Item: (XeHProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:code[(@code = 'CONC' and @codeSystem = '2.16.840.1.113883.5.6') or @nullFlavor]"
         id="d42e30092-false-d348042e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(XeHProblemConcernEntry): The element value SHALL be one of 'code 'CONC' codeSystem '2.16.840.1.113883.5.6''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.24
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (XeHProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e30098-false-d348061e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19890-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(XeHProblemConcernEntry): The element value SHALL be one of '2.16.840.1.113883.1.11.19890 x_ActStatusActiveComplete (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.24
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:effectiveTime
Item: (XeHProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:effectiveTime"
         id="d42e30116-false-d348081e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:low) &gt;= 1">(XeHProblemConcernEntry): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:low) &lt;= 1">(XeHProblemConcernEntry): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="count(hl7:high) &lt;= 1">(XeHProblemConcernEntry): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.24
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:effectiveTime/hl7:low
Item: (XeHProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:effectiveTime/hl7:low"
         id="d42e30118-false-d348106e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(XeHProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.24
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:effectiveTime/hl7:high
Item: (XeHProblemConcernEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:effectiveTime/hl7:high"
         id="d42e30124-false-d348116e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(XeHProblemConcernEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.24
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]
Item: (XeHProblemConcernEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.24']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="string(@typeCode) = ('SUBJ')">(XeHProblemConcernEntry): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.24-2021-09-24T093856.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(XeHProblemConcernEntry): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>
</pattern>
