<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.25
Name: XeH Problem Entry
Description: 
                 This template reflects a discrete observation about a patient's problem. Because it is a discrete observation, it will have a statusCode of "completed". The effectiveTime, also referred to as the “biologically relevant time” is the time at which the observation holds for the patient. For a provider seeing a patient in the clinic today, observing a history of heart attack that occurred five years ago, the effectiveTime is five years ago. 
                 The effectiveTime of the Problem Observation is the definitive indication of whether or not the underlying condition is resolved. If the problem is known to be resolved, then an effectiveTime/high would be present. If the date of resolution is not known, then effectiveTime/high will be present with a nullFlavor of "UNK". 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.25-2021-09-24T094958">
   <title>XeH Problem Entry</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]
Item: (XeHProblemEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]"
         id="d42e30271-false-d348309e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(XeHProblemEntry): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@moodCode) = ('EVN')">(XeHProblemEntry): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']) &gt;= 1">(XeHProblemEntry): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']) &lt;= 1">(XeHProblemEntry): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(XeHProblemEntry): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(XeHProblemEntry): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:text) &lt;= 1">(XeHProblemEntry): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(XeHProblemEntry): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(XeHProblemEntry): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(XeHProblemEntry): element hl7:effectiveTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(XeHProblemEntry): element hl7:effectiveTime[not(@nullFlavor)] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &lt; 1">(XeHProblemEntry): element hl7:value is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &lt;= 1">(XeHProblemEntry): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]) &lt;= 1">(XeHProblemEntry): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]) &lt;= 1">(XeHProblemEntry): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]) &lt;= 1">(XeHProblemEntry): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]) &lt;= 1">(XeHProblemEntry): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']"
         id="d42e30277-false-d348481e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.25')">(XeHProblemEntry): The value for root SHALL be '2.16.840.1.113883.2.51.10.25'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:id
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:id"
         id="d42e30282-false-d348495e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.16-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e30284-false-d348508e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.16-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(XeHProblemEntry): The element value SHALL be one of '2.16.840.1.113883.11.22.16 Problem Type (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:text
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:text"
         id="d42e30298-false-d348528e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(XeHProblemEntry): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(XeHProblemEntry): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e30317-false-d348547e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="@value">(XeHProblemEntry): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:statusCode[@code = 'completed']
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:statusCode[@code = 'completed']"
         id="d42e30327-false-d348562e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="@nullFlavor or (@code='completed')">(XeHProblemEntry): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d42e30338-false-d348578e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:low) &gt;= 1">(XeHProblemEntry): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:low) &lt;= 1">(XeHProblemEntry): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:high) &lt;= 1">(XeHProblemEntry): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low"
         id="d42e30388-false-d348603e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d42e30394-false-d348613e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]"
         id="d42e30408-false-d348632e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(XeHProblemEntry): The element value SHALL be one of '2.16.840.1.113883.11.22.5 CORE Problem List Disorders (DYNAMIC) or 2.16.840.1.113883.11.22.17 Absent or Unknown Problems (DYNAMIC) or 2.16.840.1.113883.3.1937.99.61.67.11.2 International Classification of Diseases for Oncology (DYNAMIC)'.</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:originalText
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:originalText"
         id="d42e30460-false-d348681e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:reference) &lt;= 1">(XeHProblemEntry): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:originalText/hl7:reference
Item: (XeHProblemEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:translation
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:translation"
         id="d42e30487-false-d348703e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:qualifier
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:qualifier"
         id="d42e30493-false-d348713e0">
      <extends rule="CR"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CR')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CR". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:targetSiteCode
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:targetSiteCode"
         id="d42e30496-false-d348723e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProblemEntry): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (XeHProblemEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &gt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &lt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &gt;= 1">(IPSBodyAuthor): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &lt;= 1">(IPSBodyAuthor): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.14')">(IPSBodyAuthor): The value for root SHALL be '2.16.840.1.113883.10.22.4.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time">
      <extends rule="TS.IPS.TZ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="not(*)">(IPSBodyAuthor): <value-of select="local-name()"/> with datatype TS.IPS.TZ, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSBodyAuthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSBodyAuthor): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="$elmcount &lt;= 1">(IPSBodyAuthor): choice (hl7:assignedPerson  or  hl7:assignedAuthoringDevice) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(IPSBodyAuthor): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthoringDevice appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(IPSBodyAuthor): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:code
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(IPSBodyAuthor): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSBodyAuthor): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:name) &gt;= 1">(IPSBodyAuthor): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:family) &gt;= 1">(IPSBodyAuthor): element hl7:family is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:given) &gt;= 1">(IPSBodyAuthor): element hl7:given is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:family
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:given
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(IPSCDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSCDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSCDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(IPSCDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(IPSCDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:name
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant
Item: (XeHProblemEntry)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]
Item: (XeHProblemEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="string(@typeCode) = ('IND')">(XeHPatientContactBody): The value for typeCode SHALL be 'IND'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(XeHPatientContactBody): The value for contextControlCode SHALL be 'OP'. Found: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:time) &lt;= 1">(XeHPatientContactBody): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(XeHPatientContactBody): element hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:participantRole) &gt;= 1">(XeHPatientContactBody): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:participantRole) &lt;= 1">(XeHPatientContactBody): element hl7:participantRole appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:time
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:time">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHPatientContactBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHPatientContactBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(XeHPatientContactBody): The element value SHALL be one of '2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="string(@classCode) = ('ROL') or not(@classCode)">(XeHPatientContactBody): The value for classCode SHALL be 'ROL'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="hl7:id or hl7:playingEntity or hl7:scopingEntity">(XeHPatientContactBody): At least one among the id, playingEntity and scopingEntity has to be provided</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.54-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(XeHPatientContactBody): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.54-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:addr) &gt;= 1">(XeHPatientContactBody): element hl7:addr is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:telecom) &gt;= 1">(XeHPatientContactBody): element hl7:telecom is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:playingEntity) &lt;= 1">(XeHPatientContactBody): element hl7:playingEntity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:scopingEntity) &lt;= 1">(XeHPatientContactBody): element hl7:scopingEntity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:id
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHPatientContactBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.54-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.54-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CV.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(XeHPatientContactBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CV". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.54-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.840.1.113883.11.22.53-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(XeHPatientContactBody): The element value SHALL be one of '2.16.840.1.113883.11.22.54 IPS Personal Relationship (DYNAMIC) or 2.16.840.1.113883.11.22.53 IPS Healthcare Professional Roles (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="not(@use) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.10637-2005-05-01T000000.xml')/*/valueSet/conceptList/concept/@code))])">(XeHPatientContactBody): The value for use SHALL be selected from value set '2.16.840.1.113883.1.11.10637' PostalAddressUse (2005-05-01T00:00:00).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="string(@nullFlavor) = ('NI') or not(@nullFlavor)">(XeHPatientContactBody): The value for nullFlavor SHALL be 'NI'. Found: "<value-of select="@nullFlavor"/>"</assert>
      <extends rule="AD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(XeHPatientContactBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="@nullFlavor or hl7:*">(XeHPatientContactBody): If addr is not nullflavored at least one sub element has to be provided</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:city) &lt;= 1">(XeHPatientContactBody): element hl7:city appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:postalCode) &lt;= 1">(XeHPatientContactBody): element hl7:postalCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:state) &lt;= 1">(XeHPatientContactBody): element hl7:state appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:country) &lt;= 1">(XeHPatientContactBody): element hl7:country appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="@nullFlavor or hl7:*">(XeHPatientContactBody): If addr is not nullflavored at least one sub element has to be provided</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="hl7:streetAddressLine and (hl7:city or hl7:postalCode)">(XeHPatientContactBody): If the address line is included either the city or the zip code has to be provided</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr/hl7:streetAddressLine
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr/hl7:streetAddressLine">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr/hl7:city
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr/hl7:city">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr/hl7:postalCode
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr/hl7:postalCode">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr/hl7:state
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr/hl7:state">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.11
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr/hl7:country
Item: (IPSAddress)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:addr/hl7:country">
      <extends rule="ADXP"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.11-2018-04-04T154136.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ADXP')">(IPSAddress): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ADXP". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:telecom
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHPatientContactBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@use),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="not(@use) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.201-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(XeHPatientContactBody): The value for use SHALL be selected from value set '2.16.840.1.113883.1.11.201' TelecommunicationAddressUse (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="string(@nullFlavor) = ('NI') or not(@nullFlavor)">(XeHPatientContactBody): The value for nullFlavor SHALL be 'NI'. Found: "<value-of select="@nullFlavor"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:playingEntity
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:playingEntity">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(XeHPatientContactBody): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(XeHPatientContactBody): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:playingEntity/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(XeHPatientContactBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:family) &gt;= 1">(XeHPatientContactBody): element hl7:family is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:given) &gt;= 1">(XeHPatientContactBody): element hl7:given is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:playingEntity/hl7:name/hl7:family
Item: (XeHPatientContactBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:playingEntity/hl7:name/hl7:given
Item: (XeHPatientContactBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:scopingEntity
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(XeHPatientContactBody): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(XeHPatientContactBody): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(XeHPatientContactBody): element hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="count(hl7:desc) &lt;= 1">(XeHPatientContactBody): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:scopingEntity/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHPatientContactBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:scopingEntity/hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:scopingEntity/hl7:code[@codeSystem = doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHPatientContactBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem] | completeCodeSystem[@codeSystem=$theCodeSystem]])">(XeHPatientContactBody): The element value SHALL be one of '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.35
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (XeHPatientContactBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:participant[@typeCode = 'IND'][hl7:participantRole]/hl7:participantRole/hl7:scopingEntity/hl7:desc">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.35-2021-10-01T175102.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(XeHPatientContactBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]
Item: (XeHProblemEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@typeCode) = ('SUBJ')">(XeHProblemEntry): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@inversionInd) = ('true')">(XeHProblemEntry): The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]
Item: (XeHProblemEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@typeCode) = ('SUBJ')">(XeHProblemEntry): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@inversionInd) = ('true')">(XeHProblemEntry): The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]
Item: (XeHProblemEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.20']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@typeCode) = ('REFR')">(XeHProblemEntry): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(XeHProblemEntry): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]
Item: (XeHProblemEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@typeCode) = ('REFR')">(XeHProblemEntry): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(XeHProblemEntry): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]
Item: (XeHProblemEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.22']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@typeCode) = ('COMP')">(XeHProblemEntry): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]
Item: (XeHProblemEntry)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.37']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@typeCode) = ('REFR')">(XeHProblemEntry): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@inversionInd) = ('false') or not(@inversionInd)">(XeHProblemEntry): The value for inversionInd SHALL be 'false'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:reference[@typeCode = 'REFR']
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:reference[@typeCode = 'REFR']"
         id="d42e30607-false-d349715e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="string(@typeCode) = ('REFR')">(XeHProblemEntry): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:externalDocument) &lt;= 1">(XeHProblemEntry): element hl7:externalDocument appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:reference[@typeCode = 'REFR']/hl7:externalDocument
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:reference[@typeCode = 'REFR']/hl7:externalDocument"
         id="d42e30620-false-d349733e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:text[hl7:reference]) &lt;= 1">(XeHProblemEntry): element hl7:text[hl7:reference] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:reference[@typeCode = 'REFR']/hl7:externalDocument/hl7:id
Item: (XeHProblemEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:reference[@typeCode = 'REFR']/hl7:externalDocument/hl7:code
Item: (XeHProblemEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:reference[@typeCode = 'REFR']/hl7:externalDocument/hl7:text[hl7:reference]
Item: (XeHProblemEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:reference[@typeCode = 'REFR']/hl7:externalDocument/hl7:text[hl7:reference]"
         id="d42e30634-false-d349771e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:reference) &gt;= 1">(XeHProblemEntry): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.25-2021-09-24T094958.html"
              test="count(hl7:reference) &lt;= 1">(XeHProblemEntry): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.25
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]/hl7:reference[@typeCode = 'REFR']/hl7:externalDocument/hl7:text[hl7:reference]/hl7:reference
Item: (XeHProblemEntry)
-->
</pattern>
