<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.26
Name: XeH Discharge Medications Section
Description: This section contains the medications the patient is intended to take or stop after discharge. Current, active medications must be listed. The section may also include a patient’s prescription history and indicate the source of the medication list.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.26-2021-10-01T081414">
   <title>XeH Discharge Medications Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.26
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]
Item: (XeHDischargeMedicationsSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.26
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]
Item: (XeHDischargeMedicationsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]"
         id="d42e30669-false-d349879e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']) &gt;= 1">(XeHDischargeMedicationsSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']) &lt;= 1">(XeHDischargeMedicationsSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="count(cda:code[(@code = '10183-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHDischargeMedicationsSection): element cda:code[(@code = '10183-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="count(cda:code[(@code = '10183-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHDischargeMedicationsSection): element cda:code[(@code = '10183-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="count(cda:title) &gt;= 1">(XeHDischargeMedicationsSection): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="count(cda:title) &lt;= 1">(XeHDischargeMedicationsSection): element cda:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="count(cda:text) &gt;= 1">(XeHDischargeMedicationsSection): element cda:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="count(cda:text) &lt;= 1">(XeHDischargeMedicationsSection): element cda:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.26
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']
Item: (XeHDischargeMedicationsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']"
         id="d42e30671-false-d349948e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHDischargeMedicationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.26')">(XeHDischargeMedicationsSection): The value for root SHALL be '2.16.840.1.113883.2.51.10.26'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.26
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]/cda:code[(@code = '10183-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHDischargeMedicationsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]/cda:code[(@code = '10183-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e30676-false-d349963e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHDischargeMedicationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="@nullFlavor or (@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1')">(XeHDischargeMedicationsSection): The element value SHALL be one of 'code '10183-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="count(cda:translation[(@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHDischargeMedicationsSection): element cda:translation[(@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.26
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]/cda:code[(@code = '10183-2' and @codeSystem = '2.16.840.1.113883.6.1')]/cda:translation[(@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHDischargeMedicationsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]/cda:code[(@code = '10183-2' and @codeSystem = '2.16.840.1.113883.6.1')]/cda:translation[(@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '75311-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e30680-false-d349987e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="@nullFlavor or (@code='75311-1' and @codeSystem='2.16.840.1.113883.6.1')">(XeHDischargeMedicationsSection): The element value SHALL be one of 'code '75311-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="string(@code) = ('75311-1')">(XeHDischargeMedicationsSection): The value for code SHALL be '75311-1'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(XeHDischargeMedicationsSection): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.26
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]/cda:title
Item: (XeHDischargeMedicationsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]/cda:title"
         id="d42e30690-false-d350007e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHDischargeMedicationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.26
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]/cda:text
Item: (XeHDischargeMedicationsSection)
-->

   <rule fpi="RULC-1"
         context="*[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]/cda:text"
         id="d42e30692-false-d350017e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.26-2021-10-01T081414.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHDischargeMedicationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.26
Context: *[cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]]/cda:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.26']]/cda:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.4']]]
Item: (XeHDischargeMedicationsSection)
--></pattern>
