<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.27
Name: XeH Admission / Discharge Diagnosis
Description: 
                 This template reflects a discrete observation about a patient's problem. Because it is a discrete observation, it will have a statusCode of "completed". The effectiveTime, also referred to as the “biologically relevant time” is the time at which the observation holds for the patient. For a provider seeing a patient in the clinic today, observing a history of heart attack that occurred five years ago, the effectiveTime is five years ago. 
                 The effectiveTime of the Problem Observation is the definitive indication of whether or not the underlying condition is resolved. If the problem is known to be resolved, then an effectiveTime/high would be present. If the date of resolution is not known, then effectiveTime/high will be present with a nullFlavor of "UNK". 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.27-2021-10-01T082028">
   <title>XeH Admission / Discharge Diagnosis</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]"
         id="d42e30825-false-d350109e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(XeHAdmissionDischargeDiagnosis): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="string(@moodCode) = ('EVN')">(XeHAdmissionDischargeDiagnosis): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27']) &gt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27']) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']) &gt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:code[(@code = '8646-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:code[(@code = '8646-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:code[(@code = '8646-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:code[(@code = '8646-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:text) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:effectiveTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:effectiveTime[not(@nullFlavor)] appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &lt; 1">(XeHAdmissionDischargeDiagnosis): element hl7:value is coded with binding strength 'preferred' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27']
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27']"
         id="d42e30831-false-d350223e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.27')">(XeHAdmissionDischargeDiagnosis): The value for root SHALL be '2.16.840.1.113883.2.51.10.27'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']"
         id="d42e30836-false-d350238e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.61.67.10.21')">(XeHAdmissionDischargeDiagnosis): The value for root SHALL be '2.16.840.1.113883.3.1937.99.61.67.10.21'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:id
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:id"
         id="d42e30841-false-d350252e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:code[(@code = '8646-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:code[(@code = '8646-2' and @codeSystem = '2.16.840.1.113883.6.1') or (@code = '8651-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e30844-false-d350263e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="@nullFlavor or (@code='8646-2' and @codeSystem='2.16.840.1.113883.6.1') or (@code='8651-2' and @codeSystem='2.16.840.1.113883.6.1')">(XeHAdmissionDischargeDiagnosis): The element value SHALL be one of 'code '8646-2' codeSystem '2.16.840.1.113883.6.1' or code '8651-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:text
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:text"
         id="d42e30859-false-d350281e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e30878-false-d350300e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="@value">(XeHAdmissionDischargeDiagnosis): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:statusCode[@code = 'completed']
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:statusCode[@code = 'completed']"
         id="d42e30888-false-d350315e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="@nullFlavor or (@code='completed')">(XeHAdmissionDischargeDiagnosis): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d42e30899-false-d350331e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:low) &gt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:low) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:high) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low"
         id="d42e30949-false-d350356e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d42e30955-false-d350366e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVXB_TS')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVXB_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]"
         id="d42e30969-false-d350385e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(XeHAdmissionDischargeDiagnosis): The element value SHALL be one of '2.16.840.1.113883.11.22.5 CORE Problem List Disorders (DYNAMIC) or 2.16.840.1.113883.11.22.17 Absent or Unknown Problems (DYNAMIC) or 2.16.840.1.113883.3.1937.99.61.67.11.2 International Classification of Diseases for Oncology (DYNAMIC)'.</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:originalText
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:originalText"
         id="d42e31021-false-d350434e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="count(hl7:reference) &lt;= 1">(XeHAdmissionDischargeDiagnosis): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:originalText/hl7:reference
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:translation
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:translation"
         id="d42e31048-false-d350456e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:qualifier
Item: (XeHAdmissionDischargeDiagnosis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.11.22.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @codeSystem = doc('include/voc-2.16.840.1.113883.3.1937.99.61.67.11.2-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem]/hl7:qualifier"
         id="d42e31054-false-d350466e0">
      <extends rule="CR"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CR')">(XeHAdmissionDischargeDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CR". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]
Item: (XeHAdmissionDischargeDiagnosis)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.25']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="string(@typeCode) = ('SUBJ')">(XeHAdmissionDischargeDiagnosis): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="string(@inversionInd) = ('true')">(XeHAdmissionDischargeDiagnosis): The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]
Item: (XeHAdmissionDischargeDiagnosis)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.19']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="string(@typeCode) = ('SUBJ')">(XeHAdmissionDischargeDiagnosis): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="string(@inversionInd) = ('true')">(XeHAdmissionDischargeDiagnosis): The value for inversionInd SHALL be 'true'. Found: "<value-of select="@inversionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.27
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]
Item: (XeHAdmissionDischargeDiagnosis)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.27'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.67.10.21']]/hl7:entryRelationship[cda:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.51']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.27-2021-10-01T082028.html"
              test="string(@typeCode) = ('REFR')">(XeHAdmissionDischargeDiagnosis): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
