<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.32
Name: XeH Problem Status Trend
Description: This subordinated observation used by the problem observation records information about how patient's given disease, condition, or ability is trending.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.32-2021-10-01T093642">
   <title>XeH Problem Status Trend</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]
Item: (XeHProblemStatusTrend)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]
Item: (XeHProblemStatusTrend)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]"
         id="d42e31447-false-d351270e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(XeHProblemStatusTrend): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(XeHProblemStatusTrend): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']) &gt;= 1">(XeHProblemStatusTrend): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']) &lt;= 1">(XeHProblemStatusTrend): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="count(hl7:code[(@code = '89253-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(XeHProblemStatusTrend): element hl7:code[(@code = '89253-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="count(hl7:code[(@code = '89253-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(XeHProblemStatusTrend): element hl7:code[(@code = '89253-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="count(hl7:text) &lt;= 1">(XeHProblemStatusTrend): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(XeHProblemStatusTrend): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(XeHProblemStatusTrend): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.51.13.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(XeHProblemStatusTrend): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.51.13.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.51.13.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(XeHProblemStatusTrend): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.51.13.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']
Item: (XeHProblemStatusTrend)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']"
         id="d42e31453-false-d351331e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHProblemStatusTrend): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.32')">(XeHProblemStatusTrend): The value for root SHALL be '2.16.840.1.113883.2.51.10.32'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:code[(@code = '89253-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (XeHProblemStatusTrend)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:code[(@code = '89253-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e31458-false-d351346e0">
      <extends rule="CD.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProblemStatusTrend): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="@nullFlavor or (@code='89253-9' and @codeSystem='2.16.840.1.113883.6.1')">(XeHProblemStatusTrend): The element value SHALL be one of 'code '89253-9' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:text
Item: (XeHProblemStatusTrend)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:text"
         id="d42e31469-false-d351362e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(XeHProblemStatusTrend): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(XeHProblemStatusTrend): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(XeHProblemStatusTrend): element hl7:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (XeHProblemStatusTrend)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e31477-false-d351381e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(XeHProblemStatusTrend): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="@value">(XeHProblemStatusTrend): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:statusCode[@code = 'completed']
Item: (XeHProblemStatusTrend)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:statusCode[@code = 'completed']"
         id="d42e31488-false-d351396e0">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(XeHProblemStatusTrend): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="@nullFlavor or (@code='completed')">(XeHProblemStatusTrend): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.32
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.51.13.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHProblemStatusTrend)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.32']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.51.13.1.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e31499-false-d351415e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHProblemStatusTrend): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.32-2021-10-01T093642.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.51.13.1.12-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(XeHProblemStatusTrend): The element value SHALL be one of '2.16.840.1.113883.2.51.13.1.12 XeH Problem Status Trend (DYNAMIC)'.</assert>
   </rule>
</pattern>
