<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.63
Name: XeH Imaging Procedure Description
Description: The Imaging Procedure Description section records the technical details of the procedure and may include information about protocol, imaging device, contrast, radiation dose, medications administered (sedation, stress agents), etc.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.63-2022-03-21T160800">
   <title>XeH Imaging Procedure Description</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]"
         id="d42e37515-false-d405396e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]"
         id="d42e37551-false-d405583e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']) &gt;= 1">(XeHImagingProcedureDescription): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']) &lt;= 1">(XeHImagingProcedureDescription): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:id) &gt;= 1">(XeHImagingProcedureDescription): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:id) &lt;= 1">(XeHImagingProcedureDescription): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:title) &gt;= 1">(XeHImagingProcedureDescription): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:title) &lt;= 1">(XeHImagingProcedureDescription): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:text) &lt;= 1">(XeHImagingProcedureDescription): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:entry[hl7:procedure]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:entry[hl7:procedure] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:entry[hl7:procedure]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:entry[hl7:procedure] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:component[hl7:section]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:component[hl7:section] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:component[hl7:section] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']"
         id="d42e37553-false-d405757e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.63')">(XeHImagingProcedureDescription): The value for root SHALL be '2.16.840.1.113883.2.51.10.63'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:id
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:id"
         id="d42e37558-false-d405771e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:code[(@code = '55111-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e37560-false-d405782e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="@nullFlavor or (@code='55111-9' and @codeSystem='2.16.840.1.113883.6.1')">(XeHImagingProcedureDescription): The element value SHALL be one of 'code '55111-9' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:title
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:title"
         id="d42e37565-false-d405798e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:text
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:text"
         id="d42e37567-false-d405808e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHImagingProcedureDescription): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:procedure]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:procedure]"
         id="d42e37574-false-d405821e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:procedure[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:procedure[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:procedure[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:procedure[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:procedure]/hl7:procedure[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]
Item: (XeHImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:observation]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:observation]"
         id="d42e37579-false-d405860e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.15']]]
Item: (XeHImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry
Item: (XeHImagingProcedureDescription)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:entry/hl7:substanceAdministration[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.40']]]
Item: (XeHImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]"
         id="d42e37589-false-d406014e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]
Item: (XeHImagingProcedureDescription)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.80
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]
Item: (XeHComplicationsSectionV3)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.80
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]
Item: (XeHComplicationsSectionV3)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37']) &gt;= 1">(XeHComplicationsSectionV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37']) &lt;= 1">(XeHComplicationsSectionV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']) &gt;= 1">(XeHComplicationsSectionV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="count(cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']) &lt;= 1">(XeHComplicationsSectionV3): element cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="count(cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHComplicationsSectionV3): element cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="count(cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHComplicationsSectionV3): element cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="count(cda:title) &gt;= 1">(XeHComplicationsSectionV3): element cda:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="count(cda:title) &lt;= 1">(XeHComplicationsSectionV3): element cda:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="count(cda:text) &gt;= 1">(XeHComplicationsSectionV3): element cda:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="count(cda:text) &lt;= 1">(XeHComplicationsSectionV3): element cda:text appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.80
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37']
Item: (XeHComplicationsSectionV3)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHComplicationsSectionV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.2.37')">(XeHComplicationsSectionV3): The value for root SHALL be '2.16.840.1.113883.10.20.22.2.37'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.80
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']
Item: (XeHComplicationsSectionV3)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHComplicationsSectionV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.22.2.37')">(XeHComplicationsSectionV3): The value for root SHALL be '2.16.840.1.113883.10.20.22.2.37'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="string(@extension) = ('2015-08-01')">(XeHComplicationsSectionV3): The value for extension SHALL be '2015-08-01'. Found: "<value-of select="@extension"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="not(@extension) or string-length(@extension)&gt;0">(XeHComplicationsSectionV3): Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.80
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHComplicationsSectionV3)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHComplicationsSectionV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="@nullFlavor or (@code='55109-3' and @codeSystem='2.16.840.1.113883.6.1')">(XeHComplicationsSectionV3): The element value SHALL be one of 'code '55109-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.80
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:title
Item: (XeHComplicationsSectionV3)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:title">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHComplicationsSectionV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.80
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:text
Item: (XeHComplicationsSectionV3)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:text">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.80-2022-06-24T112043.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHComplicationsSectionV3): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.80
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]]/cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'] and cda:templateId[@root = '2.16.840.1.113883.10.20.22.2.37'][@extension = '2015-08-01']]/cda:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.25']]]
Item: (XeHComplicationsSectionV3)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]"
         id="d42e37594-false-d406422e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:section[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:section[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]
Item: (XeHImagingProcedureDescription)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]
Item: (XeHImagingProcedureDescription)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]"
         id="d42e37599-false-d406509e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]) &gt;= 1">(XeHImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.63-2022-03-21T160800.html"
              test="count(hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]) &lt;= 1">(XeHImagingProcedureDescription): element hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.63']]/hl7:component[hl7:section]/hl7:section[cda:section[cda:templateId[@root = '2.16.840.1.113883.10.20.6.1.1']]]
Item: (XeHImagingProcedureDescription)
--></pattern>
