<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.65
Name: XeH Immunizations Section
Description: The Immunizations Section defines a patient's current immunization status and pertinent immunization history.  The primary use case for the Immunization Section is to enable communication of a patient's immunization status.  The section includes current immunization status, and may contain the entire immunization history that is relevant to the period of time being summarized. The optional author and informant elements are used when necessary to convey the provenance and authoring of the section content in
                case it is different from what is announced in the CDA header. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.65-2022-05-06T093410">
   <title>XeH Immunizations Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]
Item: (XeHImmunizationsSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]
Item: (XeHImmunizationsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]"
         id="d42e37781-false-d408241e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(XeHImmunizationsSection): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']) &gt;= 1">(XeHImmunizationsSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']) &lt;= 1">(XeHImmunizationsSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="count(hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHImmunizationsSection): element hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="count(hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHImmunizationsSection): element hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(XeHImmunizationsSection): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(XeHImmunizationsSection): element hl7:title[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(XeHImmunizationsSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(XeHImmunizationsSection): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="count(hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.64']]]) &gt;= 1">(XeHImmunizationsSection): element hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.64']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']
Item: (XeHImmunizationsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']"
         id="d42e37785-false-d408392e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHImmunizationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.65')">(XeHImmunizationsSection): The value for root SHALL be '2.16.840.1.113883.2.51.10.65'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:id
Item: (XeHImmunizationsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:id"
         id="d42e37790-false-d408406e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHImmunizationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHImmunizationsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e37792-false-d408417e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHImmunizationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="@nullFlavor or (@code='11369-6' and @codeSystem='2.16.840.1.113883.6.1')">(XeHImmunizationsSection): The element value SHALL be one of 'code '11369-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:title[not(@nullFlavor)]
Item: (XeHImmunizationsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:title[not(@nullFlavor)]"
         id="d42e37797-false-d408433e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHImmunizationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:text[not(@nullFlavor)]
Item: (XeHImmunizationsSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:text[not(@nullFlavor)]"
         id="d42e37800-false-d408443e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHImmunizationsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (XeHImmunizationsSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &gt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']) &lt;= 1">(IPSBodyAuthor): element hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &gt;= 1">(IPSBodyAuthor): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:time) &lt;= 1">(IPSBodyAuthor): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &gt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthor[not(@nullFlavor)]) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.10.22.4.14')">(IPSBodyAuthor): The value for root SHALL be '2.16.840.1.113883.10.22.4.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:time">
      <extends rule="TS.IPS.TZ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="not(*)">(IPSBodyAuthor): <value-of select="local-name()"/> with datatype TS.IPS.TZ, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:id) &gt;= 1">(IPSBodyAuthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSBodyAuthor): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="$elmcount &lt;= 1">(IPSBodyAuthor): choice (hl7:assignedPerson  or  hl7:assignedAuthoringDevice) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(IPSBodyAuthor): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:assignedAuthoringDevice) &lt;= 1">(IPSBodyAuthor): element hl7:assignedAuthoringDevice appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(IPSBodyAuthor): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:code
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(IPSBodyAuthor): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSBodyAuthor): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:name) &gt;= 1">(IPSBodyAuthor): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:family) &gt;= 1">(IPSBodyAuthor): element hl7:family is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="count(hl7:given) &gt;= 1">(IPSBodyAuthor): element hl7:given is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:family
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedPerson/hl7:name/hl7:given
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(IPSCDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(IPSCDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:code) &lt;= 1">(IPSCDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(IPSCDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(IPSCDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:code">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.9.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (IPSCDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:assignedAuthoringDevice/hl7:softwareName">
      <extends rule="SC"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.9.2-2017-04-12T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SC')">(IPSCDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:name
Item: (IPSBodyAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.4.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr
Item: (IPSBodyAuthor)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:author[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.14']]/hl7:assignedAuthor[not(@nullFlavor)]/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.4.14-2017-03-02T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(IPSBodyAuthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant
Item: (XeHImmunizationsSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.319
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant
Item: (CDAinformantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.319-2005-09-07T000000.html"
              test="string(@typeCode) = ('INF') or not(@typeCode)">(CDAinformantBody): The value for typeCode SHALL be 'INF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.319-2005-09-07T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(CDAinformantBody): The value for contextControlCode SHALL be 'OP'. Found: "<value-of select="@contextControlCode"/>"</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity | hl7:relatedEntity[@classCode])"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.319-2005-09-07T000000.html"
              test="$elmcount &gt;= 1">(CDAinformantBody): choice (hl7:assignedEntity  or  hl7:relatedEntity[@classCode]) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.319-2005-09-07T000000.html"
              test="$elmcount &lt;= 1">(CDAinformantBody): choice (hl7:assignedEntity  or  hl7:relatedEntity[@classCode]) contains too many elements [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.319
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity
Item: (CDAinformantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(CDAAssignedEntity): The value for classCode SHALL be 'ASSIGNED'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:id) &gt;= 1">(CDAAssignedEntity): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAAssignedEntity): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(CDAAssignedEntity): element hl7:assignedPerson appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(CDAAssignedEntity): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:code">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(CDAAssignedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(CDAPerson): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPerson): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(CDAOrganization): The value for classCode SHALL be 'ORG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAOrganization): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode) &lt;= 1">(CDAOrganization): element hl7:standardIndustryClassCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf) &lt;= 1">(CDAOrganization): element hl7:asOrganizationPartOf appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:name">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode) = ('PART') or not(@classCode)">(CDAOrganization): The value for classCode SHALL be 'PART'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAOrganization): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(CDAOrganization): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(CDAOrganization): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization) &lt;= 1">(CDAOrganization): element hl7:wholeOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): The element value SHALL be one of '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(CDAOrganization): The value for classCode SHALL be 'ORG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAOrganization): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode) &lt;= 1">(CDAOrganization): element hl7:standardIndustryClassCode appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name">
      <extends rule="ON"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ON')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.319
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]
Item: (CDAinformantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]
Item: (CDARelatedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="@classCode">(CDARelatedEntity): attribute @classCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="not(@classCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19316-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CDARelatedEntity): The value for classCode SHALL be selected from value set '2.16.840.1.113883.1.11.19316' RoleClassMutualRelationship (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(CDARelatedEntity): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(CDARelatedEntity): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="count(hl7:relatedPerson) &lt;= 1">(CDARelatedEntity): element hl7:relatedPerson appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDARelatedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(CDARelatedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CDARelatedEntity): The element value SHALL be one of '2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:addr
Item: (CDARelatedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'AD')">(CDARelatedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:telecom
Item: (CDARelatedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(CDARelatedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:effectiveTime
Item: (CDARelatedEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:effectiveTime">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(CDARelatedEntity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:relatedPerson
Item: (CDARelatedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:relatedPerson
Item: (CDAPerson)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:relatedPerson">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(CDAPerson): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPerson): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:relatedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:informant/hl7:relatedEntity[@classCode]/hl7:relatedPerson/hl7:name">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.64']]]
Item: (XeHImmunizationsSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.64']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="@typeCode">(XeHImmunizationsSection): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(XeHImmunizationsSection): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.65-2022-05-06T093410.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(XeHImmunizationsSection): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.65
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]
Item: (XeHImmunizationsSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.3.15
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]
Item: (IPSTranslationSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.3.15
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]/hl7:section[hl7:languageCode]
Item: (IPSTranslationSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]/hl7:section[hl7:languageCode]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.3.15-2021-09-02T120441.html"
              test="count(hl7:title) &gt;= 1">(IPSTranslationSection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.3.15-2021-09-02T120441.html"
              test="count(hl7:title) &lt;= 1">(IPSTranslationSection): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.3.15-2021-09-02T120441.html"
              test="count(hl7:text) &gt;= 1">(IPSTranslationSection): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.3.15-2021-09-02T120441.html"
              test="count(hl7:text) &lt;= 1">(IPSTranslationSection): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.3.15-2021-09-02T120441.html"
              test="count(hl7:languageCode) &gt;= 1">(IPSTranslationSection): element hl7:languageCode is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.3.15-2021-09-02T120441.html"
              test="count(hl7:languageCode) &lt;= 1">(IPSTranslationSection): element hl7:languageCode appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.3.15
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]/hl7:section[hl7:languageCode]/hl7:id
Item: (IPSTranslationSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]/hl7:section[hl7:languageCode]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.3.15-2021-09-02T120441.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(IPSTranslationSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.3.15
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]/hl7:section[hl7:languageCode]/hl7:title
Item: (IPSTranslationSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]/hl7:section[hl7:languageCode]/hl7:title">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.3.15-2021-09-02T120441.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(IPSTranslationSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.3.15
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]/hl7:section[hl7:languageCode]/hl7:text
Item: (IPSTranslationSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]/hl7:section[hl7:languageCode]/hl7:text">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.3.15-2021-09-02T120441.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(IPSTranslationSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.22.3.15
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]/hl7:section[hl7:languageCode]/hl7:languageCode
Item: (IPSTranslationSection)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.65']]/hl7:component[hl7:section]/hl7:section[hl7:languageCode]/hl7:languageCode">
      <extends rule="CS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.10.22.3.15-2021-09-02T120441.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(IPSTranslationSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
