<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.67
Name: XeH Foreign Travel Section
Description: The foreign travel section contains only narrative text describing the patient's travel history.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.67-2022-05-06T101331">
   <title>XeH Foreign Travel Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.67
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]]
Item: (XeHForeignTravelSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.67
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]
Item: (XeHForeignTravelSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]"
         id="d42e37887-false-d409945e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']) &gt;= 1">(XeHForeignTravelSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']) &lt;= 1">(XeHForeignTravelSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(XeHForeignTravelSection): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(XeHForeignTravelSection): element hl7:id[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="count(hl7:code[(@code = '10182-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHForeignTravelSection): element hl7:code[(@code = '10182-4' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="count(hl7:code[(@code = '10182-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHForeignTravelSection): element hl7:code[(@code = '10182-4' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(XeHForeignTravelSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(XeHForeignTravelSection): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.67
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']
Item: (XeHForeignTravelSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']"
         id="d42e37889-false-d409988e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHForeignTravelSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.67')">(XeHForeignTravelSection): The value for root SHALL be '2.16.840.1.113883.2.51.10.67'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.67
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]/hl7:id[not(@nullFlavor)]
Item: (XeHForeignTravelSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]/hl7:id[not(@nullFlavor)]"
         id="d42e37894-false-d410002e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHForeignTravelSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.67
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]/hl7:code[(@code = '10182-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHForeignTravelSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]/hl7:code[(@code = '10182-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e37896-false-d410013e0">
      <extends rule="CE.IPS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHForeignTravelSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="@nullFlavor or (@code='10182-4' and @codeSystem='2.16.840.1.113883.6.1')">(XeHForeignTravelSection): The element value SHALL be one of 'code '10182-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="@displayName">(XeHForeignTravelSection): attribute @displayName SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(XeHForeignTravelSection): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.67
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]/hl7:text[not(@nullFlavor)]
Item: (XeHForeignTravelSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.67']]/hl7:text[not(@nullFlavor)]"
         id="d42e37903-false-d410034e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.67-2022-05-06T101331.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHForeignTravelSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
