<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.75
Name: XeH Procedure Technique
Description: The Procedure Technique entry allows the encoding of various parameters of the image acquisition. Other details may be found in other entries (e.g., procedural medication). 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.75-2022-06-10T100820">
   <title>XeH Procedure Technique</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]"
         id="d42e38922-false-d413148e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]) &gt;= 1">(XeHProcedureTechnique): element hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]) &lt;= 1">(XeHProcedureTechnique): element hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]"
         id="d42e38960-false-d413165e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="string(@moodCode) = ('EVN')">(XeHProcedureTechnique): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="string(@classCode) = ('PROC')">(XeHProcedureTechnique): The value for classCode SHALL be 'PROC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']) &gt;= 1">(XeHProcedureTechnique): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']) &lt;= 1">(XeHProcedureTechnique): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:id) &gt;= 1">(XeHProcedureTechnique): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:id) &lt;= 1">(XeHProcedureTechnique): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:code) &gt;= 1">(XeHProcedureTechnique): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:code) &lt;= 1">(XeHProcedureTechnique): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:text) &lt;= 1">(XeHProcedureTechnique): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:effectiveTime) &lt;= 1">(XeHProcedureTechnique): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:methodCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(XeHProcedureTechnique): element hl7:methodCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]) &lt;= 1">(XeHProcedureTechnique): element hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']"
         id="d42e38966-false-d413242e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.75')">(XeHProcedureTechnique): The value for root SHALL be '2.16.840.1.113883.2.51.10.75'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:id
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:id"
         id="d42e38971-false-d413256e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:code
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:code"
         id="d42e38973-false-d413266e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:text
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:text"
         id="d42e38982-false-d413276e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:reference) &gt;= 1">(XeHProcedureTechnique): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:reference) &lt;= 1">(XeHProcedureTechnique): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:text/hl7:reference
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:text/hl7:reference"
         id="d42e38992-false-d413292e0">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(XeHProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:effectiveTime
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:effectiveTime"
         id="d42e38995-false-d413302e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(XeHProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:methodCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:methodCode[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e38997-false-d413315e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.19-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(XeHProcedureTechnique): The element value SHALL be one of '1.2.840.10008.6.1.19 AcquisitionModality (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:methodCode
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:methodCode"
         id="d42e39002-false-d413335e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:targetSiteCode
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:targetSiteCode"
         id="d42e39010-false-d413345e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(XeHProcedureTechnique): element hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]"
         id="d42e39027-false-d413368e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:name) &gt;= 1">(XeHProcedureTechnique): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:name) &lt;= 1">(XeHProcedureTechnique): element hl7:name appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(XeHProcedureTechnique): element hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(XeHProcedureTechnique): element hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name"
         id="d42e39029-false-d413395e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:targetSiteCode/hl7:qualifier[hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[@codeSystem = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e39037-false-d413408e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.37-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem] | completeCodeSystem[@codeSystem=$theCodeSystem]])">(XeHProcedureTechnique): The element value SHALL be one of '1.2.840.10008.6.1.37 Laterality (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]"
         id="d42e39044-false-d413428e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="string(@typeCode) = ('LOC')">(XeHProcedureTechnique): The value for typeCode SHALL be 'LOC'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]) &gt;= 1">(XeHProcedureTechnique): element hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]) &lt;= 1">(XeHProcedureTechnique): element hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]"
         id="d42e39063-false-d413448e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="string(@classCode) = ('SDLOC')">(XeHProcedureTechnique): The value for classCode SHALL be 'SDLOC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:scopingEntity) &gt;= 1">(XeHProcedureTechnique): element hl7:scopingEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:scopingEntity) &lt;= 1">(XeHProcedureTechnique): element hl7:scopingEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity"
         id="d42e39067-false-d413468e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:desc) &gt;= 1">(XeHProcedureTechnique): element hl7:desc is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="count(hl7:desc) &lt;= 1">(XeHProcedureTechnique): element hl7:desc appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.75
Context: *[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity/hl7:desc
Item: (XeHProcedureTechnique)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.75']]/hl7:participation[@typeCode = 'LOC'][hl7:participantRole[@classCode = 'SDLOC']]/hl7:participantRole[@classCode = 'SDLOC'][hl7:scopingEntity]/hl7:scopingEntity/hl7:desc"
         id="d42e39069-false-d413484e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.75-2022-06-10T100820.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHProcedureTechnique): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
