<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.83
Name: XeH Hospital Course Section
Description: The hospital course section shall contain a narrative description of the sequence of events from admission to discharge in a hospital facility.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.83-2022-06-24T152900">
   <title>XeH Hospital Course Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.83
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]]
Item: (XeHHospitalCourseSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.83
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]
Item: (XeHHospitalCourseSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]"
         id="d42e39924-false-d417081e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']) &gt;= 1">(XeHHospitalCourseSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']) &lt;= 1">(XeHHospitalCourseSection): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(XeHHospitalCourseSection): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(XeHHospitalCourseSection): element hl7:id[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="count(hl7:code[(@code = '8648-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(XeHHospitalCourseSection): element hl7:code[(@code = '8648-8' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="count(hl7:code[(@code = '8648-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(XeHHospitalCourseSection): element hl7:code[(@code = '8648-8' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(XeHHospitalCourseSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(XeHHospitalCourseSection): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.83
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']
Item: (XeHHospitalCourseSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']"
         id="d42e39926-false-d417124e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHHospitalCourseSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.83')">(XeHHospitalCourseSection): The value for root SHALL be '2.16.840.1.113883.2.51.10.83'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.83
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]/hl7:id[not(@nullFlavor)]
Item: (XeHHospitalCourseSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]/hl7:id[not(@nullFlavor)]"
         id="d42e39931-false-d417138e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHHospitalCourseSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.83
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]/hl7:code[(@code = '8648-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (XeHHospitalCourseSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]/hl7:code[(@code = '8648-8' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e39933-false-d417149e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHHospitalCourseSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="@nullFlavor or (@code='8648-8' and @codeSystem='2.16.840.1.113883.6.1')">(XeHHospitalCourseSection): The element value SHALL be one of 'code '8648-8' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.83
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]/hl7:text[not(@nullFlavor)]
Item: (XeHHospitalCourseSection)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.83']]/hl7:text[not(@nullFlavor)]"
         id="d42e39938-false-d417165e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.83-2022-06-24T152900.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(XeHHospitalCourseSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
