<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.85
Name: XeH Impression
Description: The most important diagnoses or other clinical conclusions that can be made from the imaging observations and other clinical information are recorded here. This section may include recommendations for additional imaging tests or other actions, as well as global assessments, such as BI-RADS Categories or the equivalent.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.85-2022-07-15T095605">
   <title>XeH Impression</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]
Item: (XeHImpression)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]"
         id="d42e40141-false-d417664e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]) &gt;= 1">(XeHImpression): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]) &lt;= 1">(XeHImpression): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]
Item: (XeHImpression)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]"
         id="d42e40173-false-d417735e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']) &gt;= 1">(XeHImpression): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']) &lt;= 1">(XeHImpression): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:id) &gt;= 1">(XeHImpression): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:code[(@code = '19005-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(XeHImpression): element hl7:code[(@code = '19005-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:code[(@code = '19005-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(XeHImpression): element hl7:code[(@code = '19005-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:title) &gt;= 1">(XeHImpression): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:title) &lt;= 1">(XeHImpression): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:text) &gt;= 1">(XeHImpression): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:text) &lt;= 1">(XeHImpression): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(XeHImpression): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(XeHImpression): element hl7:component[hl7:section] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']
Item: (XeHImpression)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']"
         id="d42e40228-false-d417830e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHImpression): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.85')">(XeHImpression): The value for root SHALL be '2.16.840.1.113883.2.51.10.85'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:id
Item: (XeHImpression)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:id"
         id="d42e40233-false-d417844e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHImpression): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:code[(@code = '19005-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (XeHImpression)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:code[(@code = '19005-8' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e40235-false-d417855e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHImpression): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="@nullFlavor or (@code='19005-8' and @codeSystem='2.16.840.1.113883.6.1')">(XeHImpression): The element value SHALL be one of 'code '19005-8' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:title
Item: (XeHImpression)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:title"
         id="d42e40240-false-d417871e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHImpression): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:text
Item: (XeHImpression)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:text"
         id="d42e40243-false-d417881e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(XeHImpression): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:entry
Item: (XeHImpression)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:entry"
         id="d42e40245-false-d417904e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &gt;= 1">(XeHImpression): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &lt;= 1">(XeHImpression): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:entry/hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]
Item: (XeHImpression)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:component[hl7:section]
Item: (XeHImpression)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:component[hl7:section]"
         id="d42e40250-false-d417960e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]) &gt;= 1">(XeHImpression): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]) &lt;= 1">(XeHImpression): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.11']]]
Item: (XeHImpression)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:component[hl7:section]
Item: (XeHImpression)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:component[hl7:section]"
         id="d42e40255-false-d418005e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]) &gt;= 1">(XeHImpression): element hl7:section[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]) &lt;= 1">(XeHImpression): element hl7:section[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.4.1.2.14']]]
Item: (XeHImpression)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:component[hl7:section]
Item: (XeHImpression)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:component[hl7:section]"
         id="d42e40260-false-d418056e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]) &gt;= 1">(XeHImpression): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.85-2022-07-15T095605.html"
              test="count(hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]) &lt;= 1">(XeHImpression): element hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.85
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.85']]/hl7:component[hl7:section]/hl7:section[hl7:section[hl7:templateId[@root = '1.2.840.10008.9.12']]]
Item: (XeHImpression)
--></pattern>
