<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.51.10.81
Name: XeH Radiation Exposure and Protection Information
Description: Contains information related to the radiation exposure and protection of the patient, as may be required by national or local legal requirements or standards. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.51.10.81-2022-06-24T112415">
   <title>XeH Radiation Exposure and Protection Information</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]"
         id="d42e39598-false-d413544e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]) &gt;= 1">(XeHRadiationExposure): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]) &lt;= 1">(XeHRadiationExposure): element hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]"
         id="d42e39611-false-d413643e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']) &gt;= 1">(XeHRadiationExposure): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']) &lt;= 1">(XeHRadiationExposure): element hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:code[(@code = '73569-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(XeHRadiationExposure): element hl7:code[(@code = '73569-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:code[(@code = '73569-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(XeHRadiationExposure): element hl7:code[(@code = '73569-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:id) &gt;= 1">(XeHRadiationExposure): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:id) &lt;= 1">(XeHRadiationExposure): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:title) &gt;= 1">(XeHRadiationExposure): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:title) &lt;= 1">(XeHRadiationExposure): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:text) &lt;= 1">(XeHRadiationExposure): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]) &lt;= 1">(XeHRadiationExposure): element hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:entry[hl7:observation]) &gt;= 1">(XeHRadiationExposure): element hl7:entry[hl7:observation] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(XeHRadiationExposure): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:entry[hl7:observation]) &lt;= 1">(XeHRadiationExposure): element hl7:entry[hl7:observation] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:entry) &lt;= 1">(XeHRadiationExposure): element hl7:entry appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']"
         id="d42e39613-false-d413770e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="string(@root) = ('2.16.840.1.113883.2.51.10.81')">(XeHRadiationExposure): The value for root SHALL be '2.16.840.1.113883.2.51.10.81'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:code[(@code = '73569-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:code[(@code = '73569-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e39618-false-d413785e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="@nullFlavor or (@code='73569-6' and @codeSystem='2.16.840.1.113883.6.1')">(XeHRadiationExposure): The element value SHALL be one of 'code '73569-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:id
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:id"
         id="d42e39623-false-d413801e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:title
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:title"
         id="d42e39625-false-d413811e0">
      <extends rule="ST"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:text
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:text"
         id="d42e39627-false-d413821e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]"
         id="d42e39634-false-d413832e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(XeHRadiationExposure): element hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(XeHRadiationExposure): element hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]"
         id="d42e39662-false-d413850e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="string(@moodCode) = ('EVN')">(XeHRadiationExposure): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="string(@classCode) = ('PROC')">(XeHRadiationExposure): The value for classCode SHALL be 'PROC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(XeHRadiationExposure): element hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(XeHRadiationExposure): element hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:participant[@typeCode = 'RESP']) &gt;= 1">(XeHRadiationExposure): element hl7:participant[@typeCode = 'RESP'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:participant[@typeCode = 'RESP']) &lt;= 1">(XeHRadiationExposure): element hl7:participant[@typeCode = 'RESP'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(XeHRadiationExposure): element hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(XeHRadiationExposure): element hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]"
         id="d42e39668-false-d413893e0">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="@nullFlavor or (@code='121290' and @codeSystem='1.2.840.10008.2.16.4')">(XeHRadiationExposure): The element value SHALL be one of 'code '121290' codeSystem '1.2.840.10008.2.16.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'RESP']
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participant[@typeCode = 'RESP']"
         id="d42e39678-false-d413909e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="string(@typeCode) = ('RESP')">(XeHRadiationExposure): The value for typeCode SHALL be 'RESP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]"
         id="d42e39683-false-d413921e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:id) &gt;= 1">(XeHRadiationExposure): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:id) &lt;= 1">(XeHRadiationExposure): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(XeHRadiationExposure): element hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(XeHRadiationExposure): element hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:playingEntity) &gt;= 1">(XeHRadiationExposure): element hl7:playingEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:playingEntity) &lt;= 1">(XeHRadiationExposure): element hl7:playingEntity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:id
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:id"
         id="d42e39685-false-d413954e0">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]"
         id="d42e39687-false-d413965e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="@nullFlavor or (@code='113850' and @codeSystem='1.2.840.10008.2.16.4')">(XeHRadiationExposure): The element value SHALL be one of 'code '113850' codeSystem '1.2.840.10008.2.16.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:playingEntity
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:playingEntity"
         id="d42e39694-false-d413981e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:name) &gt;= 1">(XeHRadiationExposure): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:name) &lt;= 1">(XeHRadiationExposure): element hl7:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:playingEntity/hl7:name
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]]/hl7:procedure[hl7:code[(@code = '121290' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:participantRole[hl7:functionCode[(@code = '113850' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:playingEntity/hl7:name"
         id="d42e39696-false-d413997e0">
      <extends rule="PN"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]"
         id="d42e39702-false-d414016e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(XeHRadiationExposure): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(XeHRadiationExposure): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (XeHRadiationExposure)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('DGIMG')">(SOPInstanceObservation): The value for classCode SHALL be 'DGIMG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &gt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &lt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:id) &gt;= 1">(SOPInstanceObservation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:text) &lt;= 1">(SOPInstanceObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SOPInstanceObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@root) = ('1.2.840.10008.9.18')">(SOPInstanceObservation): The value for root SHALL be '1.2.840.10008.9.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@codeSystem">(SOPInstanceObservation): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(SOPInstanceObservation): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@code">(SOPInstanceObservation): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@code) or string-length(@code)&gt;0">(SOPInstanceObservation): Attribute @code SHALL be of data type 'st'  - '<value-of select="@code"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@mediaType">(SOPInstanceObservation): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@mediaType) or string-length(@mediaType)&gt;0">(SOPInstanceObservation): Attribute @mediaType SHALL be of data type 'st'  - '<value-of select="@mediaType"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &gt;= 1">(SOPInstanceObservation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &lt;= 1">(SOPInstanceObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(*)">(SOPInstanceObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('SUBJ')">(SOPInstanceObservation): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('DGIMG')">(SOPInstanceObservation): The value for classCode SHALL be 'DGIMG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &gt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:templateId[@root = '1.2.840.10008.9.18']) &lt;= 1">(SOPInstanceObservation): element hl7:templateId[@root = '1.2.840.10008.9.18'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:id) &gt;= 1">(SOPInstanceObservation): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:text) &lt;= 1">(SOPInstanceObservation): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:effectiveTime) &lt;= 1">(SOPInstanceObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:templateId[@root = '1.2.840.10008.9.18']">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@root) = ('1.2.840.10008.9.18')">(SOPInstanceObservation): The value for root SHALL be '1.2.840.10008.9.18'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@codeSystem">(SOPInstanceObservation): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(SOPInstanceObservation): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@code">(SOPInstanceObservation): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@code) or string-length(@code)&gt;0">(SOPInstanceObservation): Attribute @code SHALL be of data type 'st'  - '<value-of select="@code"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@mediaType">(SOPInstanceObservation): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(@mediaType) or string-length(@mediaType)&gt;0">(SOPInstanceObservation): Attribute @mediaType SHALL be of data type 'st'  - '<value-of select="@mediaType"/>'</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &gt;= 1">(SOPInstanceObservation): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:reference) &lt;= 1">(SOPInstanceObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:text/hl7:reference">
      <extends rule="URL"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:URL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:effectiveTime">
      <extends rule="TS"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="not(*)">(SOPInstanceObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('SUBJ')">(SOPInstanceObservation): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]
Item: (SOPInstanceObservation)
-->

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('RSON')">(SOPInstanceObservation): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(SOPInstanceObservation): element hl7:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(SOPInstanceObservation): The element value SHALL be one of '1.2.840.10008.6.1.484 Diagnostic Imaging Report Purposes of Reference (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('ROIBND')">(SOPInstanceObservation): The value for classCode SHALL be 'ROIBND'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='121190' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Referenced Frames')">(SOPInstanceObservation): The element value SHALL be one of 'code '121190' codeSystem '1.2.840.10008.2.16.4' displayName='Referenced Frames''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &gt;= 1">(SOPInstanceObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='113036' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Frames for Display')">(SOPInstanceObservation): The element value SHALL be one of 'code '113036' codeSystem '1.2.840.10008.2.16.4' displayName='Frames for Display''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'SUBJ'][hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value">
      <extends rule="list_int"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'list_int')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:list_int". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('RSON')">(SOPInstanceObservation): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &gt;= 1">(SOPInstanceObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code) &lt;= 1">(SOPInstanceObservation): element hl7:code appears too often [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(SOPInstanceObservation): element hl7:value is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[@typeCode = 'RSON'][hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.484-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(SOPInstanceObservation): The element value SHALL be one of '1.2.840.10008.6.1.484 Diagnostic Imaging Report Purposes of Reference (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &gt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]) &lt;= 1">(SOPInstanceObservation): element hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'ROIBND'][@moodCode = 'EVN']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN')">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('ROIBND')">(SOPInstanceObservation): The value for classCode SHALL be 'ROIBND'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='121190' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Referenced Frames')">(SOPInstanceObservation): The element value SHALL be one of 'code '121190' codeSystem '1.2.840.10008.2.16.4' displayName='Referenced Frames''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@typeCode) = ('COMP')">(SOPInstanceObservation): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &gt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:observation[@classCode = 'OBS']) &lt;= 1">(SOPInstanceObservation): element hl7:observation[@classCode = 'OBS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &gt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]) &lt;= 1">(SOPInstanceObservation): element hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &gt;= 1">(SOPInstanceObservation): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="count(hl7:value) &lt;= 1">(SOPInstanceObservation): element hl7:value appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:observation[@classCode = 'OBS']">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(SOPInstanceObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="string(@classCode) = ('OBS')">(SOPInstanceObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]">
      <extends rule="CD"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="@nullFlavor or (@code='113036' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Frames for Display')">(SOPInstanceObservation): The element value SHALL be one of 'code '113036' codeSystem '1.2.840.10008.2.16.4' displayName='Frames for Display''.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.840.10008.9.18
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value
Item: (SOPInstanceObservation)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]]/hl7:observation[hl7:templateId[@root = '1.2.840.10008.9.18']]/hl7:entryRelationship[hl7:code[(@code = '121190' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:entryRelationship[hl7:code[(@code = '113036' and @codeSystem = '1.2.840.10008.2.16.4') or @nullFlavor]]/hl7:value">
      <extends rule="list_int"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-1.2.840.10008.9.18-2021-06-22T090717.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'list_int')">(SOPInstanceObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:list_int". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]"
         id="d42e39718-false-d415100e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &gt;= 1">(XeHRadiationExposure): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &lt;= 1">(XeHRadiationExposure): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]
Item: (XeHRadiationExposure)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]"
         id="d42e39727-false-d415167e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &gt;= 1">(XeHRadiationExposure): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]) &lt;= 1">(XeHRadiationExposure): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.13']]]
Item: (XeHRadiationExposure)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]"
         id="d42e39736-false-d415230e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]) &gt;= 1">(XeHRadiationExposure): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]) &lt;= 1">(XeHRadiationExposure): element hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry[hl7:observation]/hl7:observation[cda:observation[cda:templateId[@root = '2.16.840.1.113883.10.20.6.2.14']]]
Item: (XeHRadiationExposure)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry
Item: (XeHRadiationExposure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']"
         id="d42e39770-false-d415287e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="string(@moodCode) = ('EVN')">(XeHRadiationExposure): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="string(@classCode) = ('SBADM')">(XeHRadiationExposure): The value for classCode SHALL be 'SBADM'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:code) &gt;= 1">(XeHRadiationExposure): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:code) &lt;= 1">(XeHRadiationExposure): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:doseQuantity) &lt;= 1">(XeHRadiationExposure): element hl7:doseQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:consumable[hl7:manufacturedProduct]) &gt;= 1">(XeHRadiationExposure): element hl7:consumable[hl7:manufacturedProduct] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:consumable[hl7:manufacturedProduct]) &lt;= 1">(XeHRadiationExposure): element hl7:consumable[hl7:manufacturedProduct] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:code
Item: (XeHRadiationExposure)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:doseQuantity
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:doseQuantity"
         id="d42e39784-false-d415333e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(XeHRadiationExposure): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(XeHRadiationExposure): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:consumable[hl7:manufacturedProduct]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:consumable[hl7:manufacturedProduct]"
         id="d42e39786-false-d415348e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]]) &gt;= 1">(XeHRadiationExposure): element hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]]) &lt;= 1">(XeHRadiationExposure): element hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]]"
         id="d42e39788-false-d415370e0">
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &gt;= 1">(XeHRadiationExposure): element hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] is required [min 1x].</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(XeHRadiationExposure): element hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]]/hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]]/hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]"
         id="d42e39790-false-d415392e0">
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt; 1">(XeHRadiationExposure): element hl7:code is coded with binding strength 'extensible' and contains a code other than the specified set.</report>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(XeHRadiationExposure): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]]/hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]]/hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e39792-false-d415414e0">
      <extends rule="CE"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(XeHRadiationExposure): The element value SHALL be one of '1.2.840.10008.6.1.17 Radiopharmaceuticals (DYNAMIC)'.</assert>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="count(hl7:originalText) &lt;= 1">(XeHRadiationExposure): element hl7:originalText appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.51.10.81
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]]/hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:originalText
Item: (XeHRadiationExposure)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.51.10.81']]/hl7:entry/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'EVN']/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct[hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]]/hl7:material[hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.840.10008.6.1.17-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:originalText"
         id="d42e39796-false-d415440e0">
      <extends rule="ED"/>
      <assert role="error"
              see="https://pub.art-decor.org/xehealth/eehrxf-html-20220721T160635/tmp-2.16.840.1.113883.2.51.10.81-2022-06-24T112415.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(XeHRadiationExposure): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
